2005-08-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      BFN

    * ext/imap/php_imap.c
      ext/standard/mail.c
      win32/sendmail.c
      win32/sendmail.h:
      - Fixed bug #29334 (mail() provides incorrect message time header)

    * ext/gd/config.w32:
      Missing entry

2005-08-07  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * configure.in:
       	configure.in scripts/Makefile.frag scripts/phpize.in

    * main/php.h:
      typo fix

2005-08-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/xml/tests/bug26614_libxml.phpt:
      This test failed because libxml versions differ..

2005-08-07  Derick Rethans  <php@derickrethans.nl>

    * ext/iconv/tests/bug16069.phpt:
      - Fix skip-if comment.

2005-08-06  Edin Kadribasic  <edink@emini.dk>

    * NEWS:
      Mention new library bundle on windows

2005-08-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      BFN

2005-08-06  Edin Kadribasic  <edink@emini.dk>

    * ext/gd/config.w32:
      Only link zlib if we dont compile it in (#3406)

    * ext/zlib/php_zlib.def:
      Add missing export

2005-08-06  Andrey Hristov  <php@hristov.com>

    * (PHP_5_0)
      NEWS:
      BFN

    * ext/mysqli/mysqli_nonapi.c:
      add a comment

    * (PHP_5_0)
      ext/mysqli/mysqli_nonapi.c:
      - fix int-long issue on 64bit (MFH)
      - add data checking (MFH)
      - add a comment

    * ext/mysqli/mysqli_nonapi.c:
      add error checking

    * ext/mysqli/mysqli_nonapi.c:
      fix problem on 64 bit - when asking for "l" supply long not int because
      on 64 bit they differ and zend_parse_parameters makes a *(long*) cast
      which means that if the variable is int 4 bytes of the variable(s)
      declared before it (on the stack) will be overwritten. In this case
      this is the length of the query -> made 0 and mysqli_query() returns
      FALSE.

2005-08-06  Frank M. Kromann  <frank@kromann.info>

    * ext/sybase/php_sybase_db.c
      ext/sybase_ct/php_sybase_ct.c:
      Fix for #32531
      No need to alias these functions on windows or if the mssql extension is
      compiled. This change will allow the use of both extensions at the same
      time.

    * ext/ming/ming.c:
      Cleanup to match the current cvs version of ming0.3beta

2005-08-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/odbc/php_odbc.c:
      No HTML output if html_errors is off (bug #34006)

    * TSRM/TSRM.h:
      Fix compile failure with GCC 4.0.x

    * main/main.c:
      - This ini option is only effective when set in php.ini or httpd.conf
        or .htacces, etc. as GPC variables are set before any ini_set() is
      called

    * ext/mbstring/tests/php_gr_jp_16242.phpt:
      - Fixed bug #34015

    * (PHP_5_0)
      ext/informix/Makefile.frag:
      MFB_4_4

    * (PHP_4_4)
      ext/informix/Makefile.frag:
      - Fixed bug #34008 (compile failure)

2005-08-05  Anantha Kesari H Y  <hyanantha@novell.com>

    * ext/exif/exif.c
      ext/exif/exif.c
      ext/exif/exif.c:
      NetWare specific stat structure issues.
      --Kamesh

2005-08-05  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/tests/array_type_hint_001.phpt
      ZendEngine2/tests/bug33996.phpt
      tests/classes/type_hinting_001.phpt
      tests/lang/type_hints_001.phpt:
      Fixed bug #33996 (No information given for fatal error on passing invalid
      value to typed argument)

2005-08-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/tests/math/bug25665.phpt:
      Skip test on solaris

2005-08-05  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_operators.c
      ZendEngine2/tests/bug33999.phpt:
      Fixed bug #33999 (object remains object when cast to int)

2005-08-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * sapi/apache2filter/config.m4
      sapi/apache2handler/config.m4:
      - Changed -a to -A to prevent enabling PHP in httpd.conf automatically.

2005-08-05  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed memory leak in foreach() on undefined variable
      (Zend/tests/foreach_undefined.php)

2005-08-04  Wez Furlong  <wez.php@thebrainroom.net>

    * scripts/phpize.in:
      test -e doesn't work on solaris

2005-08-04  Antony Dovgal  <antony@zend.com>

    * ZendEngine2/tests/foreach_undefined.phpt:
      add test for the last Dmitry's fix

2005-08-04  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_compile.c:
      Fixed possible memory corryption during compilation of <?php foreach($a as
      $b); ?>

2005-08-04  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      TSRM/threads.m4:
      NetWare cross compile patch from 5.0 tree.
      --Kamesh

2005-08-04  Dmitry Stogov  <dmitry@zend.com>

    * ext/standard/tests/array/bug33989.phpt
      ext/standard/tests/array/bug33989.phpt
      ext/standard/tests/array/bug33989.phpt:
        1.1.4;
      Fixed bug #33989 (extract($GLOBALS,EXTR_REFS) crashes PHP)

    * NEWS
      NEWS
      NEWS
      ext/standard/array.c
      ext/standard/array.c
      ext/standard/array.c
      ext/standard/tests/array/bug33989.phpt
      ext/standard/tests/array/bug33989.phpt:
      Fixed bug #33989 (extract($GLOBALS,EXTR_REFS) crashes PHP)

2005-08-04  Masaki Fujimoto  <masaki-f@fides.dti.ne.jp>

    * (PHP_4_4)
      Zend/zend_multibyte.c:
      - fix missing encodings

2005-08-04  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      ZendEngine2/zend_objects.c:
      Fixed clone bug in ze1_compatibility mode

    * ZendEngine2/zend_objects.c:
      Fixed clone bug in ze1_compatibilty mode

2005-08-03  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      TSRM/tsrm_virtual_cwd.c
      TSRM/tsrm_virtual_cwd.h:
      NetWare LibC has lstat implemented.
      --Kamesh

    * (PHP_4_4)
      sapi/apache2filter/sapi_apache2.c:
      NetWare specific stat structure issues.
      --Kamesh

2005-08-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php
      server-tests.php
      ZendEngine2/LICENSE
      build/build.mk
      build/build2.mk
      build/buildcheck.sh
      build/mkdep.awk
      ext/bcmath/bcmath.c
      ext/bcmath/php_bcmath.h
      ext/bz2/bz2.c
      ext/bz2/bz2_filter.c
      ext/bz2/php_bz2.h
      ext/calendar/cal_unix.c
      ext/calendar/calendar.c
      ext/calendar/easter.c
      ext/com_dotnet/com_com.c
      ext/com_dotnet/com_dotnet.c
      ext/com_dotnet/com_extension.c
      ext/com_dotnet/com_handlers.c
      ext/com_dotnet/com_iterator.c
      ext/com_dotnet/com_misc.c
      ext/com_dotnet/com_olechar.c
      ext/com_dotnet/com_persist.c
      ext/com_dotnet/com_saproxy.c
      ext/com_dotnet/com_typeinfo.c
      ext/com_dotnet/com_variant.c
      ext/com_dotnet/com_wrapper.c
      ext/com_dotnet/php_com_dotnet.h
      ext/com_dotnet/php_com_dotnet_internal.h
      ext/ctype/ctype.c
      ext/ctype/php_ctype.h
      ext/curl/interface.c
      ext/curl/multi.c
      ext/curl/php_curl.h
      ext/curl/streams.c
      ext/dba/dba.c
      ext/dba/dba_cdb.c
      ext/dba/dba_db1.c
      ext/dba/dba_db2.c
      ext/dba/dba_db3.c
      ext/dba/dba_db4.c
      ext/dba/dba_dbm.c
      ext/dba/dba_flatfile.c
      ext/dba/dba_gdbm.c
      ext/dba/dba_inifile.c
      ext/dba/dba_ndbm.c
      ext/dba/dba_qdbm.c
      ext/dba/php_dba.h
      ext/dba/libcdb/cdb.c
      ext/dba/libcdb/cdb.h
      ext/dba/libcdb/cdb_make.c
      ext/dba/libcdb/cdb_make.h
      ext/dba/libcdb/uint32.c
      ext/dba/libcdb/uint32.h
      ext/dba/libflatfile/flatfile.c
      ext/dba/libflatfile/flatfile.h
      ext/dba/libinifile/inifile.c
      ext/dba/libinifile/inifile.h
      ext/dbase/dbase.c
      ext/dbase/php_dbase.h
      ext/dom/attr.c
      ext/dom/cdatasection.c
      ext/dom/characterdata.c
      ext/dom/comment.c
      ext/dom/document.c
      ext/dom/documentfragment.c
      ext/dom/documenttype.c
      ext/dom/dom_ce.h
      ext/dom/dom_fe.h
      ext/dom/dom_iterators.c
      ext/dom/dom_properties.h
      ext/dom/domconfiguration.c
      ext/dom/domerror.c
      ext/dom/domerrorhandler.c
      ext/dom/domexception.c
      ext/dom/domimplementation.c
      ext/dom/domimplementationlist.c
      ext/dom/domimplementationsource.c
      ext/dom/domlocator.c
      ext/dom/domstringlist.c
      ext/dom/element.c
      ext/dom/entity.c
      ext/dom/entityreference.c
      ext/dom/namednodemap.c
      ext/dom/namelist.c
      ext/dom/node.c
      ext/dom/nodelist.c
      ext/dom/notation.c
      ext/dom/php_dom.c
      ext/dom/php_dom.h
      ext/dom/processinginstruction.c
      ext/dom/string_extend.c
      ext/dom/text.c
      ext/dom/typeinfo.c
      ext/dom/userdatahandler.c
      ext/dom/xml_common.h
      ext/dom/xpath.c
      ext/exif/exif.c
      ext/exif/php_exif.h
      ext/fbsql/php_fbsql.c
      ext/fbsql/php_fbsql.h
      ext/fdf/fdf.c
      ext/fdf/php_fdf.h
      ext/filepro/filepro.c
      ext/filepro/php_filepro.h
      ext/ftp/ftp.c
      ext/ftp/ftp.h
      ext/ftp/php_ftp.c
      ext/ftp/php_ftp.h
      ext/gd/gd.c
      ext/gd/gd_ctx.c
      ext/gd/php_gd.h
      ext/gd/libgd/xbm.c
      ext/gettext/gettext.c
      ext/gettext/php_gettext.h
      ext/gmp/gmp.c
      ext/gmp/php_gmp.h
      ext/hwapi/hwapi.cpp
      ext/hwapi/php_hwapi.h
      ext/iconv/iconv.c
      ext/iconv/php_iconv.h
      ext/imap/php_imap.c
      ext/imap/php_imap.h
      ext/informix/ifx.ec
      ext/informix/php_informix.h
      ext/informix/php_informix_includes.h
      ext/interbase/ibase_blobs.c
      ext/interbase/ibase_events.c
      ext/interbase/ibase_query.c
      ext/interbase/ibase_service.c
      ext/interbase/interbase.c
      ext/interbase/interbase.rc
      ext/interbase/php_ibase_includes.h
      ext/interbase/php_ibase_udf.c
      ext/interbase/php_interbase.h
      ext/ldap/ldap.c
      ext/ldap/php_ldap.h
      ext/mbstring/mb_gpc.c
      ext/mbstring/mbstring.c
      ext/mbstring/mbstring.h
      ext/mbstring/php_mbregex.c
      ext/mbstring/php_mbregex.h
      ext/mbstring/php_unicode.c
      ext/mbstring/php_unicode.h
      ext/mcrypt/mcrypt.c
      ext/mcrypt/php_mcrypt.h
      ext/mcve/mcve.c
      ext/mcve/php_mcve.h
      ext/mhash/mhash.c
      ext/mhash/php_mhash.h
      ext/mime_magic/mime_magic.c
      ext/mime_magic/php_mime_magic.h
      ext/mime_magic/phpmimemagic.h
      ext/ming/ming.c
      ext/ming/php_ming.h
      ext/mono/php_mono.c
      ext/mono/php_mono.h
      ext/msession/msession.c
      ext/msession/php_msession.h
      ext/msession/reqclient.h
      ext/msql/php_msql.c
      ext/msql/php_msql.h
      ext/mssql/php_mssql.c
      ext/mssql/php_mssql.h
      ext/mysql/php_mysql.c
      ext/mysql/php_mysql.h
      ext/mysqli/mysqli.c
      ext/mysqli/mysqli_api.c
      ext/mysqli/mysqli_driver.c
      ext/mysqli/mysqli_embedded.c
      ext/mysqli/mysqli_exception.c
      ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/mysqli_prop.c
      ext/mysqli/mysqli_repl.c
      ext/mysqli/mysqli_report.c
      ext/mysqli/mysqli_report.h
      ext/mysqli/mysqli_warning.c
      ext/mysqli/php_mysqli.h
      ext/ncurses/ncurses.c
      ext/ncurses/ncurses_fe.c
      ext/ncurses/ncurses_functions.c
      ext/ncurses/php_ncurses.h
      ext/ncurses/php_ncurses_fe.h
      ext/oci8/oci8.c
      ext/oci8/php_oci8.h
      ext/odbc/birdstep.c
      ext/odbc/php_birdstep.h
      ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h
      ext/odbc/php_odbc_includes.h
      ext/openssl/openssl.c
      ext/openssl/php_openssl.h
      ext/openssl/xp_ssl.c
      ext/oracle/oracle.c
      ext/ovrimos/ovrimos.c
      ext/pcntl/pcntl.c
      ext/pcntl/php_pcntl.h
      ext/pcntl/php_signal.c
      ext/pcntl/php_signal.h
      ext/pcre/php_pcre.c
      ext/pcre/php_pcre.h
      ext/pfpro/pfpro.c
      ext/pfpro/php_pfpro.h
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h
      ext/posix/php_posix.h
      ext/posix/posix.c
      ext/pspell/php_pspell.h
      ext/pspell/pspell.c
      ext/readline/php_readline.h
      ext/readline/readline.c
      ext/recode/php_recode.h
      ext/recode/recode.c
      ext/session/mod_files.c
      ext/session/mod_files.h
      ext/session/mod_mm.c
      ext/session/mod_mm.h
      ext/session/mod_user.c
      ext/session/mod_user.h
      ext/session/php_session.h
      ext/session/session.c
      ext/shmop/php_shmop.h
      ext/shmop/shmop.c
      ext/simplexml/php_simplexml.h
      ext/simplexml/php_simplexml_exports.h
      ext/simplexml/simplexml.c
      ext/snmp/php_snmp.h
      ext/snmp/snmp.c
      ext/sockets/php_sockets.h
      ext/sockets/php_sockets_win.c
      ext/sockets/php_sockets_win.h
      ext/sockets/sockets.c
      ext/sockets/unix_socket_constants.h
      ext/sockets/win32_socket_constants.h
      ext/sqlite/php_sqlite.h
      ext/sqlite/sess_sqlite.c
      ext/sqlite/sqlite.c
      ext/standard/array.c
      ext/standard/assert.c
      ext/standard/base64.c
      ext/standard/base64.h
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h
      ext/standard/browscap.c
      ext/standard/crc32.c
      ext/standard/crc32.h
      ext/standard/credits.c
      ext/standard/credits.h
      ext/standard/crypt.c
      ext/standard/css.c
      ext/standard/css.h
      ext/standard/cyr_convert.c
      ext/standard/cyr_convert.h
      ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/dir.c
      ext/standard/dl.c
      ext/standard/dl.h
      ext/standard/dns.c
      ext/standard/dns.h
      ext/standard/exec.c
      ext/standard/exec.h
      ext/standard/file.c
      ext/standard/file.h
      ext/standard/filestat.c
      ext/standard/filters.c
      ext/standard/flock_compat.c
      ext/standard/flock_compat.h
      ext/standard/formatted_print.c
      ext/standard/fsock.c
      ext/standard/fsock.h
      ext/standard/ftok.c
      ext/standard/ftp_fopen_wrapper.c
      ext/standard/head.c
      ext/standard/head.h
      ext/standard/html.c
      ext/standard/html.h
      ext/standard/http.c
      ext/standard/http_fopen_wrapper.c
      ext/standard/image.c
      ext/standard/incomplete_class.c
      ext/standard/info.c
      ext/standard/info.h
      ext/standard/iptc.c
      ext/standard/lcg.c
      ext/standard/levenshtein.c
      ext/standard/link.c
      ext/standard/mail.c
      ext/standard/math.c
      ext/standard/md5.c
      ext/standard/md5.h
      ext/standard/metaphone.c
      ext/standard/microtime.c
      ext/standard/microtime.h
      ext/standard/pack.c
      ext/standard/pack.h
      ext/standard/pageinfo.c
      ext/standard/pageinfo.h
      ext/standard/php_array.h
      ext/standard/php_assert.h
      ext/standard/php_browscap.h
      ext/standard/php_crypt.h
      ext/standard/php_dir.h
      ext/standard/php_ext_syslog.h
      ext/standard/php_filestat.h
      ext/standard/php_fopen_wrapper.c
      ext/standard/php_fopen_wrappers.h
      ext/standard/php_ftok.h
      ext/standard/php_http.h
      ext/standard/php_image.h
      ext/standard/php_incomplete_class.h
      ext/standard/php_iptc.h
      ext/standard/php_lcg.h
      ext/standard/php_link.h
      ext/standard/php_mail.h
      ext/standard/php_math.h
      ext/standard/php_metaphone.h
      ext/standard/php_rand.h
      ext/standard/php_smart_str.h
      ext/standard/php_smart_str_public.h
      ext/standard/php_standard.h
      ext/standard/php_string.h
      ext/standard/php_sunfuncs.h
      ext/standard/php_type.h
      ext/standard/php_uuencode.h
      ext/standard/php_var.h
      ext/standard/php_versioning.h
      ext/standard/proc_open.c
      ext/standard/proc_open.h
      ext/standard/quot_print.c
      ext/standard/quot_print.h
      ext/standard/rand.c
      ext/standard/reg.c
      ext/standard/reg.h
      ext/standard/scanf.c
      ext/standard/scanf.h
      ext/standard/sha1.c
      ext/standard/sha1.h
      ext/standard/soundex.c
      ext/standard/streamsfuncs.c
      ext/standard/streamsfuncs.h
      ext/standard/string.c
      ext/standard/sunfuncs.c
      ext/standard/syslog.c
      ext/standard/type.c
      ext/standard/uniqid.c
      ext/standard/uniqid.h
      ext/standard/url.c
      ext/standard/url.h
      ext/standard/url_scanner.c
      ext/standard/url_scanner.h
      ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.h
      ext/standard/url_scanner_ex.re
      ext/standard/user_filters.c
      ext/standard/uuencode.c
      ext/standard/var.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.re
      ext/standard/versioning.c
      ext/sybase/php_sybase_db.c
      ext/sybase/php_sybase_db.h
      ext/sybase_ct/php_sybase_ct.c
      ext/sybase_ct/php_sybase_ct.h
      ext/sysvmsg/php_sysvmsg.h
      ext/sysvmsg/sysvmsg.c
      ext/sysvsem/php_sysvsem.h
      ext/sysvsem/sysvsem.c
      ext/sysvshm/php_sysvshm.h
      ext/sysvshm/sysvshm.c
      ext/tokenizer/php_tokenizer.h
      ext/tokenizer/tokenizer.c
      ext/wddx/php_wddx.h
      ext/wddx/php_wddx_api.h
      ext/wddx/wddx.c
      ext/xml/compat.c
      ext/xml/expat_compat.h
      ext/xml/php_xml.h
      ext/xml/xml.c
      ext/xmlrpc/php_xmlrpc.h
      ext/xmlrpc/xmlrpc-epi-php.c
      ext/xsl/php_xsl.c
      ext/xsl/php_xsl.h
      ext/xsl/xsl_fe.h
      ext/xsl/xsltprocessor.c
      ext/zlib/php_zlib.h
      ext/zlib/zlib.c
      ext/zlib/zlib_filter.c
      ext/zlib/zlib_fopen_wrapper.c
      main/SAPI.c
      main/SAPI.h
      main/build-defs.h.in
      main/fopen_wrappers.c
      main/fopen_wrappers.h
      main/internal_functions.c.in
      main/internal_functions_nw.c
      main/internal_functions_win32.c
      main/logos.h
      main/main.c
      main/network.c
      main/output.c
      main/php.h
      main/php3_compat.h
      main/php_compat.h
      main/php_content_types.c
      main/php_content_types.h
      main/php_globals.h
      main/php_ini.c
      main/php_ini.h
      main/php_logos.c
      main/php_logos.h
      main/php_main.h
      main/php_memory_streams.h
      main/php_network.h
      main/php_open_temporary_file.c
      main/php_open_temporary_file.h
      main/php_output.h
      main/php_reentrancy.h
      main/php_regex.h
      main/php_scandir.c
      main/php_scandir.h
      main/php_sprintf.c
      main/php_streams.h
      main/php_syslog.h
      main/php_ticks.c
      main/php_ticks.h
      main/php_variables.c
      main/php_variables.h
      main/reentrancy.c
      main/rfc1867.c
      main/rfc1867.h
      main/safe_mode.c
      main/safe_mode.h
      main/snprintf.c
      main/snprintf.h
      main/spprintf.c
      main/spprintf.h
      main/strlcat.c
      main/strlcpy.c
      main/win95nt.h
      main/streams/cast.c
      main/streams/filter.c
      main/streams/memory.c
      main/streams/mmap.c
      main/streams/php_stream_context.h
      main/streams/php_stream_filter_api.h
      main/streams/php_stream_mmap.h
      main/streams/php_stream_plain_wrapper.h
      main/streams/php_stream_transport.h
      main/streams/php_stream_userspace.h
      main/streams/php_streams_int.h
      main/streams/plain_wrapper.c
      main/streams/streams.c
      main/streams/transports.c
      main/streams/userspace.c
      main/streams/xp_socket.c
      netware/start.c
      sapi/aolserver/aolserver.c
      sapi/apache/libpre.c
      sapi/apache/mod_php5.c
      sapi/apache/mod_php5.h
      sapi/apache/php_apache.c
      sapi/apache/php_apache_http.h
      sapi/apache/sapi_apache.c
      sapi/apache2filter/apache_config.c
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/php_functions.c
      sapi/apache2filter/sapi_apache2.c
      sapi/apache2handler/apache_config.c
      sapi/apache2handler/mod_php5.c
      sapi/apache2handler/php_apache.h
      sapi/apache2handler/php_functions.c
      sapi/apache2handler/sapi_apache2.c
      sapi/apache_hooks/mod_php5.c
      sapi/apache_hooks/mod_php5.h
      sapi/apache_hooks/php_apache.c
      sapi/apache_hooks/sapi_apache.c
      sapi/caudium/caudium.c
      sapi/embed/php_embed.c
      sapi/embed/php_embed.h
      sapi/isapi/php5isapi.c
      sapi/nsapi/nsapi.c
      sapi/phttpd/php_phttpd.h
      sapi/phttpd/phttpd.c
      sapi/pi3web/pi3web_sapi.c
      sapi/roxen/roxen.c
      sapi/thttpd/php_thttpd.h
      sapi/thttpd/thttpd.c
      sapi/tux/php_tux.c
      sapi/webjames/php_webjames.h
      sapi/webjames/webjames.c
      scripts/dev/conv_z_macros
      scripts/dev/search_underscores.php
      win32/crypt_win32.c
      win32/crypt_win32.h
      win32/globals.c
      win32/grp.h
      win32/md5crypt.c
      win32/md5crypt.h
      win32/php5dllts.rc2
      win32/php5ts.rc2
      win32/php5ts_cli.rc2
      win32/php_win32_globals.h
      win32/pwd.c
      win32/pwd.h
      win32/select.c
      win32/select.h
      win32/syslog.h
      win32/winutil.c
      win32/winutil.h:
      - Bumber up year

    * ext/standard/credits_ext.h:
      update credits

    * ZendEngine2/acconfig.h
      ZendEngine2/zend.c
      ZendEngine2/zend.h
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_alloc.c
      ZendEngine2/zend_alloc.h
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.h
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_config.nw.h
      ZendEngine2/zend_config.w32.h
      ZendEngine2/zend_constants.c
      ZendEngine2/zend_constants.h
      ZendEngine2/zend_default_classes.c
      ZendEngine2/zend_dynamic_array.c
      ZendEngine2/zend_dynamic_array.h
      ZendEngine2/zend_errors.h
      ZendEngine2/zend_exceptions.c
      ZendEngine2/zend_exceptions.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.h
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_extensions.c
      ZendEngine2/zend_extensions.h
      ZendEngine2/zend_fast_cache.h
      ZendEngine2/zend_globals.h
      ZendEngine2/zend_globals_macros.h
      ZendEngine2/zend_hash.c
      ZendEngine2/zend_hash.h
      ZendEngine2/zend_highlight.c
      ZendEngine2/zend_highlight.h
      ZendEngine2/zend_indent.c
      ZendEngine2/zend_indent.h
      ZendEngine2/zend_ini.c
      ZendEngine2/zend_ini.h
      ZendEngine2/zend_ini_parser.y
      ZendEngine2/zend_ini_scanner.h
      ZendEngine2/zend_ini_scanner.l
      ZendEngine2/zend_interfaces.c
      ZendEngine2/zend_interfaces.h
      ZendEngine2/zend_istdiostream.h
      ZendEngine2/zend_iterators.c
      ZendEngine2/zend_iterators.h
      ZendEngine2/zend_language_parser.y
      ZendEngine2/zend_language_scanner.h
      ZendEngine2/zend_language_scanner.l
      ZendEngine2/zend_list.c
      ZendEngine2/zend_list.h
      ZendEngine2/zend_llist.c
      ZendEngine2/zend_llist.h
      ZendEngine2/zend_mm.c
      ZendEngine2/zend_mm.h
      ZendEngine2/zend_modules.h
      ZendEngine2/zend_multibyte.c
      ZendEngine2/zend_multibyte.h
      ZendEngine2/zend_multiply.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.h
      ZendEngine2/zend_objects.c
      ZendEngine2/zend_objects.h
      ZendEngine2/zend_objects_API.c
      ZendEngine2/zend_objects_API.h
      ZendEngine2/zend_opcode.c
      ZendEngine2/zend_operators.c
      ZendEngine2/zend_operators.h
      ZendEngine2/zend_ptr_stack.c
      ZendEngine2/zend_ptr_stack.h
      ZendEngine2/zend_qsort.c
      ZendEngine2/zend_qsort.h
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/zend_reflection_api.h
      ZendEngine2/zend_sprintf.c
      ZendEngine2/zend_stack.c
      ZendEngine2/zend_stack.h
      ZendEngine2/zend_static_allocator.c
      ZendEngine2/zend_static_allocator.h
      ZendEngine2/zend_stream.c
      ZendEngine2/zend_stream.h
      ZendEngine2/zend_strtod.h
      ZendEngine2/zend_ts_hash.c
      ZendEngine2/zend_ts_hash.h
      ZendEngine2/zend_types.h
      ZendEngine2/zend_variables.c
      ZendEngine2/zend_variables.h
      ZendEngine2/zend_vm.h:
      Bump up the year

    * ZendEngine2/README.ZEND_VM:
      Nuked DOS EOLs

    * TSRM/tsrm_nw.c
      TSRM/tsrm_nw.h
      TSRM/tsrm_virtual_cwd.c
      TSRM/tsrm_virtual_cwd.h
      TSRM/tsrm_win32.c
      TSRM/tsrm_win32.h:
      Bump up year

    * header
      sapi/cgi/cgi_main.c
      sapi/cgi/getopt.c
      sapi/cgi/php_getopt.h
      sapi/cli/getopt.c
      sapi/cli/php.1.in
      sapi/cli/php_cli_readline.h
      sapi/cli/php_getopt.h
      sapi/milter/php_milter.c:
      - 2004 -> 2005

2005-08-02  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * run-tests.php:
      make skipif test use ini options specified by -d command line options

2005-08-02  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c:
      Fixed bug #33942 (the patch to #33156 crash cygwin except cli)

2005-08-02  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      main/php_variables.c:
      Fixed bug #33958 (duplicate cookies and magic_quotes=off may cause a crash)

2005-08-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      ZendEngine2/zend_exceptions.c:
      - Fixed bug #33967 (misuse of Exception constructor doesn\'t display
      errorfile)

    * tests/lang/bug32924.phpt:
      fix test when include_path does NOT have . in it

2005-08-02  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/bench.php:
      Removed warnings

2005-08-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      BFN

2005-08-01  Edin Kadribasic  <edink@emini.dk>

    * ext/gd/config.w32:
      Allow building gd on windows systems without t1lib (M. Sisolak) #33620

    * ext/imap/config.w32:
      Allow building against the latest cclient

2005-08-01  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      sapi/apache/mod_php5.c
      sapi/apache/mod_php5.c:
      Fixed bug #33723 (php_value overrides php_admin_value)

2005-07-31  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/xml/tests/bug27908.phpt:
      Added test for bug #27908

    * ext/xml/tests/bug26614_libxml.phpt:
      - Fix test.

    * tests/classes/iterators_007.phpt:
      fix test

2005-07-31  Rob Richards  <rrichards@ctindustries.net>

    * ext/xml/compat.c:
      SystemID and publicID params reversed in declaration handlers

2005-07-31  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * TODO-5.1:
      Update TODO.

2005-07-31  Ilia Alshanetsky  <ilia@prohost.org>

    * TODO-5.1:
      Update todo

2005-07-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/tests/array/bug25359.phpt:
      Added test for bug #25359

2005-07-29  Wez Furlong  <wez.php@thebrainroom.net>

    * regex/regerror.c:
      switch to ansi declaration so that vs.net 2005 groks it.

2005-07-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/informix/config.m4:
      - Fixed bug #33837 (Informix ESQL version numbering schema changed)

2005-07-29  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * run-tests.php:
      - Add ENV support (mike)

2005-07-29  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h:
      Fixed warning message generated when isset() or empty() are given invalid
      offset type.

    * NEWS
      main/php_variables.c:
      Fixed bug #33904 (input array keys being escaped when magic quotes is off).

2005-07-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * main/php_ini.c:
      - Fixed few logic errors in php*.ini search path creation as documented
      here:
      
         http://fi.php.net/manual/en/configuration.php#configuration.file
      

    * NEWS
      ext/standard/dl.c:
      - Fixed bug #33899 (CLI: setting extension_dir=some/path
      extension=foobar.so does not work)

    * NEWS
      ext/standard/math.c:
      - Fixed bug #33917 (number_format() output with > 1 char separators)

2005-07-29  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      Zend/acconfig.h
      ZendEngine2/acconfig.h
      ZendEngine2/acconfig.h:
      In NetWare few of the programs like apache2 and ldap use winsock inclusinf
      sys/socket.h is not desirable.
      --Kamesh

2005-07-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_vm_execute.h:
      update generated file

2005-07-28  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      news file tinkering

2005-07-28  Andi Gutmans  <andi@zend.com>

    * ZendEngine2/zend_vm_def.h:
      - Tiny fixlet

2005-07-28  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h:
      - Add convenience function zend_is_callable_ex() and base zend_is_callable
        and zend_make_callable on it. This functions allows to check if a php
        variable is a callable function and returns its function pointer as well
        as object if possible.

2005-07-28  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      sapi/cli/config.m4:
      Merging changes from 5.0 tree
      --Kamesh

    * (PHP_4_4)
      win32/sendmail.c:
      NetWare changes from 5.0 Tree.
      --Kamesh

    * win32/sendmail.c
      win32/sendmail.h:
      NetWare cleanup
      --Kamesh

    * ext/standard/mail.c:
      defined EX_OK and EX_TEMPFAIL in ext/standard/mail.c for NETWARE rather
      than including a sysexits.h.
      -Kamesh

    * netware/sendmail_nw.h
      netware/sysexits.h:
      Cleaned up the NetWare code.
      --Kamesh

    * (PHP_4_4)
      netware/sendmail_nw.h:
      Adding this file from 5_0 tree
      -- Kamesh

    * (PHP_4_4)
      netware/ZendEngine2.mak
      netware/build.bat
      netware/buildext.bat
      netware/buildlib.bat
      netware/buildsapi.bat
      netware/common.mif
      netware/mktemp.h
      netware/php-nw.bat
      netware/php4apache.mak
      netware/phplib.imp
      netware/phplib.mak
      netware/pwd.h
      netware/sendmail.c
      netware/sendmail.h
      netware/setbuild.bat
      netware/tsrm.mak
      netware/zend.mak:
      NetWare can make use autoconf based build.
      --Kamesh

    * (PHP_4_4)
      netware/sys/stat.h:
      NetWare LibC SDK has stat.h. So removing this.
      --Kamesh

    * (PHP_5_0)
      win32/sendmail.c
      win32/sendmail.h:
      Cleaned up the NetWare specific code

    * (PHP_5_0)
      netware/sendmail_nw.h
      netware/sysexits.h:
      Cleaning up the NetWare code sitting in win32/sendmail.c.
      Removing netware/sysexits.h
      --Kamesh

    * (PHP_5_0)
      ext/standard/mail.c:
      defined EX_OK and EX_TEMPFAIL in ext/standard/mail.c for NETWARE rather
      than including a sysexits.h
      --Kamesh

2005-07-27  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * NEWS:
      news entry for bug #33882 fix

2005-07-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in:
      ws

2005-07-27  Antony Dovgal  <antony@zend.com>

    * main/php_ini.c:
      ws fix

2005-07-27  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * main/php_ini.c:
      edge case: do not remove trailing slash for root directory (Bug #33882)

    * main/php_ini.c:
      php.ini search logic needs to use the absolute path of the running binary
      when looking for php.ini in the directory the php binary is installed in

2005-07-27  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      Fixed bug #32139 (SOAP client does not auto-handle base64 encoding).

2005-07-27  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      main/network.c:
      removing redundant inclusion of headers for NETWARE
      --Kamesh

    * (PHP_4_4)
      acinclude.m4:
      NetWare cross compile patches from 5.0
      --Kamesh

    * (PHP_4_4)
      configure.in:
      cross compile patches from 5.0 tree.
      --Kamesh

    * configure.in
      configure.in:
      configure.in
      moved the PHP_OS and PHP_UNAME definitions near the place other oses
      define them currently it is ggeting redined to build machine values when
      ./configure script is generated using autoconf version 2.13 but works fine
      with autoconf 2.51.
      Defining the default EXTENSION_DIR for NetWare
      
      --Kamesh

    * (PHP_4_4)
      ext/standard/datetime.c
      ext/standard/filestat.c
      ext/standard/head.c
      ext/standard/image.c
      ext/standard/math.c
      ext/standard/pageinfo.c:
      ext/standard/datetime.c
      Removed redundant NEW_LIBC checks
      
      ext/standard/head.c
      Removed redundant inclusion of headers
      
      ext/standard/image.c
      Removed redundant inclusion of headers
      
      ext/standard/pageinfo.c
      Removed redundant CLIB_STAT_CHECK.  BG(page_mtime) was giving nano seconds
      portion out of timespec corrected to seconds.
      
      ext/standard/math.c
      Not to hardcode inability as much as possible, in future NetWare LibC SDK
      might have asinh that time autoconf can make this function available.
      
      ext/standard/filestat.c
      Fixed the typo of accessing the nano seconds from a timer_spec to seconds.
      
      --Kamesh

    * (PHP_4_4)
      ext/bcmath/libbcmath/src/config.h
      ext/mcve/mcve.c
      ext/pcre/pcrelib/internal.h:
      NetWare can make use of autoconf based build

    * (PHP_4_4)
      main/config.nw.h
      main/php.h
      main/php_syslog.h:
      main/php_syslog.h
      NetWare can make use of Autoconf based build.
      
      main/php.h
      Removed redundant NEW_LIBC checks.
      PHP_UNAME and PHP_OS has been hardcoded for NetWare inside configure.in
      
      Removed the config.nw.h
      --Kamesh

    * (PHP_4_4)
      main/php_streams.h:
      Removing redundant CLIB_STAT_PATCH checks.
      --Kamesh

2005-07-26  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      Fixed bug #33869 (strtotime() problem with "+1days" format).

2005-07-26  Antony Dovgal  <antony@zend.com>

    * (PHP_4_4)
      ext/pcre/pcrelib/pcre.c:
      nuke unused var

2005-07-26  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_execute_API.c:
      bug #33865

2005-07-26  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      ext/mysql/config.m4:
      NetWare libmysqlclient library is available as libmysql(olden times 8.3
      limitation).
      Applying the accepted patches on 5.0 tree.
      --Kamesh

    * (PHP_4_4)
      main/fopen_wrappers.c
      main/main.c
      main/network.c
      main/php_scandir.c
      main/user_streams.c:
      main/main.c
      Removing redundant NEW_LIBC checks
      
      main/fopen_wrappers.c
      NetWare LibC SDK has sys/pwd.h and sys/param.h
      Removed redundant NEW_LIBC checks
      
      main/user_streams.c
      NetWare specific stat structure issues.
      
      main/php_scandir.c
      Netware LibC SDK does not have search.h
      
      main/network.c
      Removed redundant NEW_LIBC checks.
      NetWare LibC SDK has sys/param.h
      --Kamesh

    * (PHP_4_4)
      TSRM/TSRM.c
      TSRM/TSRM.h
      TSRM/tsrm_virtual_cwd.c
      TSRM/tsrm_virtual_cwd.h:
      TSRM/TSRM.h
      NetWare can make use of autoconf based build.
      PTHREADS implementation of NetWare is good enough so dropping the code for
      NetWare specific thread implementation in preference to PTHREADS
      
      TSRM/TSRM.c
      PTHREADS implementation of NetWare is good enough so dropping the code for
      NetWare specific thread implementation in preference to PTHREADS
      
      TSRM/tsrm_virtual_cwd.c
      NetWare can make use of autoconf based build.
      Removed redundant CLIB_STAT_PATCH checks
      NetWare specific fixes from PHP_5_0.
      
      TSRM/tsrm_virtual_cwd.h
      Removed redundant CLIB_STAT_PATCH checks
      NetWare specific fixes from PHP_5_0.
      
      --Kamesh

    * main/config.nw.h:
      NetWare can make use of autoconf based build
      --Kamesh

    * (PHP_5_0)
      main/config.nw.h:
      removed main/config.nw.h
      -- Kamesh

    * (PHP_5_0)
      ext/bcmath/libbcmath/src/config.h
      ext/mcve/mcve.c
      ext/pcre/pcrelib/internal.h
      main/php_sprintf.c:
      ext/pcre/pcrelib/internal.h
      NetWare can make use autoconf based build.
      
      main/php_sprintf.c
      NetWare can make use autoconf based build.
      
      ext/bcmath/libbcmath/src/config.h
      NetWare can make use autoconf based build.
      
      ext/mcve/mcve.c
      NetWare can make use autoconf based build.
      
      -- Kamesh

2005-07-25  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/pspell/README:
      Updated URL leading to latest aspell.

2005-07-25  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * NEWS
      sapi/apache2handler/sapi_apache2.c:
      MFB fix for bug #33690

    * main/php_variables.c:
      I could have sworn I committed this a while ago.  Just a tiny NULL safety
      check here.

2005-07-25  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (PHP_5_0)
      NEWS:
      _ BFN

2005-07-25  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * (PHP_4_4)
      NEWS
      sapi/apache2handler/sapi_apache2.c:
      Fix for bug #33690

2005-07-25  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_API.c:
      - Fix #33853

    * ext/pspell/tests/01pspell_basic.phpt:
      - Be flexible about spellbook - we want to test the ext not the spell
      corrections available

    * sapi/cli/php_cli_readline.c:
      - Bugfix #33733

2005-07-25  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      main/php.h:
      NetWare LibC SDK has pwd.h and include sys/param.h
      --Kamesh

    * (PHP_4_4)
      ext/session/mod_files.c:
      Netware specific stat structure issues.
      --Kamesh

    * (PHP_4_4)
      Zend/acconfig.h:
      NetWare can make use of autoconf based build.
      NetWare LibC's sys/types.h does not include sys/select.h implicitly as it
      is the case with Linux LibC
      -- Kamesh

    * ext/standard/fsock.h
      ext/standard/fsock.h
      ext/standard/lcg.c
      ext/standard/lcg.c:
      ext/standard/fsock.h
      Removing redundant inclusion of headers for NetWare
      
      ext/standard/lcg.c
      NetWare LibC SDK sys/time.h implicitly includes sys/timval.h so nothing
      special needed for NetWare here.
      
      --Kamesh

    * (PHP_4_4)
      ext/standard/dl.c
      ext/standard/fsock.h
      ext/standard/lcg.c
      ext/standard/link.c
      ext/standard/microtime.c:
      ext/standard/dl.c
      NetWare LibC dlsym works perfectly only thing that each of the extension
      need to export a symbol with FULL capital prefix.
      
      ext/standard/fsock.h
      Removing redundant inclusion of headers for NetWare
      
      ext/standard/lcg.c
      NetWare LibC SDK sys/time.h implicitly includes sys/timval.h so nothing
      special needed for NetWare here.
      
      ext/standard/link.c
      NetWare LibC SDK has pwd.h.
      
      ext/standard/microtime.c
      Removing redundant NEW_LIBC checks and nothing special about NetWare here.
      including sys/time.h will do the needful.
      
      --Kamesh

2005-07-24  Yasuo Ohgaki  <yohgaki@ohgaki.net>

    * (PHP_4_4)
      ext/pgsql/config.m4:
      fix build with older pgsql.

2005-07-23  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      Fixed bug #33841 (pdo sqlite driver forgets to update affected column count
      on execution of prepared statments).

2005-07-23  Jani Taskinen  <jani.taskinen@sci.fi>

    * TODO.BUILDv5:
      Removed done stuff

2005-07-23  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/string.c
      ext/standard/tests/strings/str_word_count.phpt:
      Fixed bug in str_word_count() when charlist if specified and "word" starts
      with a character found inside the charlist.

2005-07-23  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/libgd/gd.c:
      - fix #33794 imagerotate rotates only CCW
        introduced by transparent color patch

2005-07-23  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_4_4)
      Zend/zend.h:
      NetWare can make use autoconf based build environment

    * (PHP_4_4)
      main/mergesort.c
      main/php_compat.h
      main/php_open_temporary_file.c
      main/reentrancy.c:
      main/php_compat.h
      NetWare can make use of Autoconf based build.
      
      main/php_open_temporary_file.c
      NetWare LibC SDK has sys/param.h so removing the redundant NEW_LIBC
      checks.
      NetWare LibC has mkstemp implementation
      
      main/mergesort.c
      Removing redundant sys/socket.h includes
      
      main/reentrant.c
      Removing the redundant rentrant time function wrappers of NetWare
      
      --Kamesh

    * (PHP_4_4)
      ext/standard/dl.c
      ext/standard/flock_compat.c
      ext/standard/lcg.c
      ext/standard/pack.c:
      ext/standard/dl.c
      NetWare LibC SDK has sys/param.h so removing the redundant NEW_LIBC
      checks.
      ext/standard/flock_compat.c
      Removing redundant NEW_LIBC checks
      ext/standard/lcg.c
      NetWare LibC SDK has sys/timeval.h so removing the redundant NEW_LIBC
      checks.
      ext/standard/pack.c
      NetWare LibC SDK has sys/param.h so removing the redundant NEW_LIBC
      checks.
      --Kamesh

2005-07-22  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/pgsql/config.m4:
      revert fix that did not fix anything

2005-07-22  Yasuo Ohgaki  <yohgaki@ohgaki.net>

    * ext/pgsql/config.m4:
      fix build with older postgresql

2005-07-22  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      main/php_syslog.h:
      NetWare can make use of Autoconf based build

2005-07-22  Dmitry Stogov  <dmitry@zend.com>

    * tests/lang/bug25922.phpt
      tests/lang/bug25922.phpt:
      $context is not longer passed by reference, so its modification has no
      effect

    * ZendEngine2/tests/bug33802.phpt
      ZendEngine2/tests/bug33802.phpt:
      
      Fixed bug #33802 (throw Exception in error handler causes crash)

    * NEWS
      NEWS
      ZendEngine2/zend.c
      ZendEngine2/zend.c
      ZendEngine2/tests/bug33802.phpt:
      Fixed bug #33802 (throw Exception in error handler causes crash)

2005-07-21  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_execute_API.c:
      - Fix error generation logic (found by johannes)

2005-07-21  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_vm_def.h:
      Fixed bug with returning from internal function by reference

    * ext/standard/var.c:
      Recursion protection

2005-07-20  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      there is not much point in putting entries of bugs fixed when bug only
      existed in CVS and not in any release..

2005-07-20  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_4)
      NEWS
      ext/standard/file.c
      ext/standard/tests/file/bug32160.phpt
      ext/standard/tests/file/bug32160.txt:
      MFH: Fixed bug #32160 (copying a file into itself leads to data loss).

2005-07-20  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33578 (strtotime() problem with "Oct17" format).
      - Fixed problems with lone years in strtotime().
      - Added functions to timelib to get a list of all abbreviations and
      timezone
        identifiers.
      - Fixed problems with parsed dates that only have GMT offsets associated
        with them.
      - Fixed a Windows compile problem.
      - Added special constants for different often used date formats
      (DATE_ISO8601,
        DATE_RFC822, DATE_RSS etc).
      - Fixed date_default_timezone_get() to return the guessed timezone if none
        was set yet with date_default_timezone_set().
      - Added experimental support for Date/Timezone objects as per
      specifications.

2005-07-20  Andrei Zmievski  <andrei@gravitonic.com>

    * NEWS
      NEWS:
      -** empty log message ***

2005-07-20  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysqli/tests/009.phpt
      ext/mysqli/tests/036.phpt:
      Skip tests in 64bit systems

    * pear/tests/pear_dependency_checkExtension.phpt:
      fixed skipif to really skip

2005-07-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/array_access_013.phpt:
      - Add test to verify all ArrayAccess methods can throw

    * tests/classes/iterators_007.phpt:
      - Add test to verify all iterator methods can throw

    * ZendEngine2/zend_interfaces.c:
      - Dont't warn in case an exception is pending - in this case it'd
      superflous

2005-07-19  Wez Furlong  <wez.php@thebrainroom.net>

    * main/php_variables.c:
      revert my last change; chasing ghosts.

    * main/php_variables.c:
      Don't crash when no treat_data method has been set in the sapi module

2005-07-19  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed bug #33710 (ArrayAccess objects doen't initialize $this)

2005-07-19  Brad House  <brad@mainstreetsoftworks.com>

    * ext/mcve/mcve.c
      ext/mcve/php_mcve.h:
      \#if BRAD_0'd latest changes as requested until 5.1.0 release

2005-07-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/reg.c
      ext/standard/reg.c:
      MFB4_4: Fix compile problem with --regex=system on some systems

2005-07-18  Brad House  <brad@mainstreetsoftworks.com>

    * (PHP_5_0)
      ext/mcve/mcve.c
      ext/mcve/php_mcve.h:
      BACKPORT FROM HEAD: sync missing functions from libmonetra-5

    * ext/mcve/mcve.c
      ext/mcve/php_mcve.h:
      sync missing functions from libmonetra-5

2005-07-18  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      main/php_variables.c:
      Revert cookie patch for BC reasons.

2005-07-18  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * ZendEngine2/zend_language_scanner.l:
      Valgrind is unhappy that this is not initialized

2005-07-18  Andrei Zmievski  <andrei@gravitonic.com>

    * (PHP_4_4)
      ext/standard/reg.c:
      Use HAVE_REGEX_T_RE_MAGIC to fix compilation problem on systems where
      re_magic is not provided publicly.

2005-07-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      fix macro

2005-07-18  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ext/standard/dl.c
      main/main.c:
      Fixed bug in new module statrup mechanism

2005-07-18  Wez Furlong  <wez.php@thebrainroom.net>

    * main/streams/plain_wrapper.c:
      compile before commit (gah!)

2005-07-18  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/curl/interface.c:
      Cleanup buffers on handle re-use.

2005-07-18  Wez Furlong  <wez.php@thebrainroom.net>

    * main/streams/plain_wrapper.c:
      Apparently our pipe detection code just above this isn't foolproof.
      Catch it here.

2005-07-18  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug33558.phpt
      ZendEngine2/tests/bug33558.phpt:
      
      Fixed bug #33558 (warning with nested calls to functions returning by
      reference)

    * NEWS
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug33558.phpt:
      Fixed bug #33558 (warning with nested calls to functions returning by
      reference)

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      Removed some compilation warnings.

2005-07-18  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_4)
      main/php_variables.c:
      MFH: Fixed handling of HTTP requests with multiple Cookie headers.

    * NEWS
      main/php_variables.c:
      Fixed handling of HTTP requests with multiple Cookie headers.

2005-07-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/tests/bug33710.phpt:
      typo

2005-07-18  Frank M. Kromann  <frank@kromann.info>

    * ext/ming/config.w32:
      Make sure we build with SWFPrebuilt.

2005-07-18  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * run-tests.php:
      - Show end of relay testing block

    * ext/ming/ming.c:
      - Provide distinction and distinct tests

2005-07-17  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ext/ming/config.m4
      ext/ming/ming.c:
      - Compatibility with ming 0.2a and 0.3a

    * ZendEngine2/tests/bug33710.phpt:
      - Add new test

2005-07-17  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/zend_compile.c:
      Added missing init.

2005-07-17  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * main/streams/plain_wrapper.c:
      - Fix problem with debug mode on selective machines

    * ext/xml/tests/bug26614.phpt
      ext/xml/tests/bug26614_libxml.phpt:
      - If you ask me both (expat and libxml) are not really accurate about byte
        positions and columns...however the line number information is now
        correct for both so for the moment we live with the situation that they
        return different byte and column information.

2005-07-16  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/curl/interface.c:
      Added 2 missing cURL options available in all versions.

2005-07-16  Anantha Kesari H Y  <hyanantha@novell.com>

    * netware/ApacheCore.imp
      netware/BisonExtStandard.bat
      netware/BisonFlexZend.bat
      netware/ZendEngine2.mak
      netware/build.bat
      netware/buildext.bat
      netware/buildlib.bat
      netware/buildsapi.bat
      netware/common.mif
      netware/libpq-fe.h
      netware/libpq.imp
      netware/php-nw.bat
      netware/php5apache.mak
      netware/php5apache2filter.mak
      netware/php5cli.mak
      netware/phplib.imp
      netware/phplib.mak
      netware/phptest.ncf
      netware/postgres_ext.h
      netware/setbuild.bat
      netware/time_nw.c
      netware/tsrm.mak
      netware/zend.mak:
      NetWare can make use of the Autoconf based build system

    * netware/libpq/libpq-fs.h:
      libpq-fs.h this file is of no use

    * (PHP_5_0)
      netware/ApacheCore.imp
      netware/BisonExtStandard.bat
      netware/BisonFlexZend.bat
      netware/ZendEngine2.mak
      netware/build.bat
      netware/buildext.bat
      netware/buildlib.bat
      netware/buildsapi.bat
      netware/common.mif
      netware/libpq-fe.h
      netware/libpq.imp
      netware/php-nw.bat
      netware/php5apache.mak
      netware/php5apache2filter.mak
      netware/php5cli.mak
      netware/phplib.imp
      netware/phplib.mak
      netware/phptest.ncf
      netware/postgres_ext.h
      netware/setbuild.bat
      netware/time_nw.c
      netware/tsrm.mak
      netware/zend.mak:
      NetWare can make use the AutoConf based build system

    * (PHP_5_0)
      netware/libpq/libpq-fs.h:
      removing the redundant file libpq-fs.h

    * (PHP_5_0)
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/sapi_apache2.c:
      sapi/apache2filter/php_apache.h
      Removing redundant CLIB_STAT_PATCH
      sapi/apache2filter/sapi_apache2.c
      Removing redundant CLIB_STAT_PATCH
      -- Kamesh

    * main/fopen_wrappers.c
      main/main.c:
      main/fopen_wrappers.c
      NetWare file names are case insensitive
      main/main.c
      NetWare has no sendmail binary. It uses the smart host mailing code
      avaiolable in php distro. Could not find a better place to put this than
      main/main.c.
      -- Kamesh

    * (PHP_5_0)
      main/fopen_wrappers.c
      main/main.c
      main/php_open_temporary_file.c
      main/php_streams.h
      main/safe_mode.c:
      main/fopen_wrappers.c
      NetWare file names are case insensitive
      main/main.c
      NetWare has no sendmail binary. It uses the smart host mailing code
      avaiolable in php distro. Could not find a better place to put this than
      main/main.c.
      main/php_open_temporary_file.c,v
      Removed the unused variable in NetWare block.
      main/php_streams.h
      Removing the redundant CLIB_STAT_PATCH
      main/safe_mode.c
      NetWare has no uid.
      -- Kamesh

    * (PHP_5_0)
      TSRM/TSRM.c
      TSRM/tsrm_virtual_cwd.c
      TSRM/tsrm_virtual_cwd.h:
      TSRM/tsrm_virtual_cwd.c
      Removing the redundant CLIB_STAT_PATCH
      TSRM/tsrm_virtual_cwd.h
      Removing the redundant CLIB_STAT_PATCH
      TSRM/TSRM.c
      Netware pthreads support is good enough. So removing all these fixes of
      old times.
      -- Kamesh

    * TSRM/TSRM.c:
      Netware pthreads support is good enough. So removing all these fixes of old
      times.
      -- Kamesh

    * (PHP_5_0)
      ext/standard/string.c:
      NetWare specific dirname fixes.
      --Kamesh

2005-07-15  George Schlossnagle  <george@omniti.com>

    * ext/curl/interface.c
      ext/curl/php_curl.h:
      Darwin seems to like this much better.

    * ext/xsl/php_xsl.c
      ext/xsl/xsl_fe.h:
      Darwin seems to like this arrangement much better.

2005-07-15  Sara Golemon  <php@alphaweb.net>

    * ext/standard/ftp_fopen_wrapper.c:
      Pass context parameter through to xport_create

2005-07-15  Anantha Kesari H Y  <hyanantha@novell.com>

    * ext/standard/file.h
      ext/standard/string.c
      ext/standard/syslog.c:
      ext/standard/file.h NetWare LibC has fnmatch and realpath implemented.
      ext/standard/syslog.c Except LOG_SYSLOG other syslog macros are supported
      by NetWare LibC.
      ext/standard/string.c NetWare fix for dirname
      -- Kamesh

    * (PHP_5_0)
      ext/standard/file.h
      ext/standard/filestat.c
      ext/standard/link.c
      ext/standard/pageinfo.c
      ext/standard/syslog.c:
      ext/standard/file.h NetWare LibC has fnmatch and realpath implemented.
      ext/standard/filestat.c Removing redundant CLIB_STAT_PATCH and fixing some
      NetWare specific stat structure.
      ext/standard/link.c Removing redundant CLIB_STAT_PATCH.
      ext/standard/pageinfo.c Removing redundant CLIB_STAT_PATCH and fixing some
      NetWare specific stat structure.
      ext/standard/syslog.c Except LOG_SYSLOG NetWare LibC has other macros
      defined.
      
      -- Kamesh

2005-07-14  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/http_fopen_wrapper.c:
      Properly recognize redirect code 303.
      When encountering redirect on POST request follow browsers and cURL and
      perform GET on the specified location field.

2005-07-14  Andi Gutmans  <andi@zend.com>

    * configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev

    * (php_5_1_0b3)
      NEWS
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Beta 3

2005-07-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * (php_5_1_0b3)
      acinclude.m4
      configure.in
      main/php_network.h:
      - Fixed cacheing bug in PHP_SOCKADDR_SA_LEN macro
      - Removed duplicate sa_len check from configure.in
      - Unified the sockaddr tests into PHP_SOCKADDR_CHECKS macro

    * acinclude.m4:
      Fix the re_magic test by adding missing #include <sys/types.h>

2005-07-13  Sara Golemon  <php@alphaweb.net>

    * ext/standard/ftp_fopen_wrapper.c:
      Route ftp:// wrapper via transports layer.\nFix typo in datastream crypto
      startup

2005-07-13  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_4)
      NEWS
      main/rfc1867.c
      main/rfc1867.c:
      MFH: Fixed bug #33673 (Added detection for partially uploaded files).

    * NEWS
      main/rfc1867.c:
      Fixed bug #33673 (Added detection for partially uploaded files).

2005-07-13  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      typofix

    * acinclude.m4:
      - Added check whether re_magic exists in struct regex_t

    * php.ini-dist
      php.ini-recommended:
      fix typo

2005-07-12  Andi Gutmans  <andi@zend.com>

    * (php_5_1_0b3)
      NEWS:
      - Update Beta 3 date

2005-07-12  Antony Dovgal  <antony@zend.com>

    * (php_5_1_0b3)
      ext/mysqli/mysqli_fe.c
      ext/mysqli/php_mysqli.h:
      add forgotten ifdefs, fix #33667 (mysqli doesn't compile)

2005-07-12  Andi Gutmans  <andi@zend.com>

    * NEWS:
      - Update News

    * configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev

    * (php_5_1_0b3)
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Beta 3

2005-07-12  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/file.c:
      Added support for LOCK_EX flag for file_put_contents().

    * (php_5_1_0b3)
      main/SAPI.c
      main/main.c:
      Fixed double-free in the digest authentication handling.
      

2005-07-12  Georg Richter  <georg@mysql.com>

    * (php_5_1_0b3)
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h:
      changed version dependency for charset functions

2005-07-12  Antony Dovgal  <antony@zend.com>

    * (php_5_1_0b3)
      tests/lang/bug22367.phpt
      tests/lang/bug22510.phpt:
      fix tests that started to fail after the last change in ZE
      (noticed by Nuno)

2005-07-12  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h:
      removed charset structure. libmysql now provides a function
      mysqli_get_character_set_info (Vers. 5.0.10)

2005-07-12  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      NEWS
      Zend/zend_execute_API.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c:
      Fixed bug #33156 (cygwin version of setitimer doesn't accept ITIMER_PROF).
      (Nuno)

2005-07-11  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h:
      Make references misuse emit E_NOTICE rather E_STRICT to be compatible with
      PHP 4.4.0

2005-07-11  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      NEWS
      ext/standard/array.c:
      Fixed bug #31158 (array_splice on $GLOBALS crashes)

2005-07-11  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      configure.in
      main/php_version.h:
      - Back to -dev.

    * (PHP_4_4)
      NEWS
      configure.in
      main/php_version.h:
      - Go with 4.4.0.

2005-07-11  Jon Parise  <jon+php@csh.rit.edu>

    * run-tests.php:
      Removing the automake-related output.  The build no longer uses automake.
      
      While I'm here, rewrite the PHP_AUTOCONF-related code to more closely
      match the conventions used elsewhere in this section.  The result should
      be functionally the same as before.

2005-07-11  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/mime_magic/mime_magic.c:
      Compiler warning fix.

2005-07-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      ext/dbx/.cvsignore
      ext/dbx/CREDITS
      ext/dbx/INSTALL
      ext/dbx/config.m4
      ext/dbx/config.w32
      ext/dbx/dbx.c
      ext/dbx/dbx.dsp
      ext/dbx/dbx.h
      ext/dbx/dbx_fbsql.c
      ext/dbx/dbx_fbsql.h
      ext/dbx/dbx_mssql.c
      ext/dbx/dbx_mssql.h
      ext/dbx/dbx_mysql.c
      ext/dbx/dbx_mysql.h
      ext/dbx/dbx_oci8.c
      ext/dbx/dbx_oci8.h
      ext/dbx/dbx_odbc.c
      ext/dbx/dbx_odbc.h
      ext/dbx/dbx_pgsql.c
      ext/dbx/dbx_pgsql.h
      ext/dbx/dbx_sqlite.c
      ext/dbx/dbx_sqlite.h
      ext/dbx/dbx_sybasect.c
      ext/dbx/dbx_sybasect.h
      ext/dbx/howto_extend_dbx.html
      ext/dbx/package.xml
      ext/dbx/php_dbx.h
      ext/dbx/tests/.cvsignore
      ext/dbx/tests/001.phpt
      ext/dbx/tests/002.phpt
      ext/dbx/tests/003.phpt
      ext/dbx/tests/004.phpt
      ext/dbx/tests/005.phpt
      ext/dbx/tests/006.phpt
      ext/dbx/tests/007.phpt
      ext/dbx/tests/008.phpt
      ext/dbx/tests/009.phpt
      ext/dbx/tests/010.phpt
      ext/dbx/tests/dbx_test.p
      ext/dbx/tests/dbx_test.pgsql.script
      ext/dbx/tests/dbx_test.script
      ext/dbx/tests/skipif.inc
      ext/ircg/.cvsignore
      ext/ircg/CREDITS
      ext/ircg/Makefile.frag
      ext/ircg/README.txt
      ext/ircg/config.m4
      ext/ircg/ircg.c
      ext/ircg/ircg.php
      ext/ircg/ircg_common.c
      ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re
      ext/ircg/ircg_thttpd.c
      ext/ircg/php_ircg.h
      ext/ircg/php_ircg_alloc.h
      ext/ircg/php_ircg_cache.c
      ext/ircg/php_ircg_cache.h
      ext/ircg/php_ircg_conversion.c
      ext/ircg/php_ircg_conversion.h
      ext/ircg/php_ircg_error.c
      ext/ircg/php_ircg_error.h
      ext/ircg/php_ircg_formats.h
      ext/ircg/php_ircg_hash.h
      ext/ircg/php_ircg_lock.h
      ext/ircg/php_ircg_private.h
      ext/ircg/php_ircg_smart_str.h
      ext/ircg/php_ircg_tokenizer.c
      ext/ircg/php_ircg_tokenizer.h:
      - Moved ext/dbx and ext/ircg to PECL.

2005-07-09  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php:
      show ugly full path for failed redirected tests

    * ext/ldap/ldap.c:
      - No need to use convert_to_string_ex() when dealing with strings

    * NEWS
      ext/ldap/ldap.c:
      - Fixed bug #33588 (LDAP: RootDSE query not possible).

2005-07-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php:
      Sanitazione

2005-07-08  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * main/snprintf.h:
      - Fix *printf(%lld) under windows

2005-07-08  Antony Dovgal  <antony@zend.com>

    * ext/standard/head.c:
      fix tsrm build

2005-07-08  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/head.c:
      Missing bit of the previous patch.

    * ext/standard/head.c:
      Fixed compiler warning.

2005-07-08  Antony Dovgal  <antony@zend.com>

    * ext/standard/head.c:
      make use of T token

    * NEWS
      ext/standard/head.c:
      fix #33597 (setcookie() "expires" date format doesn't comply with RFC)

2005-07-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysqli/tests/041.phpt:
      Make sure we get a WARNING and not an ERROR here :)

    * ZendEngine2/tests/unset_cv05.phpt
      ZendEngine2/tests/unset_cv06.phpt
      tests/basic/bug20539.phpt:
      fix test when session.save_handler is "user"

2005-07-08  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
      Added pg_fetch_all_columns() function to fetch all values of a column from
      a result cursor.

2005-07-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      - Fixed stupid bug in PHP_INSTALL_HEADERS() macro: "foo bar" != foo bar
      - ext/date/lib/timelib_config.h is also installed now

2005-07-07  Dmitry Stogov  <dmitry@zend.com>

    * tests/classes/array_access_001.phpt
      tests/classes/array_access_002.phpt:
      Fixed bug #33512 (Add missing support for isset()/unset() overloading to
      complement the property get/set methods). Now empty($obj[...]) works
      proper but in addition it may call offsetGet() method.

    * NEWS
      ZendEngine2/zend.h
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_objects.c
      ZendEngine2/zend_reflection_api.c:
      Fixed bug #33512 (Add missing support for isset()/unset() overloading to
      complement the property get/set methods)

2005-07-07  Anantha Kesari H Y  <hyanantha@novell.com>

    * ZendEngine2/zend_stream.c
      ZendEngine2/zend_stream.c:
      zend_stream_getc uses fread internally. NetWare LibC fread reads 4(Which I
      believe EOT) for EOF(^D) character. This happens when fread is asked to
      read one and only character as is the case with cl interactive mode.
      -- Kamesh

2005-07-07  Antony Dovgal  <antony@zend.com>

    * NEWS
      ext/standard/string.c:
      fix #33605 (substr_compare() crashes with negative offset & length)

2005-07-07  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_hash.c
      ZendEngine2/zend_hash.h
      ZendEngine2/tests/bug28072.phpt:
      Fixed bug #28072 (static array with some constant keys will be incorrectly
      ordered).

2005-07-07  Wez Furlong  <wez.php@thebrainroom.net>

    * run-tests.php:
      sort redirected tests

    * run-tests.php:
      Fix 2 bugs:
      - summary is only displayed if 2 or more tests were detected
      - error out of a bogus test name is passed in

2005-07-07  Rob Richards  <rrichards@ctindustries.net>

    * ext/dom/element.c:
      Allow NULL namespaceURI for getAttributeNodeNS

2005-07-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      reorder. Also: Documentation belongs elsewhere :)

2005-07-07  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      TSRM/tsrm_virtual_cwd.c:
      1)gwtcwd of NetWare LibC gives a cwd with a volume information.
      So using getcwdpath which gives with volume information.
      getcwdpath gives with directory seperator as \ which is against our
      DEFAULT_SLASH of /.
      So finding and replacing \ with /
      2)NetWare file path normalization code in virtual_file_ex.
      -- Kamesh

    * TSRM/tsrm_virtual_cwd.h:
      Reverting the DEFAULT_SLASH to / as it breaks the FreeBSD derived function
      of NetWare LibC like glob.
      -- Kamesh

    * TSRM/tsrm_virtual_cwd.c:
      gwtcwd of NetWare LibC gives a cwd with a volume information.
      So using getcwdpath which gives with volume information.
      getcwdpath gives with directory seperator as \ which is against our
      DEFAULT_SLASH of /. So finding and replacing \ with /
      
      -- Kamesh

    * TSRM/tsrm_virtual_cwd.h:
      COPY_WHEN_ABSOLUTE is not needed for NetWare.
      -- Kamesh

    * (PHP_5_0)
      TSRM/tsrm_virtual_cwd.h:
      COPY_WHEN_ABSOLUTE is not needed for NetWare.
      NetWare can understand the file paths with volumnename with a colon,
      starting with / or \\ as absolute paths.
      -- Kamesh

2005-07-07  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      acinclude.m4
      sapi/cgi/config9.m4
      sapi/cli/config.m4:
      Fixed support for shared extensions on AIX

2005-07-07  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * ext/simplexml/simplexml.c:
      Missing closing folding marker

2005-07-06  Edin Kadribasic  <edink@emini.dk>

    * ext/zlib/php_zlib.def:
      Export missing symbol

2005-07-06  Wez Furlong  <wez.php@thebrainroom.net>

    * run-tests.php:
      Add a new kind of test to the test harness.  REDIRECTTEST sections allow an
      extension to piggy-back on the tests defined under another dir and run
      those.
      
      Example of its use follows shortly with pdo tests.

2005-07-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/incomplete_class.c
      ext/standard/php_incomplete_class.h:
      - Fixed crash in serialize() + classes. (64bit only)

2005-07-05  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33578 (strtotime() doesn't understand "11 Oct" format).
      (Derick)

2005-07-05  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/streamsfuncs.c
      ext/standard/tests/file/stream_get_line.phpt:
      Fixed crash inside stream_get_line() when length parameter equals 0.

2005-07-05  Edin Kadribasic  <edink@emini.dk>

    * ext/pgsql/pgsql.c:
      Properly detect when the copy command fails

2005-07-05  Dmitry Stogov  <dmitry@zend.com>

    * main/main.c
      main/main.c:
      Fixed crash in ext\standard\tests\general_functions\bug32647.php on Windows

    * ext/session/tests/bug31454.phpt
      ext/session/tests/bug31454.phpt:
      Fixed test file

2005-07-05  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      NEWS
      ext/pgsql/pgsql.c:
      - MFH: Fixed memory corruption in pg_copy_from() in case the as_null
      parameter
        was passed. (Derick)

    * (PHP_5_0)
      NEWS
      ext/pgsql/pgsql.c:
      - MFH: Fixed memory corruption in pg_copy_from() in case the as_null
      parameter was
        passed.

    * NEWS
      ext/pgsql/pgsql.c:
      - Fixed memory corruption in pg_copy_from() in case the as_null parameter
      was
        passed. (Derick)

2005-07-04  Jon Parise  <jon+php@csh.rit.edu>

    * run-tests.php:
      If the PHP_AUTOCONF and PHP_AUTOMAKE environmental variables are set, use
      them when describing the build environment.
      
      Support for these variables was originally added to build/build2.mk:1.36.
      
      As a side note, the build system uses PHP_AUTOHEADER.  Perhaps it should
      be listed on its own in the build environment for completeness, despite it
      being a component of the autoconf package.

2005-07-04  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_compile.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_language_parser.y
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed SIGSEGV on 'global ${"{$blah}_ID"};'

2005-07-04  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/session/tests/001.phpt
      ext/session/tests/003.phpt
      ext/session/tests/006.phpt
      ext/session/tests/007.phpt
      ext/session/tests/008-php4.2.3.phpt
      ext/session/tests/009.phpt
      ext/session/tests/012.phpt
      ext/session/tests/013.phpt
      ext/session/tests/014.phpt
      ext/session/tests/015.phpt
      ext/session/tests/017.phpt
      ext/session/tests/018.phpt
      ext/session/tests/019.phpt
      ext/session/tests/020.phpt
      ext/session/tests/021.phpt
      ext/session/tests/bug24592.phpt
      ext/session/tests/bug26862.phpt:
      Make sure files-save handler is used always

2005-07-04  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      sapi/aolserver/aolserver.c
      sapi/aolserver/aolserver.c
      sapi/apache2filter/apache_config.c
      sapi/apache2filter/apache_config.c
      sapi/apache2handler/apache_config.c
      sapi/apache2handler/apache_config.c
      sapi/nsapi/nsapi.c
      sapi/nsapi/nsapi.c:
      Fixed bug #33520 (crash if safe_mode is on and session.save_path is
      changed)

2005-07-04  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/lang/023.phpt:
      UTC is better

2005-07-04  Dmitry Stogov  <dmitry@zend.com>

    * ext/standard/tests/array/bug31158.phpt
      ext/standard/tests/array/bug31158.phpt:
      
      Fixed bug #31158 (array_splice on $GLOBALS crashes)

    * NEWS
      NEWS
      ZendEngine2/zend_API.h
      ZendEngine2/zend_execute_API.c
      ext/standard/array.c
      ext/standard/array.c
      ext/standard/tests/array/bug31158.phpt:
      Fixed bug #31158 (array_splice on $GLOBALS crashes)

2005-07-04  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/lang/023.phpt:
      fix test

2005-07-04  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33562 (date("") crashes).

2005-07-03  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33536 (strtotime defaults to now even on non time string).

    * ext/standard/basic_functions.c
      ext/standard/datetime.c:
      - Reimplemented time(), getdate() and localtime() functions with new
      datetime
        library.

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/datetime.c
      ext/standard/datetime.h:
      - Fixed bug #33532 (Different output for strftime() and date()).
      - Re-implemented checkdate(), strftime() and gmstrftime() with the new
      timelib
        code.

2005-07-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      function style

2005-07-03  Derick Rethans  <php@derickrethans.nl>

    * ext/standard/tests/time/003.phpt
      ext/standard/tests/time/bug21966.phpt
      ext/standard/tests/time/bug27719.phpt
      ext/standard/tests/time/mktime.phpt:
      - Move mktime/gmmktime related tests from ext/standard to ext/date.

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/tests/time/003.phpt
      ext/standard/tests/time/bug27719.phpt
      ext/standard/tests/time/mktime.phpt:
      - Fixed bug #30096 (gmmktime does not return the corrent time).
      - Re-implemented mktime and gmmktime with new date time library.
      - Added testcase for bug #30096, updated test cases for E_STRICT warning
      of
        is_dst parameter usage for mktime/gmmktime.

2005-07-03  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed memory leak

    * (PHP_5_0)
      ext/session/tests/007.phpt
      ext/session/tests/008-php4.2.3.phpt
      ext/session/tests/009.phpt:
      Fixed test fules (they assumend register_long_arrays=1)

2005-07-02  Edin Kadribasic  <edink@emini.dk>

    * (PHP_4_4)
      NEWS:
      BFN: now in the correct place :)

    * NEWS
      NEWS:
      BFN

    * ext/odbc/php_odbc.c:
      Don't crash on exit by destroying the same hash twice

2005-07-02  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Overhauled selecting the correct timezone. The timezone set with
        "date_timezone_set" override the TZ environment variable, which on its
      turn
        overrides the date.timezone setting. If none of the three is set, we
      fallback
        to UTC.
      - Added "date_timezone_set" function to set the timezone that the date
        functions will use.

2005-07-02  Greg Beaver  <greg@chiaraquartet.net>

    * pear/packages/XML_RPC-1.3.1.tar
      pear/packages/XML_RPC-1.3.1.tgz:
      XML_RPC -> 1.3.1 (tar, not tgz)

    * pear/packages/XML_RPC-1.2.2.tar
      pear/packages/XML_RPC-1.2.2.tar
      pear/packages/XML_RPC-1.3.1.tar
      pear/packages/XML_RPC-1.3.1.tgz:
      XML_RPC -> 1.3.1

2005-07-01  Edin Kadribasic  <edink@emini.dk>

    * php.ini-recommended:
      Inconsistency noticed by Nicholas Telford

2005-07-01  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      configure.in
      main/php_version.h:
      - Back to -dev

    * (PHP_4_4)
      NEWS
      configure.in
      main/php_version.h:
      - GO with RC2.

2005-07-01  Pierre-Alain Joye  <pierre@dotgeek.org>

    * (PHP_4_4)
      pear/packages/XML_RPC-1.2.2.tar:
      - really remove xmp-rpc 1.2.2

    * pear/packages/XML_RPC-1.3.1.tar
      pear/packages/XML_RPC-1.3.1.tar:
        1.1.4;
      file XML_RPC-1.3.1.tar was initially added on branch PHP_4_4.

    * (PHP_4_4)
      pear/go-pear-list.php:
      - update xmp_rpc to 1.3.1 (step #1/3)

    * pear/go-pear-list.php:
       bump xml_rpc to 1.3.1, php4 win32 builds uses this list to (4.4)

2005-07-01  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      ext/pgsql/config.m4:
      - Backport config.m4 from HEAD so that pg_config can be used.

2005-07-01  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      main/reentrancy.c:
      NetWare LibC has reentrant versions of time functions this code is of no
      use.
      -- Kamesh from hyanantha's account

    * main/reentrancy.c:
      NetWare LibC has reentrant time functions no need to have this.
      -- Kamesh from hyanantha's account

    * ext/standard/proc_open.c:
      As fork implementation of NetWare LibC still in experimental stages making
      the procve based solution ahead of HAVE_FORK. Later When fork becomes
      stable will revert this fix.
      --Kamesh from hyanantha's account

    * (PHP_5_0)
      ext/standard/proc_open.c:
      As fork implementation of NetWare LibC still in experimental stages making
      the procve based solution ahead of HAVE_FORK. Later When fork becomes
      stable will revert this fix.

2005-06-30  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/xmlrpc/xmlrpc-epi-php.c:
      Fixed bug #33523 (Memory leak in xmlrpc_encode_request()).

2005-06-30  Derick Rethans  <php@derickrethans.nl>

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/tests/time/bug27719.phpt
      ext/standard/tests/time/date.phpt:
      - Reimplemented date and gmdate with new timelib code.
      - Removed old date/gmdate implementations.
      - Moved date() related testcases to ext/date/tests.
      - Implemented bug #33452.
      - Fixed testcase for bug #27719 - there is no timezone called "EST5DST".

2005-06-30  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      SQLite lib upgrade news.

2005-06-30  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/openssl/openssl.c:
      Add optional parameter to openssl_pkcs7_verify() which specifies the name
      of a file that will be filled with the verified data, but with the
      signature
      information stripped.
      
      Patch by Marton Kenyeres, mkenyeres (at) konvergencia dot hu

2005-06-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysql/config.m4:
      consistent naming: prefix always with MYSQL_

    * ext/bcmath/libbcmath/src/config.h
      ext/mcve/mcve.c
      ext/pcre/pcrelib/internal.h
      ext/standard/html.c
      ext/xml/expat_compat.h
      main/php_scandir.h
      main/php_sprintf.c:
      Netware also uses autoconf based config now

2005-06-30  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ext/standard/dl.c:
      Restored old behavior of zend_statup_module()

2005-06-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/posix/config.m4:
      typo

    * ext/simplexml/php_simplexml.h
      ext/simplexml/simplexml.c
      ext/standard/array.c:
      - Unify (+ spl can't be build shared so COMPILE_DL_SPL

2005-06-30  Derick Rethans  <php@derickrethans.nl>

    * ext/posix/config.m4
      ext/posix/posix.c:
      - Added check for makedev systemcall, which Netware doesn't support.

2005-06-29  Anantha Kesari H Y  <hyanantha@novell.com>

    * netware/sys/stat.h:
      This file is not needed anymore

    * (PHP_5_0)
      netware/sys/stat.h:
      this file is not needed anymore

    * netware/geterrnoptr.c:
      this file is not used at all so removing it.

    * (PHP_5_0)
      netware/geterrnoptr.c:
      This file is not used at all.

    * netware/mktemp.c:
      Netware LibC has mktemp implementation

    * (PHP_5_0)
      netware/mktemp.c:
      NetWare LibC has mktemp implementation

    * netware/pwd.c
      netware/pwd.c:
      NetWare LibC has getpwnam, getlogin, getpwuid, getpid, this file is not
      needed anymore

2005-06-29  Antony Dovgal  <antony@zend.com>

    * ext/xml/tests/bug32001.phpt:
      fix test

2005-06-29  Anantha Kesari H Y  <hyanantha@novell.com>

    * netware/wfile.c
      netware/wfile.h:
      NetWare LibC has readlink implementation. This is not needed anymore.

    * (PHP_5_0)
      netware/wfile.c
      netware/wfile.h:
      NetWare LibC has readlink implementation

    * netware/time_nw.h:
      This file does nothing so removing this file.

    * (PHP_5_0)
      netware/time_nw.h:
      This file does nothing so removing this file

    * netware/grp.h
      netware/grp.h:
      NetWare LibC has grp.h

    * netware/param.h
      netware/param.h:
      NetWare LibC has param.h

    * netware/pipe.h:
      NetWare LibC itself has popen/pclose functionality so removing this

    * (PHP_5_0)
      netware/pipe.h:
      NetWare LibC itself pipe/popen/pclose implementation

2005-06-29  Johannes Schlüter  <schlueter@phpbar.de>

    * ext/standard/php_incomplete_class.h:
      - Fix TSRM build

2005-06-29  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      ext/standard/mail.c:
      NetWare LibC itself has a pip/popen support

    * netware/pipe.c:
      NetWare LibC has pipe/popen support

    * (PHP_5_0)
      netware/pipe.c:
      NetWare LibC has a pipe and popen implentation

2005-06-29  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h:
      fix conditions for freeing

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.c:
      add comment

    * (PHP_5_0)
      ZendEngine2/zend_execute.c:
      fix conditions

2005-06-29  Anantha Kesari H Y  <hyanantha@novell.com>

    * netware/mktemp.h:
      mktemp functionality is part of Regular LibC

    * (PHP_5_0)
      netware/mktemp.h:
      mktemp functionality is part of Regular NetWare LibC

    * netware/pwd.h:
      removing pwd.h as NetWare LibC itself supplies pwd.h

    * (PHP_5_0)
      netware/pwd.h:
      removing pwd.h as NetWare LibC itself supplies pwd.h for quite sometime

    * (PHP_5_0)
      main/reentrancy.c:
      removed the unwanted NetWare Code

    * (PHP_5_0)
      main/php.h:
      Removing unwanted NetWare Code

    * (PHP_5_0)
      main/mergesort.c:
      removing unwanted NetWare code

2005-06-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/url_scanner_ex.c
      ext/standard/var_unserializer.c:
      - Regenerated with re2c 0.9.8

2005-06-28  Antony Dovgal  <antony@zend.com>

    * ZendEngine2/zend_execute.c:
      fix leak: when dup was <success>ful zend_std_object_get_class_name()
      returns SUCCESS aka 0

2005-06-28  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Added testcases for bug #14561 and #26090 and updated NEWS with those
        fixed bug nr's.

2005-06-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/informix/Makefile.frag
      ext/informix/config.m4:
      - Fixed bug #33469 also for shared builds

2005-06-28  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33415 and added test cases for #33414 and #33415.

2005-06-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      re2c 0.98 is the current working version

2005-06-28  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Fixed bug #33433 (strtoll not available on Tru64).

2005-06-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      NEWS:
      Removed unnecessary entry

    * NEWS:
      BFN

2005-06-28  Brian France  <list@firehawksystems.com>

    * (PHP_5_0)
      NEWS
      sapi/apache/mod_php5.c:
      
      MFH:
      
      Added a SG(server_context) NULL check to php_apache_getenv.
      
      This can get called when "<key> = ${<key>}:/foo" is used in a .ini file,
      but <key> has not be set yet.
      You will end up with a value of ":/foo", but at least it will not crash.

    * NEWS
      sapi/apache/mod_php5.c:
      
      	Added a SG(server_context) NULL check to php_apache_getenv.
      
      	This can get called when "<key> = ${<key>}:/foo" is used in a .ini file,
      but <key> has not be set yet.
              You will end up with a value of ":/foo", but at least it will not
      crash now.

2005-06-28  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      main/php_open_temporary_file.c:
      removed redundant NEW_LIBC checks

    * (PHP_5_0)
      ext/standard/image.c:
      removed the unwanted NetWare Code

    * (PHP_5_0)
      ext/standard/microtime.c:
      removing unwanted NetWare portion

    * (PHP_5_0)
      ext/standard/fsock.h
      ext/standard/lcg.c:
      removing the redundant NEW_LIBC checks

    * (PHP_5_0)
      ext/standard/head.c:
      removing redundant NEW_LIBC checks for NetWare

    * (PHP_5_0)
      ext/snmp/snmp.c
      ext/standard/filestat.c
      ext/standard/flock_compat.c:
      removing redundant NEW_LIBC checks

2005-06-28  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h:
      fix previous patch

    * ZendEngine2/zend_vm_execute.h:
      update

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h:
      fixes for non-php objects

    * (PHP_5_0)
      ZendEngine2/zend_execute.c:
      fixes fo rnon-php objects (John Coggeshall)

    * ext/standard/php_incomplete_class.h
      ext/standard/var.c:
      fix handling of non-PHP classes (John Coggeshall)

    * (PHP_5_0)
      ext/standard/php_incomplete_class.h
      ext/standard/var.c:
      fix non-PHP object handling (from John Coggeshall)

2005-06-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend.c:
      - Fixed bug #31358 (Older GCC versions do not provide portable va_copy()).

    * ext/mysqli/tests/bug33491.phpt:
      add test case

    * NEWS
      ext/informix/Makefile.frag
      ext/informix/config.m4:
      - Fixed bug #33469 (Compile error undefined reference to ifx_checkAPI).

    * acinclude.m4:
      - Cache the xml2-config path

2005-06-27  Antony Dovgal  <antony@zend.com>

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli.c:
      MFH: fix #33491 (crash after extending MySQLi internal class)

    * (PHP_5_0)
      ext/mysqli/mysqli_nonapi.c:
      MFH: fix leak appearing when connect fails

2005-06-27  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_API.h
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_exceptions.c
      ZendEngine2/zend_exceptions.c:
      fix various "Class entry requested for an object without PHP class"
      messages
      when working with non-PHP objects.

2005-06-27  Antony Dovgal  <antony@zend.com>

    * NEWS:
      BFN

    * ext/mysqli/mysqli.c:
      fix #33491 (crash after extending MySQLi internal class)

    * ext/mysqli/mysqli_exception.c
      ext/mysqli/mysqli_nonapi.c:
      fix couple of leaks in MySQLi

2005-06-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysqli/tests/065.phpt:
      set_charset() is only available in mysql versions > 4.1.12

    * ext/mysqli/tests/061.phpt:
      do not pollute other directories and cleanup after test

2005-06-27  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      Zend/zend_execute.c
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed SIGSEGV on assigment string offset by reference

    * ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c:
      Fixed wrong include/requre occurrences in debug backtrace.

2005-06-26  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/dom/document.c
      ext/dom/namednodemap.c
      ext/dom/nodelist.c:
      - Fixed bugs #33431, #33432 ("int" used instead of "long" in parameter
      parsing)

2005-06-26  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/curl/interface.c
      ext/curl/multi.c:
      Fixed bug #33475 (cURL handle is not closed on curl_close().

2005-06-26  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      pear/go-pear-list.php:
      revert the conflicting part

2005-06-26  Holger Zimmermann  <zimpel@t-online.de>

    * (PHP_4_4)
      sapi/pi3web/pi3web_sapi.c
      sapi/pi3web/pi3web_sapi.c:
      Replaced PCHAR by CHAR * (not defined in pi3web_sapi header)

2005-06-26  Pierre-Alain Joye  <pierre@dotgeek.org>

    * (PHP_5_0)
      pear/go-pear-list.php:
      - Bump xml_rpc version

    * pear/go-pear-list.php:
      - bump xml_rpc version

2005-06-26  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli_nonapi.c:
      fix for #33474

2005-06-24  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS:
      Added PDO_MYSQL_ATTR_USE_BUFFERED_QUERY parameter for pdo_mysql, to toggle
      usage of buffered queries.

2005-06-24  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli_fe.c:
      reverted Ilias changes - added get_warnings methods
      (forgot to commit the file in my last commit)

2005-06-24  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_execute.h
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      Export zend_do_fcall() helper from executor

    * (PHP_4_4)
      Zend/zend_compile.c:
      Partial fix for bug #26584 (Class member - array key overflow)

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c:
      Partial fix for bug #26584 (Class member - array key overflow)
      It doesn't fix integer overflow problem, but allows null, boolean and
      double keys in array constants in the same way as in runtime.

    * ZendEngine2/tests/bug30519.phpt
      ZendEngine2/tests/bug30519.phpt:
      
      Fixed bug #30519 (Interface not existing says Class not found)

    * NEWS
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug30519.phpt:
      Fixed bug #30519 (Interface not existing says Class not found)

2005-06-24  Ilia Alshanetsky  <ilia@prohost.org>

    * main/streams/plain_wrapper.c:
      Likely fix for bug #33140

2005-06-23  Dmitry Stogov  <dmitry@zend.com>

    * tests/lang/bug28377.phpt
      tests/lang/bug28377.phpt:
      
      file bug28377.phpt was initially added on branch PHP_4_4.

    * NEWS
      NEWS
      NEWS
      Zend/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/tests/bug28377.phpt:
      Fixed bug #28377 (debug_backtrace is intermittently passing args)

    * ZendEngine2/tests/bug28377.phpt
      ZendEngine2/tests/bug28377.phpt:
      
      file bug28377.phpt was initially added on branch PHP_5_0.

    * ZendEngine2/tests/bug32660.phpt
      ZendEngine2/tests/bug32660.phpt:
      
      Fixed bug #32660 (Assignment by reference causes crash when field access
      is overloaded (__get))

    * NEWS
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug32660.phpt:
      Fixed bug #32660 (Assignment by reference causes crash when field access is
      overloaded (__get))

2005-06-23  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * tests/classes/ctor_name_clash.phpt:
      Don't really need the ZE2 check since this is in HEAD

2005-06-23  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/dom/tests/dom003.phpt:
      fix test

2005-06-23  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * tests/classes/ctor_name_clash.phpt:
      test for derived method name clashes

2005-06-23  Dmitry Stogov  <dmitry@zend.com>

    * ext/dom/tests/dom003.phpt
      ext/dom/tests/dom003.phpt:
      Fixed test file according to latest debug_backtrace() fixes

    * NEWS
      NEWS
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/tests/bug30828.phpt:
      Fixed bug #30828 (debug_backtrace() reports incorrect class in overridden
      methods)

    * ZendEngine2/tests/bug30828.phpt
      ZendEngine2/tests/bug30828.phpt:
      
      file bug30828.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      ZendEngine2/tests/bug27268.phpt:
      Test for bug #27268. It is fixed in HEAD but not in PHP_5_0.

    * ZendEngine2/tests/bug27268.phpt
      ZendEngine2/tests/bug27268.phpt:
      
      Fixed bug #27268 (Bad references accentuated by clone).

    * NEWS
      ZendEngine2/zend_execute.c:
      Fixed bug #27268 (Bad references accentuated by clone).

2005-06-23  Andi Gutmans  <andi@zend.com>

    * NEWS
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev

    * (php_5_1_0b2)
      NEWS
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Beta 2

2005-06-23  Ilia Alshanetsky  <ilia@prohost.org>

    * (php_5_1_0b2)
      ext/mysqli/mysqli_fe.c:
      temporary fix to let mysqli extension build, so we can make a release.

2005-06-22  Rob Richards  <rrichards@ctindustries.net>

    * NEWS:
      BFN

    * (PHP_5_0)
      ext/dom/dom_ce.h
      ext/dom/php_dom.c
      ext/dom/xml_common.h:
      MFH: Fix bug #33299 (php:function no longer handles returned dom objects)
      - maybe fix #33431/33432

    * (php_5_1_0b2)
      ext/dom/dom_ce.h
      ext/dom/php_dom.c
      ext/dom/xml_common.h:
      - Fix bug #33299 (php:function no longer handles returned dom objects)
      - maybe fix #33431/33432

2005-06-22  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/file.c
      ext/standard/tests/file/bug32160.phpt
      ext/standard/tests/file/bug32160.txt:
      Fixed bug #32160 (copying a file into itself leads to data loss).

2005-06-22  Dmitry Stogov  <dmitry@zend.com>

    * (php_5_1_0b2)
      ext/dom/tests/dom003.phpt
      tests/lang/bug32828.phpt
      tests/lang/bug32828.phpt:
      Debug backtrace was fixed

    * NEWS
      NEWS
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/tests/bug29896.phpt:
      Fixed bug #29896 (Backtrace argument list out of sync)

    * ZendEngine2/tests/bug29896.phpt
      ZendEngine2/tests/bug29896.phpt:
      
      file bug29896.phpt was initially added on branch PHP_5_0.

2005-06-22  Ilia Alshanetsky  <ilia@prohost.org>

    * (php_5_1_0b2)
      ext/mysqli/tests/connect.inc:
      Slightly more reliable current path detection.

    * (php_5_1_0b2)
      ext/mysqli/tests/skipif.inc:
      Skip MySQLi tests if connection could not be established and not using
      embeded db.

2005-06-22  Jani Taskinen  <jani.taskinen@sci.fi>

    * (php_5_1_0b2)
      ext/standard/tests/array/array_sum.phpt:
      "64M should be enough for everyone." -- Jani, 2005 :)

2005-06-22  Stanislav Malyshev  <stas@zend.com>

    * (php_5_1_0b2)
      ZendEngine2/zend_vm.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php:
      export zend_vm_set_opcode_handler

2005-06-22  Antony Dovgal  <antony@zend.com>

    * NEWS
      ZendEngine2/zend_ini.c:
      - allow to use "yes" and "true" with ini_set() and in commandline (through
      -d flag)
      - fix #15854 that was caused by wrong consideration that
      zend_ini_boolean_displayer_cb()
      always recieves converted to "0"/"1" values.

2005-06-22  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      main/main.c:
      removing the redundant NEW_LIBC checks

    * (PHP_5_0)
      main/fopen_wrappers.c:
      NetWare LibC has sys/param.h

2005-06-22  Georg Richter  <georg@mysql.com>

    * (php_5_1_0b2)
      ext/mysqli/tests/066.phpt:
      added testcase for mysqli_warning class

    * (php_5_1_0b2)
      ext/mysqli/tests/067.phpt:
      added testcase for cursors (nested selects)

    * (php_5_1_0b2)
      ext/mysqli/mysqli.c
      ext/mysqli/mysqli_warning.c
      ext/mysqli/php_mysqli.h:
      changed/fixed mysqli_warning class
      added prefetch support for cursors

2005-06-22  Dmitry Stogov  <dmitry@zend.com>

    * (php_5_1_0b2)
      ext/iconv/tests/iconv_mime_encode.phpt
      ext/iconv/tests/iconv_mime_encode.phpt:
      Fixed bug in test file

    * NEWS
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug33257.phpt:
      Fixed bug #33257 (array_splice() inconsistent when passed function instead
      of variable)

    * ZendEngine2/tests/bug33257.phpt
      ZendEngine2/tests/bug33257.phpt:
      
      file bug33257.phpt was initially added on branch PHP_5_0.

2005-06-22  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      BFN

    * (php_5_1_0b2)
      ext/odbc/config.m4:
      - Fixed bug #33427 (ext/odbc: check if unixODBC header file exists)

    * (php_5_1_0b2)
      acinclude.m4:
      - Never ever add /usr/lib as libpath, even if --with-libdir is used

    * (php_5_1_0b2)
      ZendEngine2/tests/unset_cv05.phpt
      ZendEngine2/tests/unset_cv06.phpt:
      fix tests

2005-06-21  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/unset_cv07.phpt:
      Fixed test file

2005-06-21  Andi Gutmans  <andi@zend.com>

    * configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev. Guys (n' Girls), give at least 1 hour before you start
      - complaining about not going back to -dev. I like checking the tarball
      - before I change it back.

    * (php_5_1_0b2)
      NEWS
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Take #3 :)

2005-06-21  Ilia Alshanetsky  <ilia@prohost.org>

    * (php_5_1_0b2)
      ZendEngine2/zend_reflection_api.c:
      Fixed memory leak.
      

2005-06-21  Jani Taskinen  <jani.taskinen@sci.fi>

    * (php_5_1_0b2)
      build/genif.sh:
      - Partial revert: It does not matter if awk works or not but helps if it
      does :)

    * (php_5_1_0b2)
      ext/sysvmsg/tests/002.phpt:
      fix test

2005-06-21  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      NEWS
      ext/standard/array.c
      ext/standard/array.c
      ext/standard/array.c:
      Fixed bug #31213 (Sideeffects caused by fix of bug #29493)

    * (PHP_5_0)
      ZendEngine2/zend_compile.c:
      Remove unnecessary ZEND_FETCH_CLASS together with
      ZEND_DECLARE_INHERITED_CLASS
      in case of early binding

    * (php_5_1_0b2)
      ZendEngine2/zend_compile.c:
      Remove unnecessary ZEND_FETCH_CLASS together with
      ZEND_DECLARE_INHERITED_CLASS in case of early binding

2005-06-21  Jani Taskinen  <jani.taskinen@sci.fi>

    * (php_5_1_0b2)
      acinclude.m4:
      Fix configure problem in braindead systems like Solaris.

2005-06-21  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (php_5_1_0b2)
      tests/classes/array_access_012.phpt:
      - Add new test

2005-06-21  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      ext/standard/tests/serialize/bug31402.phpt:
      Fixed test file (the bug was already fixed)

2005-06-21  Ilia Alshanetsky  <ilia@prohost.org>

    * (php_5_1_0b2)
      sapi/cli/php_cli.c:
      Fixed possible memory corruption.

2005-06-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/array_access_011.phpt:
      - Add new test

2005-06-19  Derick Rethans  <php@derickrethans.nl>

    * genfiles
      ext/standard/.cvsignore
      ext/standard/Makefile.frag
      ext/standard/config.m4
      ext/standard/config.w32
      ext/standard/datetime.c
      ext/standard/parsedate.y
      ext/standard/php_parsedate.h
      ext/wddx/wddx.c
      netware/BisonExtStandard.bat
      netware/phplib.mak
      win32/php5dll.dsp
      win32/php5dllts.dsp:
      - Added backward compability wrapper "php_parse_date()".
      - Changed WDDX extension to use new date parsing code.
      - Removed all remnants to the old parser.

2005-06-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/array_access_010.phpt:
      - Add new test

2005-06-19  Derick Rethans  <php@derickrethans.nl>

    * ZendEngine2/tests/bug32226.phpt:
      - Fixed layout of test description.

2005-06-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/array_access_009.phpt:
      - Drop doubled $

    * tests/classes/array_access_009.phpt:
      - Add new test

    * tests/classes/array_access_003.phpt
      tests/classes/array_access_005.phpt
      tests/classes/array_access_008.phpt:
      - Update tests to reflect current situation

2005-06-19  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/string.c:
      make substr_count() 30% when counting instances of 1 byte long strings.

2005-06-19  Derick Rethans  <php@derickrethans.nl>

    * NEWS:
      - Add #20382 to the list, and expand testcase again.

2005-06-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      reorder + typofix :)

2005-06-18  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      build/shtool:
      - MFH: - Updated bundled shtool to version 2.0.2

    * NEWS:
      - Update NEWS with bugfix happyness.
      - Update TODO file for ext/date. No known bugs currently.

2005-06-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      NEWS
      NEWS:
      BFN

    * build/shtool:
      - Updated bundled shtool to version 2.0.2

2005-06-18  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/string.c
      ext/standard/tests/strings/substr_count.phpt:
      Added offset & length parameters to substr_count() function.

2005-06-18  Andi Gutmans  <andi@zend.com>

    * php.ini-recommended:
      - E_STRICT shouldn't be on by default on production servers.

2005-06-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/dba/config.m4:
      Add note how to build DBA as shared

    * ext/odbc/config.m4:
      no trailing dots

    * ext/standard/tests/file/bug26615.phpt:
      Make sure $_ENV is populated

    * ext/standard/tests/array/bug29992.phpt:
      - This is no bug.

2005-06-17  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/streamsfuncs.c:
      Added offset parameter to the stream_copy_to_stream() function.

2005-06-17  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/tests/bug29368.phpt
      ZendEngine2/tests/bug30856.phpt
      ZendEngine2/tests/bug30961.phpt
      ZendEngine2/tests/bug31720.phpt
      ZendEngine2/tests/bug32226.phpt
      ZendEngine2/tests/bug33277.phpt:
      No short-tags!

2005-06-17  Georg Richter  <georg@mysql.com>

    * ext/mysqli/tests/bug33263.phpt
      ext/mysqli/tests/bug33263.phpt:
      
      fix for bug #33263 (mysqli_real_escape doesn't work in __construct)

    * ext/mysqli/mysqli_api.c:
      fix for bug #33263 (mysqli_real_escape doesn't work in __construct)

2005-06-17  Andrei Zmievski  <andrei@gravitonic.com>

    * NEWS:
      -** empty log message ***

2005-06-17  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/gmp/tests/bug32773.phpt:
      fix test - short_tags not allowed here!

2005-06-17  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_compile.h
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Removed EX(fbc_constructor) (it is no longer needed)

    * (PHP_4_4)
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.re
      ext/standard/tests/serialize/bug31402.phpt:
      Fixed bug #31402 (unserialize creates a field containing a reference when
      it should not)

2005-06-17  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/sqlite/pdo_sqlite2.c:
      nuke unused variable

    * ext/xml/xml.c:
      Use new dependency system

    * ext/simplexml/simplexml.c
      ext/sqlite/sqlite.c
      ext/xsl/php_xsl.c:
      Use the new dependency system

2005-06-17  Antony Dovgal  <antony@zend.com>

    * (PHP_5_0)
      ZendEngine2/zend_API.c
      ZendEngine2/zend_list.c:
      MFH: improve error messages in internal classes

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_list.c:
      improve error messages when error raised from an internal class (do not
      hide class name)

    * NEWS
      ext/standard/tests/array/bug33382.phpt:
      add news entry and test for bug #33382

2005-06-17  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      NEWS
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.c:
      Fixed bug #33277 (private method accessed by child class)

2005-06-17  Antony Dovgal  <antony@zend.com>

    * ZendEngine2/zend_hash.c:
      fix bug #33382 (array_reverse() fails after *sort())
      no need to MFH - the bug existed only in HEAD

2005-06-17  Dmitry Stogov  <dmitry@zend.com>

    * build/genif.sh
      ext/dom/php_dom.c
      ext/sqlite/sqlite.c
      ext/standard/dl.c
      ext/standard/dl.h
      main/internal_functions.c.in
      main/internal_functions_nw.c
      main/internal_functions_win32.c
      main/main.c
      main/php.h
      main/php_ini.c
      main/php_ini.h
      main/php_main.h:
      Improved PHP extension loading mechanism with support for module
      dependencies and conflicts

    * NEWS
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_extensions.h
      ZendEngine2/zend_modules.h:
      Improved PHP extension loading mechanism with support for module
      dependencies and conflicts.

2005-06-16  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_reflection_api.c:
      - Internal functions/methods can now return by reference

2005-06-16  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/gd/libgd/gdxpm.c:
      Fixed memory corruption.

2005-06-16  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * Makefile.global:
      - No more memory_limit for running tests

2005-06-16  Derick Rethans  <php@derickrethans.nl>

    * ext/standard/tests/time/002-win32.phpt
      ext/standard/tests/time/002.phpt
      ext/standard/tests/time/bug13142.phpt
      ext/standard/tests/time/bug17988.phpt
      ext/standard/tests/time/bug20382.phpt
      ext/standard/tests/time/bug26198.phpt
      ext/standard/tests/time/bug26317.phpt
      ext/standard/tests/time/bug26320.phpt
      ext/standard/tests/time/bug27780.phpt
      ext/standard/tests/time/bug28599.phpt:
      - Move strtotime() related testcases to ext/date/tests.

2005-06-16  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_execute.c:
      - Fix TSRM build

2005-06-16  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php:
      silence notices

    * NEWS:
      typofix

2005-06-16  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/standard/dl.c:
      Don't emit the E_STRICT dl-is-deprecated notice on SAPI's where dl() is
      widely (and safely) used.
      This allows our test-suite to run in E_STRICT mode.

2005-06-16  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/bench.php:
      typo

2005-06-16  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/standard/array.c:
      Fix compile on win32 at least.

    * sapi/cgi/cgi_main.c:
      Don't crash here if there are errors (such as failing to load extensions
      via
      php.ini) during startup.

2005-06-16  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend.h
      ZendEngine2/zend_API.h
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_extensions.h
      ZendEngine2/zend_modules.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Allowed return by refrence from internal functions

2005-06-16  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.h:
      rename to zend_

2005-06-16  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug33318.phpt:
      Fixed bug #33318 (throw 1; results in Invalid opcode 108/1/8)

2005-06-16  Zeev Suraski  <zeev@zend.com>

    * ZendEngine2/zend_language_scanner.l:
      Fixlet

2005-06-16  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Compilation warnings

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      ZEND_UNSET_DIM_OBJ is splitted to ZEND_UNSET_DIM and ZEND_UNSET_OBJ.

2005-06-16  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.h:
      export zval getters

2005-06-16  Derick Rethans  <php@derickrethans.nl>

    * EXTENSIONS
      ext/standard/credits_ext.h:
      - Update maintainers and credits.

2005-06-16  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_execute.h
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      USER_OPCODE API is improvet.
      Implemented ability to dispatch from user handler to internal handler of
      another opcode.

2005-06-15  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/standard/array.c:
      WS fix

    * ext/standard/array.c
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
      Fix FCI cache for array_walk and user array compare functions. Bug

2005-06-15  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend.c
      ZendEngine2/zend.h:
      Fixed OS X compatibility

2005-06-15  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/phpize.in:
      - This does not have to be egrep here

2005-06-15  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      ext/mysqli/mysqli_api.c:
      fixed parameter parse string for mysqli_stmt_attr_set

2005-06-15  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/tests/bug32428.phpt:
      typofix

    * run-tests.php:
      Show borked tests in the summary

2005-06-14  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/bench.php:
      more accurate timing function.

2005-06-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/lang/bug21800.phpt:
      This test did not fit to the new interactive shell thing

    * NEWS:
      BFN

2005-06-14  Derick Rethans  <php@derickrethans.nl>

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/type.c
      ext/standard/tests/time/002.phpt:
      - Add my new timelib and ext/date. For now only strtotime() makes use of
      this.

2005-06-14  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/xsl/xsltprocessor.c:
      MFH: Fixed bug #33340 (CLI Crash when calling php:function from XSLT)

    * ext/xsl/xsltprocessor.c:
      Fixed bug #33340 (CLI Crash when calling php:function from XSLT)

2005-06-14  Ilia Alshanetsky  <ilia@prohost.org>

    * main/network.c:
      bzero > memset

2005-06-14  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      Removed old executor

2005-06-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/Zend.m4:
      reordered + added msg to configure output for PHP_ZEND_VM

    * ZendEngine2/Zend.m4:
      typofix

    * ZendEngine2/Zend.m4
      ZendEngine2/acinclude.m4:
      fix standalone build

2005-06-14  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * main/streams/xp_socket.c:
      ZTS fix.

2005-06-14  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/ftp/ftp.c
      main/network.c
      main/php_network.h
      main/streams/xp_socket.c:
      Added bindto socket context option.

2005-06-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      Make this usable for header files too

    * ext/sqlite/config.m4:
      use PHP_CHECK_PDO_INCLUDES

    * acinclude.m4:
      Allow different things to be done when found / not-found

    * acinclude.m4:
      - Added PHP_CHECK_PDO_INCLUDES macro (caches the result)

2005-06-13  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * NEWS:
      added news item for GLOB_ERR fix

2005-06-13  Edin Kadribasic  <edink@emini.dk>

    * ext/bz2/bz2.c:
      MFB: MSVC++ 6.0 doesn't support long long type

    * (PHP_4_4)
      ext/bz2/bz2.c:
      MSVC++ 6.0 doesn't support long long type

2005-06-13  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      Specializer optimization

2005-06-13  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      configure.in
      main/php_version.h:
      - Back to dev

    * (PHP_4_4)
      NEWS
      configure.in
      main/php_version.h:
      - Go with 4.4.0RC1.

2005-06-13  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_4)
      ext/standard/var_unserializer.c:
      touch

2005-06-13  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      ext/standard/var_unserializer.re:
      - MFH: Fixed bug with unserialize() with "exotic" letters in class names

2005-06-13  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend.c
      ZendEngine2/zend.h
      ZendEngine2/zend_execute.c:
      Fixed bug #33212 ([GCC 4]: 'zend_error_noreturn' aliased to external symbol
      'zend_error').
      The fix is not tested on Solaris and DARWIN!

2005-06-13  Antony Dovgal  <antony@zend.com>

    * (PHP_4_4)
      ext/oci8/oci8.c
      ext/oci8/oci8.c:
      MFH:
      destroy session after destroying error handle
      SQLT_CHR is allowed too

    * ext/oci8/oci8.c:
      destroy session after destroying error handle
      SQLT_CHR is allowed too

2005-06-13  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      acinclude.m4:
      - Fixed bug #31256 (PHP_EVAL_LIBLINE configure macro does not handle
      -pthread)

2005-06-13  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/tests/bug33312.phpt:
      Fixed bug #33312 (ReflectionParameter methods do not work correctly)

2005-06-12  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/user_filters.c:
      Removed unused var.

2005-06-12  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * ext/standard/dir.c:
      Support for GLOB_ERR so that glob() reports permission problems (Bug
      #28355)

    * ext/standard/dir.c:
      thinko fix (E_COMMIT_AFTER_MIDNIGHT)

    * ext/standard/dir.c:
      Removed bogus fix for bug #28355 (it was dead code anyway)

2005-06-11  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_4)
      ext/standard/url_scanner_ex.c
      ext/standard/var_unserializer.c:
      Revert. re2c 0.9.7 obviously does not work properly (or our .re files are
      buggy)

    * ext/standard/url_scanner_ex.c
      ext/standard/var_unserializer.c:
      revert

    * ext/mysql/config.m4:
      Another netware fix

    * NEWS:
      Merge the bug fix entries from PHP_5_0 branch

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.c:
      regenerated with re2c 0.9.7

2005-06-11  Andi Gutmans  <andi@zend.com>

    * configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev

    * (php_5_1_0b2)
      NEWS
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - b2 (will post it to internals@)

2005-06-10  Andi Gutmans  <andi@zend.com>

    * configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Back to -dev

    * (php_5_1_0b1)
      configure.in
      ZendEngine2/zend.h
      main/php_version.h:
      - Go with 5.1.0b1

    * (php_5_1_0b1)
      NEWS:
      - Go with Beta 1
      - Merged 5.0.x news and nuked anything prior to 5.0.0 release

2005-06-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * (php_5_1_0b1)
      scripts/phpize.in:
      - Fix phpize: need to eval path variables for them to be usable

2005-06-10  Dmitry Stogov  <dmitry@zend.com>

    * NEWS:
      Add some entries that was forgotten

    * (php_5_1_0b1)
      ZendEngine2/tests/bug30162.phpt:
      Added test for bug #30162 (it is already fixed but test file was forgotten)

    * (php_5_1_0b1)
      ZendEngine2/tests/bug31177.phpt:
      Added test file for bug #31177 (not fixed yet)

    * ZendEngine2/tests/bug31177.phpt
      ZendEngine2/tests/bug31177.phpt:
      
      file bug31177.phpt was initially added on branch PHP_5_0.

    * (php_5_1_0b1)
      ZendEngine2/tests/bug29689.phpt:
      typos

    * (php_5_1_0b1)
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/zend_reflection_api.c:
      Fixed support for ZEND_ACC_SHADOW in ReflectionProperty constructor

    * (php_5_1_0b1)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.h
      ZendEngine2/zend_extensions.h
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_gen.php
      ZendEngine2/zend_vm_opcodes.h:
      Fix so that extensions like xdebug, can overload opcodes in all execution
      modes including goto/switch

    * (php_5_1_0b1)
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Merge three opcodes (ZEND_NEW, ZEND_JMP_NO_CTOR, ZEND_INIT_CTOR) into one
      (ZEND_NEW). There was no real reason for this anymore and API should be
      changed before 5.1

2005-06-09  Stanislav Malyshev  <stas@zend.com>

    * NEWS
      NEWS:
      

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/tests/bug29689.phpt:
      MF50:  fix #29689 and more private property problems

    * ZendEngine2/tests/bug33277.phpt:
      add test for this TBF bug

    * (PHP_5_0)
      NEWS:
      RIP abstrace private

    * ZendEngine2/zend_compile.c:
      disallow abstrace private methods

    * (PHP_5_0)
      ZendEngine2/zend_compile.c:
      Disallow abstract privae methods

    * (PHP_5_0)
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/tests/bug29689.phpt:
      fix #29689 and more private property problems

2005-06-09  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend.c
      ZendEngine2/zend.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c:
      Fixed double call to php_stream_close() on compiler errors

2005-06-09  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/tests/bug33277.phpt
      ZendEngine2/tests/bug33277.phpt:
      
      file bug33277.phpt was initially added on branch PHP_5_0.

2005-06-09  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/bz2/bz2.c:
      Fixed compiler warning.

2005-06-09  Wez Furlong  <wez.php@thebrainroom.net>

    * main/main.c:
      hmm, backing out this change, as it seems to cause problems with user-space
      streams and filters (the ZE needs to close them before it blows away the
      user-space code.
      
      Noticed by Dmitry.  Still need to find out how to avoid double-closing
      streams.

2005-06-09  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      Zend/zend.c
      ZendEngine2/zend.c
      ZendEngine2/zend.c
      tests/lang/bug25922.phpt
      tests/lang/bug25922.phpt
      tests/lang/bug25922.phpt:
      Fixed bug #25922 (In error handler, modifying 5th arg (errcontext) may
      result in seg fault)

    * ZendEngine2/zend_language_scanner.l
      ZendEngine2/zend_language_scanner.l:
      Fixed bug (Crash on Windows and ZTS) that was introduced with fix for bug
      #26456

    * ext/standard/user_filters.c
      ext/standard/user_filters.c:
      Fixed reference counting and probable crash on fclose() or shutdown

2005-06-08  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS
      ext/iconv/iconv.c:
      MFH: Fixed bug #33268 (iconv_strlen() works only with a parameter of < 3
      in length).

    * ext/iconv/iconv.c:
      Fixed bug #33268 (iconv_strlen() works only with a parameter of < 3 in
      length)

2005-06-08  Dmitry Stogov  <dmitry@zend.com>

    * ext/standard/array.c
      ext/standard/array.c
      ext/standard/array.c:
      Fixed memory allocation bugs in array_reduce() with initial value (#22463 &
      #24980)

    * (PHP_5_0)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed exception handling in getIterator() callback (bugs #26229 & #30725)

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c:
      Fixed valgrind errors

    * ZendEngine2/zend_reflection_api.c:
      Fixed ReflectionClass::setStaticPropertyValue()

2005-06-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_config.w32.h:
      Hopefully fixes win32 builds

2005-06-08  Dmitry Stogov  <dmitry@zend.com>

    * ext/standard/var.c
      ext/standard/var.c:
      Fixed incorrect usage of zend_mangle_property_name() (valgrind errors)

    * ZendEngine2/zend_compile.c:
      Fixed lookups for previos opcodes

    * ZendEngine2/tests/bug30140.phpt
      ZendEngine2/tests/bug30140.phpt:
      
      file bug30140.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c
      ZendEngine2/tests/bug30140.phpt:
      Fixed bug #30140 (Problem with array in static properties)

    * (PHP_5_0)
      ZendEngine2/tests/bug32322.phpt:
      Added test for bug #32322 (Return values by reference broken( using
      self::),example singleton instance)

    * ZendEngine2/tests/bug32322.phpt
      ZendEngine2/tests/bug32322.phpt:
      
      Added test for bug #32322 (Return values by reference broken( using
      self::),example singleton instance)

    * tests/classes/clone_006.phpt
      tests/classes/clone_006.phpt:
      Fixed test file affected by fix for bug #30820 (static member conflict with
      $this->member silently ignored)

    * ZendEngine2/tests/bug30820.phpt
      ZendEngine2/tests/bug30820.phpt:
      
      file bug30820.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/tests/bug30820.phpt:
      Fixed bug #30820 (static member conflict with $this->member silently
      ignored)

    * ZendEngine2/tests/bug30961.phpt
      ZendEngine2/tests/bug30961.phpt:
      
      file bug30961.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_language_parser.y
      ZendEngine2/zend_language_parser.y
      ZendEngine2/tests/bug30961.phpt:
      Fixed bug #30961 (Wrong linenumber in ReflectionClass getStartLine())

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/Makefile.frag
      scripts/phpize.in:
      - Fix paths when using --libdir and --includedir configure options

    * ext/standard/tests/array/bug31213.phpt:
      - It is nice to close the script with ?>..

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_language_scanner.l
      ZendEngine2/zend_language_scanner.l:
      Fixed bug #26456 (Wrong results from Reflection-API getDocComment() when
      called via STDIN)

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in
      ZendEngine2/Zend.m4:
      -Moved --disable-zend-memory-manager where it belongs

    * acinclude.m4
      ZendEngine2/acinclude.m4
      ext/sqlite/config.m4:
      - Show "none" when nothing is found

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ext/sqlite/sqlite.c
      ext/sqlite/sqlite.c:
      Fixed memory allocation bugs. Probably this patch should fix bug #31725.

2005-06-07  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/zend_objects.c:
      Fixed ZTS build.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      configure.in
      configure.in
      Zend/zend_alloc.h
      ZendEngine2/zend_alloc.h
      ext/standard/info.c
      ext/standard/info.c:
      - MFH: Added the --disable-zend-memory-manager switch to disable the Zend
        memory manager.

    * configure.in
      ZendEngine2/zend_alloc.h
      ext/standard/info.c:
      - Added the --disable-zend-memory-manager switch to disable the Zend memory
        manager.

    * NEWS:
      - Not sure why this wasn't committed...

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c:
      Fixed memory leak in debug_print_backtrace()

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysql/config.m4
      ext/mysqli/config.m4:
      - Allow doing --with-mysql --with-mysqli (no mysql libs are bundled atm)
      - Make sure MYSQL_DIR is empty.

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      Zend/zend_execute.c
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.c:
      fixed memory leak in bug #28972 ([] operator overflow treatment is
      incorrect), not the bug itself.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      - MF44: Problems with user defined error handler and references

    * (PHP_4_4)
      NEWS
      Zend/zend_execute.c:
      - Fixed bug #32685, #29423 (Segfault when using assignment by reference
      within
        function).

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      Zend/zend_compile.c
      Zend/zend_execute.c
      Zend/zend_language_parser.y:
      Fixed memory corruptions when using references in a wrong way.
      Backport $a =& func(); patch.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      main/streams/php_streams_int.h:
      - MFH: Don't crash when compiled with the zend memory manager disabled.

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug33243.phpt
      ZendEngine2/tests/bug33243.phpt:
      
      file bug33243.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_objects.c
      ZendEngine2/zend_objects.c
      ZendEngine2/tests/bug33243.phpt:
      Fixed bug #33243 (ze1_compatibility_mode does not work as expected)

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/Makefile.frag
      scripts/phpize.in:
      - Fix paths when using --libdir and --includedir configure options

    * ext/standard/tests/array/bug31213.phpt:
      - It is nice to close the script with ?>..

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_language_scanner.l
      ZendEngine2/zend_language_scanner.l:
      Fixed bug #26456 (Wrong results from Reflection-API getDocComment() when
      called via STDIN)

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in
      ZendEngine2/Zend.m4:
      -Moved --disable-zend-memory-manager where it belongs

    * acinclude.m4
      ZendEngine2/acinclude.m4
      ext/sqlite/config.m4:
      - Show "none" when nothing is found

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ext/sqlite/sqlite.c
      ext/sqlite/sqlite.c:
      Fixed memory allocation bugs. Probably this patch should fix bug #31725.

2005-06-07  Ilia Alshanetsky  <ilia@prohost.org>

    * ZendEngine2/zend_objects.c:
      Fixed ZTS build.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      configure.in
      configure.in
      Zend/zend_alloc.h
      ZendEngine2/zend_alloc.h
      ext/standard/info.c
      ext/standard/info.c:
      - MFH: Added the --disable-zend-memory-manager switch to disable the Zend
        memory manager.

    * configure.in
      ZendEngine2/zend_alloc.h
      ext/standard/info.c:
      - Added the --disable-zend-memory-manager switch to disable the Zend memory
        manager.

    * NEWS:
      - Not sure why this wasn't committed...

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c:
      Fixed memory leak in debug_print_backtrace()

2005-06-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysql/config.m4
      ext/mysqli/config.m4:
      - Allow doing --with-mysql --with-mysqli (no mysql libs are bundled atm)
      - Make sure MYSQL_DIR is empty.

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      Zend/zend_execute.c
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.c:
      fixed memory leak in bug #28972 ([] operator overflow treatment is
      incorrect), not the bug itself.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      - MF44: Problems with user defined error handler and references

    * (PHP_4_4)
      NEWS
      Zend/zend_execute.c:
      - Fixed bug #32685, #29423 (Segfault when using assignment by reference
      within
        function).

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_4)
      Zend/zend_compile.c
      Zend/zend_execute.c
      Zend/zend_language_parser.y:
      Fixed memory corruptions when using references in a wrong way.
      Backport $a =& func(); patch.

2005-06-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      main/streams/php_streams_int.h:
      - MFH: Don't crash when compiled with the zend memory manager disabled.

2005-06-07  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug33243.phpt
      ZendEngine2/tests/bug33243.phpt:
      
      file bug33243.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_objects.c
      ZendEngine2/zend_objects.c
      ZendEngine2/tests/bug33243.phpt:
      Fixed bug #33243 (ze1_compatibility_mode does not work as expected)

2005-06-06  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/posix/config.m4
      ext/posix/posix.c:
      fix build on Solaris

2005-06-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * main/main.c:
      silence warning

2005-06-06  Brad House  <brad@mainstreetsoftworks.com>

    * (PHP_5_0)
      ext/mcve/mcve.c
      ext/mcve/php_mcve.h:
      libmonetra 5.0 sync.
      added m_validateidentifier, which is enabled by default to keep invalid
      pointer addresses from causing PHP to crash
      kept compatability with older versions of libmonetra.

    * ext/mcve/mcve.c
      ext/mcve/php_mcve.h:
      libmonetra-5.0 sync.
      added m_validateidentifier, which is enabled by default to keep invalid
      pointer addresses from causing PHP to crash
      kept compatability with older versions of libmonetra.

2005-06-06  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_4)
      ext/bz2/bz2.c
      ext/bz2/bz2.c:
      MFH: Better storage size for output length.

    * ext/bz2/bz2.c:
      Better storage size for output length.

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      - Regenerate VM files and add warning about regeneration

    * (PHP_5_0)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h:
      - MH44: Problems with user defined error handler and wrong usage of
      references

2005-06-06  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_4)
      ext/standard/type.c:
      MFH: Fixed strval to not print notices on strval(array()).

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      NEWS
      ext/standard/http_fopen_wrapper.c:
      - MFH: Fixed bug #33242 (Mangled error message when stream fails).

    * (PHP_5_0)
      NEWS
      ext/standard/http_fopen_wrapper.c
      ext/standard/http_fopen_wrapper.c:
      - Fixed bug #33242 (Mangled error message when stream fails).

2005-06-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      scripts/Makefile.frag:
      ws

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      Zend/zend_execute.c:
      - Swap lines so that user defined error handlers don't cause memory errors

    * (PHP_4_4)
      scripts/Makefile.frag:
      - We've man pages just fine

2005-06-06  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/tests/bug32428.phpt:
      Fixed bug #32428 (The @ warning error supression operator is broken)

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      NEWS:
      - Update NEWS with the bz fix

2005-06-06  Uwe Schindler  <uwe@thetaphi.de>

    * (PHP_4_4)
      scripts/Makefile.frag:
      MFH: Fix bug #33166 for other branches and new bug #33255, no man pages for
      4.4

    * (PHP_5_0)
      scripts/Makefile.frag:
      Fix bug #33166 for other branches and new bug #33255

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      ext/bz2/bz2.c:
      - Merge back changes which where in 4.3 but somehow didn't make it into the
      new
        branch.

2005-06-06  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug32799.phpt
      ZendEngine2/tests/bug32799.phpt:
      
      file bug32799.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_objects_API.c
      ZendEngine2/zend_objects_API.c
      ZendEngine2/tests/bug32799.phpt:
      Fixed bug #32799 (crash: calling the corresponding global var during the
      destruct)

    * ZendEngine2/tests/bug32596.phpt:
      Added test for bug #32596 (Segfault/Memory Leak by getClass (etc) in
      __destruct)

    * ZendEngine2/tests/bug32596.phpt
      ZendEngine2/tests/bug32596.phpt:
      
      file bug32596.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute_API.c:
      Fixed bug #32596 (Segfault/Memory Leak by getClass (etc) in __destruct)

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      Zend/zend_extensions.h:
      - Bumb ZEND EXT API NO for Stanislav

2005-06-06  Edin Kadribasic  <edink@emini.dk>

    * (PHP_4_4)
      win32/php4dllts.dsp:
      Sync with recent config.m4 changes

2005-06-06  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_4)
      NEWS
      Zend/zend_compile.c
      Zend/zend_compile.h
      Zend/zend_execute.c
      Zend/zend_execute_globals.h
      Zend/zend_language_parser.y:
      - Commit the reference problem bug fix.

    * (PHP_4_4)
      configure.in
      main/php_version.h:
      - Rename version.

2005-06-06  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      ZendEngine2/tests/bug32993.phpt:
      Added test for bug #32993 (implemented Iterator function current() don't
      throw
        exception)

    * ZendEngine2/tests/bug32993.phpt
      ZendEngine2/tests/bug32993.phpt:
      
      Fixed bug #32993 (implemented Iterator function current() don't throw
      exception)

    * NEWS
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fixed bug #32993 (implemented Iterator function current() don't throw
      exception)

    * ZendEngine2/tests/bug33171.phpt
      ZendEngine2/tests/bug33171.phpt:
      
      file bug33171.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/tests/bug33171.phpt:
      Fixed bug #33171 (foreach enumerates private fields declared in base
      classes)

2005-06-06  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * sapi/cli/php_cli.c:
      - Expose -a as special mode and show whether it is a shell or not

2005-06-06  Wez Furlong  <wez.php@thebrainroom.net>

    * main/streams/php_streams_int.h:
      Don't crash when compiled with the zend memory manager disabled.

    * ZendEngine2/zend_language_scanner.l
      main/main.c:
      Avoid double-freeing streams.
      This can happen because all streams are registered as resources;
      the engine also tracks them in the open_files global.
      
      Avoid the potential for double-freeing by simply making streams exposed to
      the
      engine have no closer for the engine to call; they will already be in the
      resource list, and thus will be shut down properly at request end.

2005-06-05  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/mysql/config.w32
      ext/mysqli/config.w32
      ext/pgsql/config.w32:
      fixes for #33251

2005-06-05  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/bz2/bz2.c
      ext/bz2/bz2.c:
      MFH: Fixed bug #33070 (Improved performance of bzdecompress() by several
      orders of magnitude).

    * ext/bz2/bz2.c:
      Fixed bug #33070 (Improved performance of bzdecompress() by several orders
      of magnitude).

2005-06-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/phpize.in
      scripts/phpize.m4:
      - Proper fix for phpize when dealing with PECL

2005-06-04  Zeev Suraski  <zeev@zend.com>

    * main/main.c:
      __halt_compiler() patch interface

    * ZendEngine2/zend_compile.h
      ZendEngine2/zend_language_parser.y
      ZendEngine2/zend_language_scanner.l
      ZendEngine2/zend_stream.c
      ZendEngine2/zend_stream.h
      ZendEngine2/tests/halt01.phpt
      ZendEngine2/tests/halt02.phpt
      ZendEngine2/tests/halt03.phpt:
      Thought I committed it ages ago...  Anyway, without further delays, the
      final
      __halt_compiler() patch

2005-06-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/xml/tests/bug32001.phpt:
      nuke crap, end scripts always with ?>

    * sapi/cgi/cgi_main.c:
      cs + ws

2005-06-03  Magnus Määttä  <novell@kiruna.se>

    * ext/xml/tests/bug32001.phpt:
      Add skipif, test requires iconv.

2005-06-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/session/session.c:
      nuke duplicate code

2005-06-03  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug30394.phpt:
      Added test for 5.0 specific bug #30394 (Assignment operators yield wrong
      result with __get/__set)

    * ZendEngine2/tests/bug30394.phpt
      ZendEngine2/tests/bug30394.phpt:
      
      file bug30394.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend.c
      ZendEngine2/zend_execute_API.c:
      Fixed bug #30394 (Assignment operators yield wrong result with __get/__set)

    * ZendEngine2/tests/bug30080.phpt
      ZendEngine2/tests/bug30080.phpt:
      
      file bug30080.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/tests/bug30080.phpt:
      Fixed bug #30080 (Passing array or non array of objects)

    * ZendEngine2/tests/bug27598.phpt
      ZendEngine2/tests/bug27598.phpt:
      
      file bug27598.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_execute.c
      ZendEngine2/tests/bug27598.phpt:
      Fixed bug #27598 (list() array key assignment causes HUGE memory leak)

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/object_handlers.phpt:
      Fixed memory allocation bugs related to magic object handlers (__get(),
      __set(),
       ...)

    * ZendEngine2/tests/object_handlers.phpt
      ZendEngine2/tests/object_handlers.phpt:
      
      file object_handlers.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_object_handlers.c:
      Fixed memory allocation bugs related to magic object handlers (__get(),
      __set(), ...)

2005-06-03  Georg Richter  <georg@mysql.com>

    * NEWS
      ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h:
      added new function mysqli_get_charset

2005-06-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4
      build/libtool.m4:
      - Revert previous change in build/libtool.m4 and make sure
        the PATH_SEPARATOR check is only done under autoconf 2.13.

    * (PHP_4_3)
      NEWS
      NEWS
      configure.in
      configure.in:
      MFH: - Fixed bug #28605 (Need to use -[m]ieee option for Alpha CPUs)

    * configure.in:
      - Fixed bug #28605 (Need to use -[m]ieee option for Alpha CPUs)

2005-06-02  Antony Dovgal  <antony@zend.com>

    * (PHP_4_3)
      NEWS
      ext/curl/curl.c
      ext/curl/php_curl.h:
      MFH: fix bug #33222 (segfault when CURL handle is closed in a callback).

    * (PHP_5_0)
      NEWS
      ext/curl/interface.c
      ext/curl/php_curl.h:
      MFH: fix bug #33222 (segfault when CURL handle is closed in a callback).
      fix segfaults when CURL callback functions throw exception.

    * ext/curl/interface.c
      ext/curl/php_curl.h:
      fix bug #33222 (segfault when CURL handle is closed in a callback).
      fix segfaults when CURL callback functions throw exception.

2005-06-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/sqlite/config.m4:
      We only need LEMON for bundled stuff

2005-06-02  Antony Dovgal  <antony@zend.com>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/odbc/php_odbc.c
      ext/odbc/php_odbc.c:
      MFH: fix bug #33214 (odbc_next_result does not signal SQL errors with
      2-statement SQL batches).
      Path by rich at kastle dot com.

    * ext/odbc/php_odbc.c:
      fix bug #33214 (odbc_next_result does not signal SQL errors with
      2-statement SQL batches).
      Path by rich at kastle dot com.

2005-06-02  Derick Rethans  <php@derickrethans.nl>

    * ext/standard/string.c
      ext/standard/string.c
      ext/standard/string.c:
      - That should have been removed, not commented out.

    * (PHP_4_3)
      NEWS
      NEWS
      ext/standard/string.c
      ext/standard/string.c:
      - MFH: Fixed memory corruption in stristr().

    * ext/standard/string.c:
      - Fixed memory corruption in stristr().

2005-06-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/var_unserializer.c:
      touch

2005-06-01  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      ext/standard/image.c:
      MFH:  Fixed bug #33210 (relax jpeg recursive loop protection).

    * (PHP_5_0)
      NEWS
      ext/standard/image.c:
      MFH: Fixed bug #33210 (relax jpeg recursive loop protection).

    * ext/standard/image.c:
      Fixed bug #33210 (relax jpeg recursive loop protection).

2005-06-01  Antony Dovgal  <antony@zend.com>

    * ext/session/session.c:
      fix typo
      (see details here: http://news.php.net/php.internals/16350)

2005-06-01  Dmitry Stogov  <dmitry@zend.com>

    * main/streams/streams.c
      main/streams/streams.c:
      Disabled search of recored separator outside of buffer

    * (PHP_5_0)
      NEWS:
      Fixed bug #32941 (Sending structured SOAP fault kills a php)

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/tests/bug30791.phpt
      ZendEngine2/tests/bug30791.phpt
      ZendEngine2/tests/bug30791.phpt
      ext/standard/var.c
      ext/standard/var.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.re
      ext/standard/var_unserializer.re:
      Fixed bug #30791 (magic methods (__sleep/__wakeup/__toString) call __call
      if object is overloaded)

    * main/php_variables.c
      main/php_variables.c:
      Fixed "refcount" counting for autoglobals

2005-06-01  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/pcre/pcrelib/pcre.c:
      kill unused var.

2005-05-31  Dmitry Stogov  <dmitry@zend.com>

    * main/php_variables.c
      main/php_variables.c:
      Fixed possible memory corruption on request shutdown
      `valgrind -q --tool=memcheck sapi/cli/php tests/reflection/001.phpt`

2005-05-31  Magnus Määttä  <novell@kiruna.se>

    * ZendEngine2/tests/bug27304.phpt:
      Fix test

2005-05-31  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/pcre/php_pcre.c
      ext/pcre/php_pcre.c
      ext/pcre/tests/bug33200.phpt
      ext/pcre/tests/bug33200.phpt
      ext/standard/php_string.h
      ext/standard/php_string.h
      ext/standard/string.c
      ext/standard/string.c:
      MFH: - Fixed bug #33200 (preg_replace(): magic_quotes_sybase=On makes 'e'
      modifier misbehave)

    * ext/pcre/tests/bug33200.phpt
      ext/pcre/tests/bug33200.phpt
      ext/pcre/tests/bug33200.phpt
      ext/standard/php_string.h
      ext/standard/string.c:
        1.1.4;
      - Fixed bug #33200 (preg_replace(): magic_quotes_sybase=On makes 'e'
      modifier misbehave)

    * ext/pcre/php_pcre.c:
      - Fixed bug #33200 (preg_replace(): magic_quotes_sybase=On makes 'e'
      modifier misbehave)

2005-05-31  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_operators.c:
      Reverted wrong fix for bug #30572.
      Seems the bug was already fixed in other way.
      But reverted patch produced a lot of valgrind errors, because IS_TMP_VAR
      operands don't initialize refcount.

2005-05-31  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/var_unserializer.c:
      Touch

    * ext/standard/var_unserializer.re
      ext/standard/tests/serialize/006.phpt:
      - Fixed bug with unserialize() with "exotic" letters in class names

2005-05-31  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_compile.c:
      - Only allow changing return ref agnostic when a script method overrides an
        internal method (found by dmitry)

2005-05-30  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS:
      MFH: Fixed bug #33164 (Soap extension incorrectly detects HTTP/1.1).

2005-05-30  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * ext/sqlite/config.m4:
      typo fix

2005-05-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      NEWS
      ext/sqlite/sess_sqlite.c
      ext/sqlite/sess_sqlite.c
      ext/sqlite/sqlite.c
      ext/sqlite/sqlite.c
      ext/wddx/wddx.c
      ext/wddx/wddx.c:
      - Fixed bug #33185 (--enable-session=shared does not build)

2005-05-30  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * ext/sqlite/Makefile.frag
      ext/sqlite/config.m4:
      gracefully handle changes of the parse.y lemon file,
      process it with lemon if available, else just keep the .c file from CVS
      not doing so leads to make using its implicit .y->.c rule here and
      bison doesn't really understand lemon syntax

2005-05-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4:
      - Use libtool also for completely static builds

    * acinclude.m4
      build/libtool.m4
      scripts/phpize.in:
      - Changed the PATH_SEPARATOR check to a macro
      - Made sure we're generating aclocal.m4 in same way with both buildconf
        and phpize.

    * scripts/Makefile.frag:
      Removed the empty $bin_src_SCRIPTS (no longer needed), bug #33166

2005-05-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in
      TSRM/tsrm.m4
      ZendEngine2/Zend.m4
      ext/bcmath/config.m4
      ext/dba/config.m4
      ext/dbase/config.m4
      ext/dom/config.m4
      ext/fbsql/config.m4
      ext/fdf/config.m4
      ext/filepro/config.m4
      ext/gd/config.m4
      ext/gettext/config.m4
      ext/imap/config.m4
      ext/informix/config.m4
      ext/ldap/config.m4
      ext/mcrypt/config.m4
      ext/mcve/config.m4
      ext/mhash/config.m4
      ext/msql/config.m4
      ext/mssql/config.m4
      ext/mysql/config.m4
      ext/mysqli/config.m4
      ext/ncurses/config.m4
      ext/oci8/config.m4
      ext/odbc/config.m4
      ext/oracle/config.m4
      ext/ovrimos/config.m4
      ext/pfpro/config.m4
      ext/pgsql/config.m4
      ext/pspell/config.m4
      ext/readline/config.m4
      ext/recode/config.m4
      ext/session/config.m4
      ext/snmp/config.m4
      ext/sqlite/config.m4
      ext/standard/config.m4
      ext/sybase/config.m4
      ext/sybase_ct/config.m4
      ext/sysvsem/config.m4
      ext/sysvshm/config.m4
      ext/wddx/config.m4
      ext/xml/config.m4
      ext/xmlrpc/config.m4
      ext/xsl/config.m4
      ext/zlib/config0.m4
      sapi/apache/config.m4
      sapi/apache2filter/config.m4
      sapi/apache2handler/config.m4
      sapi/apache_hooks/config.m4
      sapi/caudium/config.m4
      sapi/cgi/config9.m4
      sapi/cli/config.m4
      sapi/isapi/config.m4
      sapi/roxen/config.m4:
      - Unify the "configure --help" texts

    * ext/mbstring/config.m4:
      Fix VPATH build

2005-05-29  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * acinclude.m4:
      simplify flex version test

    * ZendEngine2/acinclude.m4:
      forgot to re-add 1.875 as a valid bison version after testing

    * ZendEngine2/acinclude.m4:
      bison may be installed under a different executable name, e.g.
      
        YACC="bison-1.75" configure ...
      
      removing the check for "bison -y" allows for this
      the check was redundant anyway as the following one filters
      for "GNU Bison" in the --version output

    * acinclude.m4
      configure.in
      ZendEngine2/Zend.m4
      ZendEngine2/acinclude.m4:
      avoid code duplication in bison version test

    * acinclude.m4:
      added .cxx extension for C++ for completeness reasons

2005-05-29  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/session/session.c:
      Added an optional remove old session parameter to session_regenerate_id().

2005-05-29  Hartmut Holzgraefe  <hartmut@php-groupies.de>

    * build/libtool.m4:
      m4 comments start with 'dnl', *not* with '#'

2005-05-28  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h:
      - Make zend_do_inheritance ZEND_API

2005-05-28  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * ext/pcre/config.w32:
      Sync with config.m4 (missing MATCH_LIMIT broke the Win32 build).

2005-05-27  Andrei Zmievski  <andrei@gravitonic.com>

    * (PHP_5_0)
      NEWS
      ext/pcre/config.m4
      ext/pcre/config.m4
      ext/pcre/pcrelib/AUTHORS
      ext/pcre/pcrelib/AUTHORS
      ext/pcre/pcrelib/COPYING
      ext/pcre/pcrelib/COPYING
      ext/pcre/pcrelib/ChangeLog
      ext/pcre/pcrelib/ChangeLog
      ext/pcre/pcrelib/LICENCE
      ext/pcre/pcrelib/LICENCE
      ext/pcre/pcrelib/NEWS
      ext/pcre/pcrelib/NEWS
      ext/pcre/pcrelib/NON-UNIX-USE
      ext/pcre/pcrelib/NON-UNIX-USE
      ext/pcre/pcrelib/README
      ext/pcre/pcrelib/README
      ext/pcre/pcrelib/dftables.c
      ext/pcre/pcrelib/dftables.c
      ext/pcre/pcrelib/get.c
      ext/pcre/pcrelib/get.c
      ext/pcre/pcrelib/internal.h
      ext/pcre/pcrelib/internal.h
      ext/pcre/pcrelib/libpcre.def
      ext/pcre/pcrelib/libpcre.def
      ext/pcre/pcrelib/libpcreposix.def
      ext/pcre/pcrelib/libpcreposix.def
      ext/pcre/pcrelib/maketables.c
      ext/pcre/pcrelib/maketables.c
      ext/pcre/pcrelib/pcre.c
      ext/pcre/pcrelib/pcre.c
      ext/pcre/pcrelib/pcre.h
      ext/pcre/pcrelib/pcre.h
      ext/pcre/pcrelib/pcredemo.c
      ext/pcre/pcrelib/pcredemo.c
      ext/pcre/pcrelib/pcregrep.c
      ext/pcre/pcrelib/pcregrep.c
      ext/pcre/pcrelib/pcreposix.c
      ext/pcre/pcrelib/pcreposix.c
      ext/pcre/pcrelib/pcreposix.h
      ext/pcre/pcrelib/pcreposix.h
      ext/pcre/pcrelib/pcretest.c
      ext/pcre/pcrelib/pcretest.c
      ext/pcre/pcrelib/study.c
      ext/pcre/pcrelib/study.c
      ext/pcre/pcrelib/ucp.c
      ext/pcre/pcrelib/ucp.c
      ext/pcre/pcrelib/ucp.h
      ext/pcre/pcrelib/ucp.h
      ext/pcre/pcrelib/ucpinternal.h
      ext/pcre/pcrelib/ucpinternal.h
      ext/pcre/pcrelib/ucptable.c
      ext/pcre/pcrelib/ucptable.c
      ext/pcre/pcrelib/ucptypetable.c
      ext/pcre/pcrelib/ucptypetable.c
      ext/pcre/pcrelib/doc/Tech.Notes
      ext/pcre/pcrelib/doc/Tech.Notes
      ext/pcre/pcrelib/doc/pcre.txt
      ext/pcre/pcrelib/doc/pcre.txt:
      Upgrade PCRE library to 5.0.

    * ext/pcre/config.m4:
      No need to include ucp.c and ucptypetable.c here.

    * ext/pcre/pcrelib/libpcre.def
      ext/pcre/pcrelib/libpcre.def
      ext/pcre/pcrelib/libpcre.def
      ext/pcre/pcrelib/libpcreposix.def
      ext/pcre/pcrelib/libpcreposix.def
      ext/pcre/pcrelib/libpcreposix.def
      ext/pcre/pcrelib/maketables.c
      ext/pcre/pcrelib/pcre.c
      ext/pcre/pcrelib/pcre.h
      ext/pcre/pcrelib/pcredemo.c
      ext/pcre/pcrelib/pcredemo.c
      ext/pcre/pcrelib/pcredemo.c
      ext/pcre/pcrelib/pcregrep.c
      ext/pcre/pcrelib/pcreposix.c
      ext/pcre/pcrelib/pcreposix.h
      ext/pcre/pcrelib/pcretest.c
      ext/pcre/pcrelib/study.c
      ext/pcre/pcrelib/ucp.c
      ext/pcre/pcrelib/ucp.c
      ext/pcre/pcrelib/ucp.c
      ext/pcre/pcrelib/ucp.h
      ext/pcre/pcrelib/ucp.h
      ext/pcre/pcrelib/ucp.h
      ext/pcre/pcrelib/ucpinternal.h
      ext/pcre/pcrelib/ucpinternal.h
      ext/pcre/pcrelib/ucpinternal.h
      ext/pcre/pcrelib/ucptable.c
      ext/pcre/pcrelib/ucptable.c
      ext/pcre/pcrelib/ucptable.c
      ext/pcre/pcrelib/ucptypetable.c
      ext/pcre/pcrelib/ucptypetable.c
      ext/pcre/pcrelib/ucptypetable.c
      ext/pcre/pcrelib/doc/Tech.Notes
      ext/pcre/pcrelib/doc/pcre.txt:
        1.1.4;
      Upgrade library to version 5.0.

    * NEWS
      ext/pcre/config.m4
      ext/pcre/pcrelib/AUTHORS
      ext/pcre/pcrelib/COPYING
      ext/pcre/pcrelib/ChangeLog
      ext/pcre/pcrelib/LICENCE
      ext/pcre/pcrelib/NEWS
      ext/pcre/pcrelib/NON-UNIX-USE
      ext/pcre/pcrelib/README
      ext/pcre/pcrelib/dftables.c
      ext/pcre/pcrelib/get.c
      ext/pcre/pcrelib/internal.h:
      Upgrade library to version 5.0.

2005-05-27  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug22836.phpt
      ZendEngine2/tests/bug22836.phpt:
      Fixed bug #22836 (returning reference to uninitialized variable)

2005-05-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/phpize.m4:
      - Make sure EGREP and SED get set early enough.

    * Makefile.global
      acinclude.m4:
      - Use $SED and $EGREP where possible

    * config.guess
      config.sub
      ltmain.sh
      build/libtool.m4:
      - Update bundled libtool to 1.5.18 (latest atm)

    * (PHP_5_0)
      NEWS:
      Move BFN to correct version..

2005-05-27  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      ext/standard/pack.c:
      Fixed bug #33080 (missing MFH of a fix for bug #31465)

2005-05-26  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/standard/reg.c:
      Do a cache flush if we detect possible cache corruption (same as for
      PCRE).

2005-05-26  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute_API.c
      ZendEngine2/tests/bug33116.phpt:
      Fixed bug #33116 (crash when assigning class name to global variable in
      __autoload)

    * ZendEngine2/tests/bug33116.phpt
      ZendEngine2/tests/bug33116.phpt:
      
      Fixed bug #33116 (crash when assigning class name to global variable in
      __autoload).

    * ZendEngine2/zend_execute_API.c:
      Fixed bug #33116 (crash when assigning class name to global variable in
      __autoload).

    * NEWS
      ZendEngine2/zend_API.h
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_language_parser.y
      ZendEngine2/zend_reflection_api.c
      ZendEngine2/tests/array_type_hint_001.phpt:
      Added array type hinting. (This patch requires full re-make)

2005-05-26  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (PHP_5_0)
      ZendEngine2/tests/bug27304.phpt
      ZendEngine2/tests/bug32981.phpt:
      - Add new tests

    * ZendEngine2/tests/bug27304.phpt
      ZendEngine2/tests/bug27304.phpt
      ZendEngine2/tests/bug32981.phpt
      ZendEngine2/tests/bug32981.phpt:
      
      - Add new tests

    * (PHP_5_0)
      NEWS:
      - BFN

    * ext/sqlite/sqlite.c:
      - Make SQLiteDatabase derivable by dropping final tag from class and
        making the ctor final to ensure it is being called, which is the
      problem.

2005-05-26  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      ext/standard/url.c
      ext/standard/url.c:
      MFH: Added scheme validation for parse_url().

    * ext/standard/url.c:
      Added scheme validation for parse_url().

2005-05-25  Dmitry Stogov  <dmitry@zend.com>

    * tests/basic/bug29971.phpt
      tests/basic/bug29971.phpt:
      
      file bug29971.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      main/php_variables.c
      main/php_variables.c
      tests/basic/bug29971.phpt:
      Fixed bug #29971 (variables_order behaviour)

2005-05-25  Stanislav Malyshev  <stas@zend.com>

    * (PHP_5_0)
      ext/standard/type.c:
      fix is_object on non-php objects

    * ext/standard/type.c:
      fix is_object() on non-php objects

2005-05-25  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      ext/mime_magic/mime_magic.c:
      MFH: Return error on an invalid input to mime_content_type() function.

    * ext/mime_magic/mime_magic.c:
      Return error on an invalid input to mime_content_type() function.

2005-05-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/pcre/php_pcre.c:
      Flush regexp cache if we detect corruption.

2005-05-24  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/basic_functions.c
      main/internal_functions.c.in
      main/internal_functions_nw.c
      main/internal_functions_win32.c:
      nuked unused header file

    * win32/php5dll.dsp
      win32/php5dllts.dsp:
      nuked file

    * main/internal_functions_registry.h:
      - Remove unused file

2005-05-24  Antony Dovgal  <antony@zend.com>

    * main/streams/plain_wrapper.c:
      make it compile on Win32 (thanks to Sebastian for noticing)

2005-05-24  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      ext/ingres_ii/.cvsignore
      ext/ingres_ii/CREDITS
      ext/ingres_ii/EXPERIMENTAL
      ext/ingres_ii/README
      ext/ingres_ii/config.m4
      ext/ingres_ii/config.w32
      ext/ingres_ii/ii.c
      ext/ingres_ii/ii.h
      ext/ingres_ii/ingres.dsp
      ext/ingres_ii/php_ii.h:
      - Moved ingres_ii to PECL

2005-05-23  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      NEWS
      main/streams.c
      main/streams/plain_wrapper.c:
      MFH: Fixed bug #32810 (temporary files not using plain file wrapper).

    * main/streams/plain_wrapper.c:
      Fixed bug #32810 (temporary files not using plain file wrapper).

2005-05-23  Antony Dovgal  <antony@zend.com>

    * (PHP_4_3)
      NEWS
      NEWS
      main/streams.c
      main/streams/streams.c
      main/streams/streams.c:
      revert by Wez's request

2005-05-23  Grant Croker  <grant.croker@ca.com>

    * ext/ingres_ii/config.m4
      ext/ingres_ii/php_ii.h:
      - Allows the Ingres extenstion to be built on Linux/UNIX as well as
      Windows.

    * ext/ingres_ii/config.m4:
      - Fixed bug #30593 (--with-ingres option generates broken Makefile).

2005-05-23  Antony Dovgal  <antony@zend.com>

    * (PHP_4_3)
      NEWS
      main/streams.c
      main/streams/streams.c:
      MFH: fix bug #32810 (fread after tmpfile() reads only 8192 bytes)

    * (PHP_5_0)
      NEWS:
      BFN

    * main/streams/streams.c:
      fix bug #32810 (fread after tmpfile() reads only 8192 bytes)

    * tests/strings/bug26703.phpt:
      fix test

2005-05-23  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      Makefile.global
      Makefile.global
      NEWS
      NEWS:
      MFH: - Fixed bug #33017 ("make distclean" gives an error with VPATH build).

    * Makefile.global:
      - Fixed bug #33017 (make distclean give error outside of php-src)

    * (PHP_5_0)
      NEWS:
      Missed the bus now..

    * ext/session/session.c:
      CS fix

2005-05-22  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      Zend/zend_highlight.c
      ZendEngine2/zend_highlight.c
      tests/strings/004.phpt:
      MFH: Fixed bug #29338 (unencoded spaces get ignored after certain tags).

    * tests/strings/004.phpt:
      Adjust highlight test.

    * ZendEngine2/zend_highlight.c:
      Fixed bug #29338 (unencoded spaces get ignored after certain tags).

2005-05-22  Antony Dovgal  <tony2001@phpclub.net>

    * ext/session/session.c:
      fix compile warning

2005-05-22  Stanislav Malyshev  <stas@zend.com>

    * (PHP_4_3)
      Zend/zend.c
      ZendEngine2/zend.c
      ZendEngine2/zend.c:
      fix leak

2005-05-21  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * (PHP_4_3)
      NEWS
      ext/session/session.c:
      Fixed bug #33072 - Add a safemode/open_basedir check for runtime save_path
      change

    * (PHP_5_0)
      NEWS
      ext/session/session.c:
      MFH Fixed bug 33072 - safemode/open_basedir check for runtime save_path
      change

    * acinclude.m4:
      Avoid syntax errors on some operating systems

    * (PHP_5_0)
      main/main.c:
      Ah, never mind.  Didn't notice a conflict on my last checkout.  Jani's MFH
      was fine.

    * (PHP_5_0)
      main/main.c:
      Roll back Jani's blind MFH here.  zend_call_destructors() is PHP 5.1 only.

    * ext/session/session.c:
      Fixed bug 33072 - safemode/open_basedir check for runtime save_path change

2005-05-21  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli_api.c
      ext/mysqli/php_mysqli.h
      ext/mysqli/tests/bug33090.phpt:
      MFH:
      - fix for bug #33090 (mysqli_prepare doesn't return an error)
      - mysql_set_charset now works for MySQL >= 5.0.6

    * ext/mysqli/tests/bug33090.phpt
      ext/mysqli/tests/bug33090.phpt:
      
      enabled set_charset for MySQL Versions >= 5.0.6
      added testcase for bug #33090

    * ext/mysqli/php_mysqli.h:
      enabled set_charset for MySQL Versions >= 5.0.6
      added testcase for bug #33090

    * ext/mysqli/mysqli_api.c:
      fix for bug #33090 (mysql_prepare doesn't return error)

2005-05-20  Grant Croker  <grant.croker@ca.com>

    * (PHP_4_3)
      ext/ingres_ii/config.m4
      ext/ingres_ii/config.m4:
      - Fixed bug #30593 (--with-ingres option generates broken Makefile).

2005-05-20  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_5_0)
      ext/dom/element.c
      ext/dom/node.c:
      MFH: correct fix for bug #33059
      - fix issue in other methods

    * ext/dom/element.c
      ext/dom/node.c:
      - correct fix for bug #33059
      - fix issue in other methods

2005-05-20  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      NEWS
      ext/standard/string.c
      ext/standard/tests/strings/bug33076.phpt:
      MFH:
      fix bug #33076 (str_ireplace() incorrectly counts result string length and
      may cause segfault)
      add test

    * ext/standard/tests/strings/bug33076.phpt
      ext/standard/tests/strings/bug33076.phpt:
      
      fix bug #33076 (str_ireplace() incorrectly counts result string length and
      may cause segfault)
      add test

    * ext/standard/string.c:
      fix bug #33076 (str_ireplace() incorrectly counts result string length and
      may cause segfault)
      add test

2005-05-20  Jani Taskinen  <jani.taskinen@sci.fi>

    * build/shtool:
      Update bundled shtool to 2.0.1 (see also bug #33023)

2005-05-20  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_3)
      NEWS:
      Update NEWS

    * (PHP_5_0)
      NEWS:
      - Update NEWS

    * (PHP_5_0)
      ext/standard/parsedate.y:
      - MFH: Fixed bug #33013: "next month" was handled wrong.

    * (PHP_4_3)
      ext/standard/parsedate.y:
      - Fixed bug #33013: "next month" was done wrong.

2005-05-20  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/session/session.c
      ext/session/session.c:
      MFH: fix bug #32944 (Disabling session.use_cookies doesn't prevent reading
      session cookies)

    * ext/session/session.c:
      fix bug #32944 (Disabling session.use_cookies doesn't prevent reading
      session cookies)

2005-05-20  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS:
      reorder

2005-05-19  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * (PHP_5_0)
      NEWS:
      .

    * (PHP_4_3)
      NEWS:
      NEWS file update for Jani

    * (PHP_4_3)
      sapi/apache/mod_php4.c
      sapi/apache/mod_php5.c:
      Fix for bug #33057 - Don't send extraneous entity-headers on a 304 as per
      RFC 2616 section 10.3.5

    * (PHP_5_0)
      sapi/apache/mod_php5.c:
      MFH Fix for bug #33057 - Don't send extraneous entity-headers on a 304 as
      per
      RFC 2616 section 10.3.5

2005-05-19  George Schlossnagle  <george@omniti.com>

    * (PHP_5_0)
      ext/mysql/config.m4:
      support building on new-fangled 64bit linux distros that stick
      libraries in /usr/lib64

2005-05-19  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS
      ext/dom/element.c:
      MFH: Fixed bug #33059 (crash when moving xml attribute set in dtd).

    * ext/dom/element.c:
      Fixed bug #33059 (crash when moving xml attribute set in dtd).

2005-05-19  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      ZendEngine2/zend_object_handlers.c:
      Backported fix for bug #30451

    * ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug32080.phpt
      ZendEngine2/tests/bug32080.phpt:
      Strict warnings

2005-05-18  Stanislav Malyshev  <stas@zend.com>

    * (PHP_4_3)
      Zend/zend.c
      ZendEngine2/zend.c
      ZendEngine2/zend.c:
      fix for #29890 - part 2

    * (PHP_5_0)
      ZendEngine2/tests/bug29890.phpt:
      test

    * ZendEngine2/tests/bug29890.phpt
      ZendEngine2/tests/bug29890.phpt:
      
      test

    * ZendEngine2/zend_execute_API.c
      ZendEngine2/zend_execute_API.c:
      fix #29890 - crash when function call fails

    * (PHP_4_3)
      Zend/zend_execute_API.c:
      fix #29890 - stack corruption when function call fails

    * ZendEngine2/zend_object_handlers.c:
      revert - seems to be fixed elsewhere

    * ZendEngine2/zend_object_handlers.c:
      fix #30451  	static properties don't work properly

    * ZendEngine2/tests/bug29689.phpt
      ZendEngine2/tests/bug30451.phpt:
      tests

    * ZendEngine2/tests/bug29689.phpt
      ZendEngine2/tests/bug29689.phpt
      ZendEngine2/tests/bug30451.phpt
      ZendEngine2/tests/bug30451.phpt:
      
      file bug29689.phpt was initially added on branch PHP_5_0.

2005-05-17  Magnus Määttä  <novell@kiruna.se>

    * ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug32080.phpt:
      Fix tests.

2005-05-17  Johannes Schlüter  <schlueter@phpbar.de>

    * sapi/cli/php_cli.c
      sapi/cli/php_cli_readline.c:
      - Fix readline loop-condition
      - Fix cli_is_valid_code detection

2005-05-17  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      ext/gd/config.m4
      ext/gd/config.m4:
      MFH: gdImageGifCtx() is always available in bundled lib

    * ext/gd/config.m4:
      gdImageGifCtx() is always available in bundled lib

2005-05-16  Sara Golemon  <php@alphaweb.net>

    * TSRM/TSRM.c:
      Unterminated paren group in BETHREADS definition of tsrm_tls_set() macro

2005-05-16  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      ext/standard/basic_functions.c
      main/main.c
      main/php_streams.h
      main/streams.c:
      MFH: fix bug #32742 (segmentation fault when the stream with a wrapper is
      not closed)

    * (PHP_5_0)
      NEWS
      ext/standard/basic_functions.c
      main/main.c
      main/php_streams.h
      main/streams/streams.c:
      MFH: fix bugs #32742 (segmentation fault when the stream with a wrapper
      is not closed), #32171 (Userspace stream wrapper crashes PHP)

    * ext/standard/basic_functions.c
      main/main.c
      main/php_streams.h
      main/streams/streams.c:
      fix bugs #32742 (segmentation fault when the stream with a wrapper is not
      closed),

2005-05-14  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * configure.in
      sapi/cli/config.w32
      sapi/cli/php_cli.c
      sapi/cli/php_cli_readline.c
      sapi/cli/php_cli_readline.h:
      - Add command completion to CLI's -a mode

2005-05-13  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_4_3)
      NEWS
      Zend/zend.c
      ZendEngine2/zend.c:
      MFH: fix bug #29975 (memory leaks when set_error_handler() is used inside
      error handler)

    * ZendEngine2/zend.c:
      fix bug #29975 (memory leaks when set_error_handler() is used inside error
      handler)

2005-05-13  Magnus Määttä  <novell@kiruna.se>

    * NEWS
      ext/posix/config.m4
      ext/posix/php_posix.h
      ext/posix/posix.c:
      Added new function: posix_mknod().

2005-05-13  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli_nonapi.c:
      charsets_dir is no longer needed

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h
      ext/mysqli/tests/065.phpt:
      MFH:
      fixed windows compilation bug
      renamed mysqli_set_character_set_name to mysqli_set_charset

    * ext/mysqli/php_mysqli.h:
      mysql_set_charset now works version undependent for MySQL 4.1.13 and above

    * ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h
      ext/mysqli/tests/065.phpt:
      - fixed compile error under windows. Functionality for changing the
      character set was moved to libmysql (4.1 bk tree - will be merged into
      5.0 within the next days).
      - renamed mysql_set_character_set to mysqli_set_charset

2005-05-13  Andrey Hristov  <php@hristov.com>

    * NEWS:
      fix NEWS

    * ext/standard/basic_functions.c
      ext/standard/math.c
      ext/standard/php_math.h
      ext/standard/tests/math/math_std_dev.phpt:
      move math_standard_deviation and math_variance to the stats PECL extension

2005-05-12  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_reflection_api.c:
      - Make ReflectionObject::hasProperty() recognize dynamically added props

2005-05-12  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/sockets/sockets.c
      ext/sockets/sockets.c:
      MFH: fix #33019 (socket errors cause memory leaks in php_strerror())
      patch by jwozniak23 at poczta dot onet dot pl

    * ext/sockets/sockets.c:
      fix #33019 (socket errors cause memory leaks in php_strerror())
      patch by jwozniak23 at poczta dot onet dot pl

2005-05-11  Joe Orton  <jorton@redhat.com>

    * (PHP_5_0)
      ext/standard/html.c:
      MFH: - Fixed bug #29119 (html_decode_entities handling of U+0152-U+0192
      range)
      (merge error from 4.3)
      MFH: Mark pointers in entity tables as const.

    * ext/standard/html.c:
      Mark pointers in entity tables as const.

    * ext/standard/html.c:
      - Fixed bug #29119 (html_decode_entities handling of U+0152-U+0192 range)
      (merge error from 4.3)

2005-05-11  Andrey Hristov  <php@hristov.com>

    * NEWS:
      ...

    * ext/standard/array.c
      ext/standard/basic_functions.c
      ext/standard/php_array.h:
      add function array_product()

2005-05-11  Wez Furlong  <wez.php@thebrainroom.net>

    * main/streams/userspace.c:
      fix inverted logic and thus Bug #27508

    * ext/standard/tests/file/bug27508.phpt:
      add test for bug 27508

2005-05-10  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      NEWS
      ext/pgsql/pgsql.c
      ext/pgsql/pgsql.c:
      use & and check for the right value of result_type

    * (PHP_4_3)
      NEWS
      ext/pgsql/pgsql.c:
      use & and check for the right value of result_type
      btw, nobody noticed that result_type wasn't ever working in 4.3, because
      it was absent in parse_params()..
      also, I prefer "Tony" just for uniformity =)

2005-05-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS:
      Tony or Antony? :)

    * (PHP_5_0)
      NEWS:
      missing blame tag :)

2005-05-10  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/pgsql/pgsql.c
      ext/pgsql/pgsql.c:
      MFH: fix #32904 (pg_get_notify() ignores result_type parameter)

    * ext/pgsql/pgsql.c:
      fix #32904 (pg_get_notify() ignores result_type parameter)

2005-05-10  Andrey Hristov  <php@hristov.com>

    * ext/standard/tests/math/math_std_dev.phpt:
      fix the test too

    * NEWS:
      fix NEWS

2005-05-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      NEWS
      ext/odbc/php_odbc_includes.h
      ext/odbc/php_odbc_includes.h:
      MFB: - Fixed bugs #32800, #32830 (ext/odbc: Problems with 64bit systems)

    * (PHP_4_3)
      NEWS
      ext/odbc/php_odbc_includes.h:
      - Fixed bugs #32800, #32830 (ext/odbc: Problems with 64bit systems)

2005-05-10  Andrey Hristov  <php@hristov.com>

    * ext/standard/basic_functions.c
      ext/standard/math.c
      ext/standard/php_math.h:
      rename math_std_dev to math_standard_deviation (the API wasn't published
      yet)

2005-05-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/snmp/snmp.c:
      ws

    * ext/snmp/snmp.c:
      MFB: - Fixed bug #32613 (ext/snmp: use of snmp_shutdown() causes
      snmpapp.conf
        access errors). (Jani, ric at arizona dot edu)

    * (PHP_5_0)
      NEWS
      ext/snmp/snmp.c:
      - Fixed bug #32613 (ext/snmp: use of snmp_shutdown() causes snmpapp.conf
        access errors). (Jani, ric at arizona dot edu)

    * (PHP_4_3)
      ext/snmp/php_snmp.h
      ext/snmp/snmp.c:
      Revert the memleak fix due to net-snmp oddity (see also bug #32613)

2005-05-09  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli_api.c:
      after throwing an warning bail out

    * ext/mysqli/mysqli.c:
      mysqli won't compile with Zend2 API before 2001 - in these days there was
      no Zend2

    * ext/mysqli/mysqli_api.c:
      MFB

    * (PHP_5_0)
      ext/mysqli/mysqli_api.c:
      warn the user if he wants to prepare before fetching all previous data
      (in case mysqli_stmt_store_result() wasn't called or not enough calls
      to mysqli_stmt_fetch()).

2005-05-09  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/mysqli/tests/connect.inc:
      - We skip tests when the extension is not loaded..in the php.ini

    * ext/mysqli/tests/skipif.inc:
      revert pointless patch

2005-05-09  Georg Richter  <georg@mysql.com>

    * (PHP_4_3)
      NEWS
      ext/mysql/libmysql/config-win.h:
      fix for bug #32116 (mysql compressed connection doesn't work under win)

2005-05-09  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/tests/connect.inc
      ext/mysqli/tests/skipif.inc:
      also test shared builds

2005-05-09  Zeev Suraski  <zeev@zend.com>

    * (PHP_5_0)
      ext/sqlite/libsqlite/src/sqlite.w32.h:
      Fix build

2005-05-09  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      ext/posix/config.m4
      ext/posix/config.m4
      ext/posix/php_posix.h
      ext/posix/php_posix.h
      ext/posix/posix.c
      ext/posix/posix.c:
      MFH: - getlogin() / getgroups() are not necessarily available everywhere

    * ext/posix/config.m4
      ext/posix/php_posix.h
      ext/posix/posix.c:
      - getlogin() / getgroups() are not necessarily available everywhere

    * (PHP_4_3)
      ext/standard/basic_functions.c:
      Remove dos crap

2005-05-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      ext/standard/basic_functions.c:
      MFH: - Fixed putenv() under win32 (see bug #32957)

2005-05-08  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * ext/standard/info.c:
      Fix request_uri XSS on phpinfo() page

    * (PHP_4_3)
      ext/standard/info.c:
      Oops, wrong place.  It was in the logo stuff instead.

    * (PHP_4_3)
      ext/standard/info.c:
      Let's not XSS ourself at least

2005-05-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      ext/ldap/config.m4
      ext/ldap/ldap.c
      ext/ldap/php_ldap.h:
      MFH: - Fixed bug #32932 (Oracle LDAP: ldap_get_entries invalid pointer)

    * ext/ldap/config.m4:
      this check was not needed

    * (PHP_5_0)
      NEWS
      ext/ldap/config.m4
      ext/ldap/ldap.c
      ext/ldap/php_ldap.h:
      MFH: - Fixed bug #32932 (Oracle LDAP: ldap_get_entries invalid pointer)

    * ext/ldap/config.m4
      ext/ldap/ldap.c
      ext/ldap/php_ldap.h:
      - Fixed bug #32932 (Oracle LDAP: ldap_get_entries invalid pointer)

    * ext/dba/config.m4:
      no tabs

2005-05-08  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h
      ext/mysqli/tests/065.phpt:
      added new function mysqli_set_character_set_name
      This function changes also the mysql->charset structure for
      mysql_real_escape_string (see MySQL Bugs #8317 and #9637).
      This bug will probably be fixed in MySQL 5.1

    * ext/mysqli/tests/065.phpt
      ext/mysqli/tests/065.phpt:
      
      Added new function mysqli_set_character_set_name

    * ext/mysqli/mysqli_fe.c
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h:
      Added new function mysqli_set_character_set_name

2005-05-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      this one needs to be upper..

    * ext/standard/math.c:
      ws + cs + proto fixes

2005-05-07  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/ftp_fopen_wrapper.c:
      MFB: Fixed memory leak on error in FTP wrapper.

    * (PHP_5_0)
      ext/standard/ftp_fopen_wrapper.c:
      Fixed memory leak on error in FTP wrapper.

2005-05-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * sapi/cli/php.1.in:
      typofix

2005-05-07  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/pcntl/pcntl.c
      ext/pcntl/pcntl.c
      ext/pcntl/php_pcntl.h
      ext/pcntl/php_pcntl.h
      ext/pcntl/test-pcntl.php
      ext/pcntl/test-pcntl.php:
      MFB: Fix for #32974

    * (PHP_4_3)
      NEWS
      ext/pcntl/pcntl.c
      ext/pcntl/php_pcntl.h
      ext/pcntl/test-pcntl.php:
      Fix #32974

2005-05-07  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * sapi/cli/php.1.in:
      - Update

2005-05-07  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli_api.c:
      revert this one till we have a better way to inform the user where the
      truncation has occured

    * ext/standard/math.c:
      update protos

2005-05-07  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * NEWS:
      - Update: class File was renamed to FileObject

    * NEWS
      sapi/cli/php_cli.c:
      - Improved interactive mode of CLI (php -a)

2005-05-07  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * (PHP_4_3)
      ext/standard/ftp_fopen_wrapper.c:
      Fix what I assume was a typo

2005-05-07  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli_api.c:
      return MYSQLI_DATA_TRUNCATED if data happens to be truncated

    * ext/mysqli/mysqli_api.c:
      return directly

2005-05-07  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      ext/mysqli/tests/064.phpt:
      fix for 5_0. Statement constructor doesn't exist in 5_0

2005-05-07  Andrey Hristov  <php@hristov.com>

    * (PHP_5_0)
      ext/mysqli/mysqli_api.c:
      bail out just after detecting incorrect number of paramts to bind (MFH)

    * ext/mysqli/mysqli_api.c:
      bail out when detecting incorrect number of parameters to be bound.

2005-05-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/gd/config.m4:
      - Install GD header files

    * Makefile.global
      acinclude.m4
      configure.in
      ext/curl/config.m4
      ext/dom/config.m4
      ext/iconv/config.m4
      ext/interbase/php_ibase_udf.c
      ext/mbstring/config.m4
      ext/odbc/config.m4
      ext/session/config.m4
      ext/sqlite/config.m4
      ext/xml/config.m4
      sapi/embed/config.m4
      scripts/Makefile.frag
      scripts/phpize.m4:
      - Added PHP_INSTALL_HEADERS() macro
      - Fixed several VPATH build issues
      - Changed all awk calls to use $AWK
      - Changed all mkdir calls to use "$php_shtool mkdir"

2005-05-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/sqlite/config.m4:
      cleanup

2005-05-06  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      ext/standard/ftp_fopen_wrapper.c
      ext/standard/ftp_fopen_wrapper.c:
      MFH: Check ftp user name for control characters.

    * ext/standard/ftp_fopen_wrapper.c:
      Check ftp user name for control characters.

2005-05-06  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      ext/gd/gd.c
      ext/gd/gd.c
      main/php_open_temporary_file.c
      main/php_open_temporary_file.c:
      MFH: fix off-by-one in _php_image_output()
      and prevent such errors in php_do_open_temporary_file()

    * ext/gd/gd.c
      main/php_open_temporary_file.c:
      fix off-by-one in _php_image_output()
      and prevent such errors in php_do_open_temporary_file()

2005-05-06  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli_api.c
      ext/mysqli/mysqli_nonapi.c:
      initialize values because the call to zend_parse_parameters may not do it

2005-05-06  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/http_fopen_wrapper.c:
      Added max_redirects context option that specifies how many HTTP redirects
      to follow.

    * ext/standard/http_fopen_wrapper.c:
      Missing bit from previous patch.

    * (PHP_5_0)
      ext/standard/http_fopen_wrapper.c:
      Added missing bit of the previous patch.

    * (PHP_4_3)
      NEWS
      NEWS
      ext/standard/http_fopen_wrapper.c
      ext/standard/http_fopen_wrapper.c:
      MFH: Fixed bug #32936 (http redirects URLs are not checked for control
      chars).

    * ext/standard/http_fopen_wrapper.c:
      Fixed bug #32936 (http redirects URLs are not checked for control chars).

2005-05-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/lang/inc.inc:
      <? should die..

    * NEWS
      NEWS:
      reorder

    * NEWS:
      - No need to add NEWS entries for bugs that do NOT exist in any released
      version of PHP

    * (PHP_5_0)
      NEWS:
      typo

    * ZendEngine2/zend_object_handlers.h:
      typofix :)

    * NEWS:
      verbose,order,etc.

2005-05-05  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/math.c:
      fix proto

2005-05-05  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug31525.phpt
      ZendEngine2/tests/bug31525.phpt
      tests/lang/bug20175.phpt
      tests/lang/bug21600.phpt:
      
      file bug31525.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug31525.phpt
      tests/lang/bug20175.phpt
      tests/lang/bug21600.phpt:
      Fixed bug #31525 (object reference being dropped. $this getting lost)

2005-05-05  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli.c
      ext/mysqli/mysqli_api.c
      ext/mysqli/tests/064.phpt:
      MFH: fix for bug #32956
           fixed memleak in mysql_close
           fixed data truncation in test 009.phpt

    * ext/mysqli/tests/064.phpt
      ext/mysqli/tests/064.phpt:
      
      fixed memleak in mysqli_close
      fixed bug #32956 (mysqli_bind_result doesn't support MYSQL_TYPE_NULL)

    * ext/mysqli/mysqli.c
      ext/mysqli/mysqli_api.c:
      fixed memleak in mysqli_close
      fixed bug #32956 (mysqli_bind_result doesn't support MYSQL_TYPE_NULL)

    * php.ini-dist
      php.ini-recommended:
      fix for bug #32947 (Incorrect option for mysqli default password)

2005-05-04  Stanislav Malyshev  <stas@zend.com>

    * tests/lang/bug32924.phpt
      tests/lang/inc.inc:
      add test

    * NEWS:
      

    * ZendEngine2/zend.c:
      fix bug #32924:	prepend does not add file to included files

    * (PHP_5_0)
      ZendEngine2/zend_execute.c:
      clarify some magic

2005-05-04  Anantha Kesari H Y  <hyanantha@novell.com>

    * ext/standard/dl.c
      ext/standard/dl.c:
      NetWare LibC dlsym works perfectly only thing that each of the extension
      need to export a symbol with FULL capital prefix.

2005-05-04  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_execute.c:
      Fixed bug #30641 (Compile error: error: symbol "zend_error" is used but not
      defined)

    * ZendEngine2/tests/bug30707.phpt
      ZendEngine2/tests/bug30707.phpt:
      
      file bug30707.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug30707.phpt:
      Fixed bug #30707 (Segmentation fault on exception in method)

    * (PHP_5_0)
      ZendEngine2/zend_execute.c:
      ws

    * ZendEngine2/tests/bug30162.phpt
      ZendEngine2/tests/bug30162.phpt:
      
      file bug30162.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug30161.phpt:
      Fixed bug #30162 (Catching exception in constructor couses lose of $this)

2005-05-03  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/dom/php_dom.c:
      MFH: Fix bug #32930 (class extending DOMDocument doesn't clone properly)

    * ext/dom/php_dom.c:
      Fix bug #32930 (class extending DOMDocument doesn't clone properly)

2005-05-03  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/pgsql/pgsql.c:
      Prevent double free.

2005-05-03  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/unset_cv07.phpt:
      Fixed notice message

    * tests/classes/interface_must_be_implemented.phpt:
      Fixed error message

2005-05-03  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (PHP_5_0)
      ZendEngine2/tests/bug32252.phpt:
      - Add test

    * (PHP_5_0)
      tests/classes/abstract_derived.phpt
      tests/classes/abstract_not_declared.phpt
      tests/classes/abstract_redeclare.phpt
      tests/classes/interface_must_be_implemented.phpt
      tests/classes/interfaces_002.phpt:
      - Update tests affexted by fix

2005-05-03  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_object_handlers.c:
      Fixed destruction of zval after returning from __call()

2005-05-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/Makefile.frag:
      - acconfig.h should not be installed. (it is only a template file..)

2005-05-03  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/abstract_derived.phpt
      tests/classes/abstract_not_declared.phpt
      tests/classes/abstract_redeclare.phpt
      tests/classes/interfaces_002.phpt:
      - Fix tests affected by fix

2005-05-03  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug32296.phpt
      ZendEngine2/tests/bug32296.phpt:
      
      file bug32296.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/tests/bug32296.phpt:
      Fixed bug #32296 (get_class_methods output has changed between 5.0.2 and
      5.0.3)
      Now get_class_methods() shows accessible private and protected methods if
      it is called from class scope.

2005-05-03  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS:
      Bug fixing news.

    * (PHP_4_3)
      Zend/zend_execute.c:
      MFZE2: Fixed bug #32670 (foreach() does not issue warning on unset array
      arg)

2005-05-02  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.h:
      - Extend API to support real existance test without the need to add any new
        functions or change any behavior

    * (PHP_5_0)
      NEWS:
      - BFN

    * ZendEngine2/zend_execute_API.c:
      -  Part 2 of #30126: Enhancement for error message for abstract classes

    * ZendEngine2/zend_execute_API.c:
      - Part 1 of #30126: Enhancement for error message for abstract classes

2005-05-02  Andrey Hristov  <php@hristov.com>

    * ext/standard/math.c:
      fixed div by zero

    * ext/standard/math.c
      ext/standard/tests/math/math_std_dev.phpt:
      add possibility to calculate the standard deviation and the variance
      on a sample - the formulae are slightly different.

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/math.c
      ext/standard/php_math.h
      ext/standard/tests/math/math_std_dev.phpt:
      add also math_variance() which uses the same calculation as math_std_dev()

    * ext/standard/math.c
      ext/standard/tests/math/math_std_dev.phpt:
      fix division by zero. throw an warning if the array is empty.

2005-05-02  Pierre-Alain Joye  <pierre@dotgeek.org>

    * (PHP_4_3)
      ext/gd/gd.c:
      - MFH (#32893, imagettf crashes)
        uses long for zval

2005-05-02  Andrey Hristov  <php@hristov.com>

    * NEWS:
      FRN

    * ext/standard/basic_functions.c
      ext/standard/math.c
      ext/standard/php_math.h
      ext/standard/tests/math/math_std_dev.phpt:
      add math_std_dev()

2005-05-01  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS
      ext/standard/html.c:
      MFH: Fixed bug #32608 (html_entity_decode() converts single quotes even if
      ENT_NOQUOTES is given).

    * ext/standard/html.c:
      Fixed bug #32608 (html_entity_decode() converts single quotes even if
      ENT_NOQUOTES is given).

2005-05-01  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/libgd/gd.c:
      - MFB: #32891, init old y positions to non possible values. -1 being used
        if the center start a (x,0)

    * (PHP_5_0)
      ext/gd/libgd/gd.c:
        - MFB: #32891, init old y positions to non possible values. -1 being used
          if the center start a (x,0)

    * (PHP_4_3)
      ext/gd/libgd/gd.c:
      - #32891, init old y positions to non possible values. -1 being used if the
        center start a (x,0)

2005-04-30  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      acinclude.m4
      acinclude.m4:
      MFH: - Fix problems with phpized ext/imap

    * acinclude.m4:
      - Fix problems with phpized ext/imap

    * (PHP_4_3)
      NEWS
      NEWS
      configure.in
      configure.in
      scripts/Makefile.frag
      scripts/Makefile.frag:
      MFH: - Added man pages for "phpize" and "php-config" scripts. (Jakub Vrana)

    * configure.in
      scripts/Makefile.frag:
      - Added man pages for "phpize" and "php-config" scripts. (Jakub Vrana)

    * sapi/cli/php.1.in:
      Silence the warnings about weird characters in this man page

    * scripts/dev/phpextdist
      scripts/dev/phpextdist
      scripts/dev/phpextdist:
        1.1.4;
      Moved phpextdist to dev/

    * scripts/Makefile.frag
      scripts/phpextdist:
      Moved phpextdist to dev/

    * acinclude.m4
      configure.in:
      - No need to iterate through the options twice

    * acinclude.m4:
      re2c 0.96 is the one that works (tm)

    * acinclude.m4:
      We do allow 2.0 now too.

2005-04-29  Ilia Alshanetsky  <ilia@prohost.org>

    * main/streams/streams.c:
      Attempt to eliminate seek() prior to every write.

2005-04-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_object_handlers.c:
      compile fix

2005-04-29  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli.c:
      multi_query is no more global

    * (PHP_5_0)
      ext/mysqli/mysqli.c:
      missed to remove that. multi_query is no more a global.

2005-04-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/tests/bug30332.phpt
      ZendEngine2/tests/bug32852.phpt:
      Make sure E_STRICT is set always

2005-04-29  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug30332.phpt
      ZendEngine2/tests/bug30332.phpt:
      
      file bug30332.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.c
      ZendEngine2/tests/bug30332.phpt:
      Fixed bug #30332 (zend.ze1_compatibility_mode isnt fully compatable with
      array_push())

    * ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug32080.phpt
      ZendEngine2/tests/bug32080.phpt
      ZendEngine2/tests/bug32852.phpt
      ZendEngine2/tests/bug32852.phpt:
      
      file bug31828.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_execute.c
      ZendEngine2/tests/bug31828.phpt
      ZendEngine2/tests/bug32080.phpt
      ZendEngine2/tests/bug32852.phpt:
      Fixed bug #32852 (Crash with singleton and __destruct when
      zend.ze1_compatibility_mode = On)
      Fixed bug #31828 (Crash with zend.ze1_compatibility_mode=On)
      Fixed bug #32080 (segfault when assigning object to itself with
      zend.ze1_compatibility_mode=On)

2005-04-29  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/sysvmsg/tests/002.phpt:
      typofix

    * (PHP_5_0)
      php.ini-dist
      php.ini-recommended:
      MFH: Add auto_globals_jit entry to php.ini-* (bug #29514)

    * php.ini-dist
      php.ini-recommended:
      Add auto_globals_jit entry to php.ini-* (bug #29514)

    * tests/classes/array_access_003.phpt
      tests/lang/bug22231.phpt
      tests/lang/bug22367.phpt
      tests/lang/bug22510.phpt:
      - Make sure E_STRICT is set when expecting Strict errors..

    * ZendEngine2/tests/bug22836.phpt
      ZendEngine2/tests/bug27641.phpt:
      - Unify error_reporting setting + make sure E_STRICT is set when wanted

    * tests/lang/bug30578.phpt:
      Added test for bug #30578

    * NEWS:
      BFN

2005-04-28  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/mysqli/mysqli_warning.c:
      e* allocation cannot fail.

2005-04-28  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug29015.phpt
      ZendEngine2/tests/bug29015.phpt:
      
      file bug29015.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/tests/bug29015.phpt:
      Fixed bug #29015 (Incorrect behavior of member vars(non string
      ones)-numeric mem vars und others)

2005-04-28  Antony Dovgal  <tony2001@phpclub.net>

    * tests/lang/bug32828.phpt
      tests/lang/bug32828.phpt:
      
      add test for bug #32828

2005-04-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * sapi/cgi/cgi_main.c:
      int != long

2005-04-28  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      main/output.c:
      MFH: fix #32828 (Throwing exception in output_callback function with
      ob_start and
      ob_end_clean leads to segfault)

    * main/output.c:
      fix #32828 (Throwing exception in output_callback function with ob_start
      and
      ob_end_clean leads to segfault)

    * (PHP_4_3)
      ext/oci8/oci8.c
      ext/oci8/oci8.c:
      MFH: handle unsupported datatypes and prevent segfault

    * ext/oci8/oci8.c:
      handle unsupported datatype (OCIBindByName segfaults somewhere in OCI lib
      when
      unknown type is provided)

2005-04-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * php.ini-dist
      php.ini-recommended
      sapi/cgi/cgi_main.c:
      - Added fastcgi.logging php.ini option to be able to disable
        logging through the fastcgi connection

2005-04-28  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_4_3)
      NEWS
      NEWS:
      BFN

    * (PHP_4_3)
      ext/xml/php_xml.h
      ext/xml/php_xml.h
      ext/xml/xml.c
      ext/xml/xml.c:
      MFH: Fix bug #32245 (xml_parser_free() in function assigned to the xml
      parser
        gives a segfault)

    * ext/xml/php_xml.h
      ext/xml/xml.c:
      - Fix bug #32245 (xml_parser_free() in function assigned to the xml parser
        gives a segfault)

2005-04-28  Jani Taskinen  <jani.taskinen@sci.fi>

    * main/main.c:
      - Reorder request shutdown calls: Call all __destruct() functions and
        register_shutdown_function() callbacks before flushing output buffers
        and sending headers.
      - Fixes bug #30578 and possibly others related to output buffering.
      

2005-04-28  Wez Furlong  <wez.php@thebrainroom.net>

    * TSRM/TSRM.c:
      consolidate the various tls get/set calls for the different platforms into
      a single macro, at Andi's request.

2005-04-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/snmp/snmp.c:
      Better use zval_ptr_dtor() instead (thanks Andi)

    * (PHP_5_0)
      NEWS:
      reword

2005-04-27  Wez Furlong  <wez.php@thebrainroom.net>

    * TSRM/TSRM.c
      TSRM/TSRM.h:
      Add three new TSRM api functions:
      
      TSRM_API void *tsrm_new_interpreter_context(void);
      TSRM_API void *tsrm_set_interpreter_context(void *new_ctx);
      TSRM_API void tsrm_free_interpreter_context(void *context);
      
      These can be used, with a suitable SAPI, to host multiple interpreters on
      the same thread.

2005-04-27  Andrey Hristov  <php@hristov.com>

    * (PHP_5_0)
      NEWS:
      update NEWS

    * main/main.c:
      rename

    * (PHP_4_3)
      main/main.c
      main/main.c:
      change names

    * (PHP_5_0)
      NEWS
      NEWS:
      BFN

    * (PHP_5_0)
      ext/mysqli/mysqli_api.c:
      MFH (fix bug #31023)

    * ext/mysqli/mysqli_api.c:
      fix bug #32013(MySQLi bind_result causes fatal error: memory limit reached)

2005-04-27  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.h
      ZendEngine2/tests/bug29210.phpt
      ext/standard/basic_functions.c:
      Fixed bug #29210 (Function: is_callable - no support for private and
      protected classes)

    * ZendEngine2/tests/bug29210.phpt
      ZendEngine2/tests/bug29210.phpt
      ext/standard/basic_functions.c:
      
      file bug29210.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.h:
      Fixed bug #29210 (Function: is_callable - no support for private and
      protected classes).

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/tests/bug29104.phpt:
      Fixed bug #29104 (Function declaration in method doesn't work)

    * ZendEngine2/tests/bug29104.phpt
      ZendEngine2/tests/bug29104.phpt:
      
      Fixed bug #29104 (Function declaration in method doesn't work)

2005-04-27  Anantha Kesari H Y  <hyanantha@novell.com>

    * TSRM/threads.m4
      TSRM/threads.m4:
      check should be on host_alias rather than on target_alias, but somehow
      works on configure generated using autoconf 2.57.

2005-04-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/dom/config.m4
      ext/simplexml/config.m4
      ext/xml/config.m4
      ext/xmlrpc/config.m4
      ext/xsl/config.m4:
      - Made the libxml related stuff to error out if someone does --disable-all
        or --disable-libxml. Better than silently just leave the ext out..

2005-04-27  Dmitry Stogov  <dmitry@zend.com>

    * NEWS
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug32833.phpt:
      Fixed bug #32833 (Invalid opcode)

2005-04-27  Andrey Hristov  <php@hristov.com>

    * ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h
      ext/mysqli/tests/bug31668.phpt:
      MFB (fixing bug 31668)

    * ext/mysqli/tests/bug31668.phpt
      ext/mysqli/tests/bug31668.phpt:
      
      file bug31668.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      ext/mysqli/mysqli_nonapi.c
      ext/mysqli/php_mysqli.h:
      - Fix bug 31668 (multi query fails every other time). The multi_query flag
        was global and not per connection.
      - use ecalloc() instead of calloc() for memory that will be freed with
        efree()

2005-04-27  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/zlib/tests/compress_zlib_wrapper.phpt:
      nuking that file was not very good idea :)

2005-04-27  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug32674.phpt
      ZendEngine2/tests/bug32674.phpt:
      
      file bug32674.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug32674.phpt:
      Fixed bug #32674 (exception in iterator causes crash)

2005-04-26  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/tests/bug30889.phpt
      ZendEngine2/tests/bug30889.phpt:
      
      file bug30889.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h
      ZendEngine2/tests/bug30889.phpt:
      Fixed bug #30889 (Conflict between __get/__set and ++ operator)

    * ZendEngine2/tests/bug32429.phpt:
      fix

    * ZendEngine2/tests/bug30702.phpt
      ZendEngine2/tests/bug30702.phpt:
      
      file bug30702.phpt was initially added on branch PHP_5_0.

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_API.c
      ZendEngine2/zend_API.c
      ZendEngine2/tests/bug30702.phpt:
      Fixed bug #30702 (cannot initialize class variable from class constant)

    * NEWS
      ZendEngine2/zend_compile.c
      ZendEngine2/tests/bug32427.phpt:
      Fixed bug #32427 (Interfaces are not allowed 'static' access modifier).

    * NEWS
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/tests/bug32429.phpt:
      Fixed bug #32429 (method_exists() always return TRUE if __call method
      exists)

2005-04-26  Jani Taskinen  <jani.taskinen@sci.fi>

    * acinclude.m4
      acinclude.m4:
      Netware stuff

2005-04-25  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/standard/url.c
      ext/standard/url.c
      ext/standard/tests/strings/url_t.phpt
      ext/standard/tests/strings/url_t.phpt:
      MFH: Fixed bug #32813 (parse_url() does not handle scheme-only urls
      properly).

    * ext/standard/url.c
      ext/standard/tests/strings/url_t.phpt:
      Fixed bug #32813 (parse_url() does not handle scheme-only urls properly).

2005-04-25  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/classes/serialize_001.phpt:
      Fix test

    * NEWS:
      Reorder

    * (PHP_4_3)
      NEWS
      main/php_variables.c:
      MFH: Revert. Nokia didn't pay me enough. :)

    * (PHP_5_0)
      NEWS:
      rbfn

    * main/php_variables.c:
      Revert. (Nokia is not that important :)

2005-04-25  John Coggeshall  <john@coggeshall.org>

    * NEWS:
      Update

2005-04-25  Andrei Zmievski  <andrei@gravitonic.com>

    * ZendEngine2/zend_object_handlers.c:
      Reverting. Let's not introduce major BC breakage like this without a
      good reason.

2005-04-25  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/zlib/tests/compress_zlib_wrapper.phpt:
      - Added test: For some reason this fails with ZTS mode and
      "outside-src-tree-build"

    * (PHP_5_0)
      NEWS:
      reorder + shorten..

    * NEWS:
      When an entry goes to the PHP_5_0 branch, no entry here

2005-04-25  Stanislav Malyshev  <stas@zend.com>

    * NEWS:
      oops

    * NEWS
      NEWS:
      fix

    * ext/gmp/gmp.c
      ext/gmp/gmp.c
      ext/gmp/tests/bug32773.phpt
      ext/gmp/tests/bug32773.phpt:
      Fix #32773 and make right fix for GMP FPEs

    * (PHP_4_3)
      ext/gmp/gmp.c:
      rm unneeded

    * (PHP_4_3)
      NEWS:
      fix for #32773

    * (PHP_4_3)
      ext/gmp/gmp.c:
      Fix #32773 and made right fix for GMP FPEs

2005-04-25  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/tests/bug24155.phpt
      ext/gd/tests/bug27582_1.phpt:
      -  do not use md5, png signature can change between libpng version
         some floating points issue can end to different colors (+/- 1/255)
         tests should work again now.

2005-04-25  Stanislav Malyshev  <stas@zend.com>

    * ext/gmp/tests/bug32773.phpt
      ext/gmp/tests/bug32773.phpt
      ext/gmp/tests/bug32773.phpt:
        1.1.4;
      file bug32773.phpt was initially added on branch PHP_4_3.

2005-04-25  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_3)
      NEWS
      tests/lang/bug29944.phpt:
      Test case fnd news entriey for bug #29944

2005-04-25  Stanislav Malyshev  <stas@zend.com>

    * (PHP_4_3)
      ext/gmp/gmp.c:
      Remove broken fix - second operand of GMP operation certainly can be 0 in
      general case

2005-04-25  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS
      Zend/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.c
      ZendEngine2/tests/bug29944.phpt:
      Fixed bug #29944 (Function defined in switch, crashes).

    * ZendEngine2/tests/bug29944.phpt
      ZendEngine2/tests/bug29944.phpt:
      
      Fixed bug #29944 (Function defined in switch, crashes).

2005-04-25  Edin Kadribasic  <edink@emini.dk>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/gd/config.w32:
      MFH: Added T1LIB support on Windows (#32809)

    * ext/gd/config.w32:
      Added T1LIB support on Windows (#32809)

2005-04-25  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_hash.c:
      ws

2005-04-25  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_4_3)
      Zend/zend_hash.c
      ZendEngine2/zend_hash.c
      ext/standard/array.c
      ext/standard/array.c:
      Fixed call to estrndup() with invalid length

    * (PHP_5_0)
      ZendEngine2/zend_hash.c
      ext/standard/array.c:
      Fixed call to estrndup() with invalid lengt

2005-04-25  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * ZendEngine2/zend_reflection_api.c:
      Correct grammar.

2005-04-24  Ilia Alshanetsky  <ilia@prohost.org>

    * main/php_variables.c:
      MFB: zval** not zval*

    * (PHP_5_0)
      main/php_variables.c:
      zval** not zval*.

    * (PHP_4_3)
      NEWS
      NEWS
      main/php_variables.c
      main/php_variables.c:
      MFH: Fixed bug #32802 (General cookie overrides more specific cookie).

    * main/php_variables.c:
      Fixed bug #32802 (General cookie overrides more specific cookie).

2005-04-24  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_compile.c:
      - Need to copy doc comments correct for properties

2005-04-23  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS:
      typo

    * ext/snmp/snmp.c:
      - Fix memleak

    * (PHP_4_3)
      NEWS
      NEWS
      main/php_variables.c
      main/php_variables.c:
      MFH: - Fixed bug #32111 (Cookies can also be separated by colon)

    * main/php_variables.c:
      - Fixed bug #32111 (Cookies can also be separated by colon)

    * main/php_variables.c:
      ws, pval -> zval

2005-04-23  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/tests/bug29674.phpt
      ZendEngine2/tests/bug30161.phpt
      ZendEngine2/tests/bug30346.phpt
      tests/classes/__set__get_004.phpt:
      - Add new tests

    * acinclude.m4:
      - Change bison check to positive logic and allow bison 2.0

2005-04-22  Joe Orton  <jorton@redhat.com>

    * (PHP_4_3)
      ext/xmlrpc/libxmlrpc/xml_element.c
      ext/xmlrpc/libxmlrpc/xml_element.c:
      MFH: Fixed bug #32797 (invalid C code in xmlrpc extension).

    * ext/xmlrpc/libxmlrpc/xml_element.c:
      Fixed bug #32797 (invalid C code in xmlrpc extension).

2005-04-22  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      ext/mysql/.cvsignore:
      add missing entries in .cvsignore

    * ext/com_dotnet/com_extension.c
      ext/com_dotnet/com_extension.c
      sapi/apache_hooks/mod_php5.c
      sapi/caudium/caudium.c
      sapi/caudium/caudium.c
      sapi/caudium/caudium.c
      sapi/cgi/libfcgi/fcgiapp.c:
      fix C++ comments

2005-04-22  Andrey Hristov  <php@hristov.com>

    * (PHP_4_3)
      main/main.c:
      MFH
      introduce INT_MAX and INT_SIZE

2005-04-21  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/odbc/config.m4:
      - Fix birdstep support (no SQLDataSources() support in it)

2005-04-21  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/curl/interface.c
      ext/dom/attr.c
      ext/dom/document.c
      ext/dom/domimplementation.c
      ext/dom/node.c
      ext/dom/php_dom.c
      ext/dom/php_dom.h
      ext/dom/xml_common.h
      ext/dom/xpath.c:
      php_error() -> php_error_docref().

2005-04-21  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in:
      - Allow using --enable-versioning with any SAPI module

    * configure.in
      sapi/cgi/config9.m4
      sapi/cli/config.m4:
      Expose EXEEXT and use for cli/cgi binaries

    * (PHP_4_3)
      NEWS
      ext/standard/basic_functions.c
      ext/standard/basic_functions.c:
      MFH: - Fixed bug #32647 (Using register_shutdown_function() with invalid
      callback can crash PHP)

    * (PHP_5_0)
      NEWS:
      BFN

    * ext/standard/basic_functions.c:
      - Fixed bug #32647 (Using register_shutdown_function() with invalid
      callback can crash PHP)

    * (PHP_4_3)
      ext/standard/tests/general_functions/bug32647.phpt:
      Fix test

    * ZendEngine2/tests/unset_cv05.phpt:
      Fix test when register_long_arrays is off in your php.ini

    * ext/standard/tests/general_functions/bug32647.phpt
      ext/standard/tests/general_functions/bug32647.phpt
      ext/standard/tests/general_functions/bug32647.phpt:
        1.1.4;
      Added test for bug #32647

    * ext/standard/tests/general_functions/bug29038.phpt
      ext/standard/tests/general_functions/bug31190.phpt:
      bug => Bug

2005-04-20  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/fdf/fdf.c:
      Fixed ZTS build of fdf extension.

2005-04-20  Brian France  <list@firehawksystems.com>

    * (PHP_4_3)
      NEWS
      NEWS
      acinclude.m4
      acinclude.m4:
      MFH: Added support for .cc files in extensions.

    * NEWS
      acinclude.m4:
      Added support for .cc files in extensions.

2005-04-20  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli_api.c:
      another fix for last commit (committed from wrong tree) :(

    * ext/mysqli/mysqli.c
      ext/mysqli/tests/009.phpt:
      fixed typo in last commit :(

    * ext/mysqli/mysqli.c
      ext/mysqli/mysqli_api.c:
      added support for data truncation (bind_result) for MySQL 5.0.5

2005-04-20  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS:
      Fixed bug #32776 (SOAP doesn't support one-way operations)

2005-04-19  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      NEWS:
      reorder

2005-04-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_API.c
      ZendEngine2/zend_API.h
      ZendEngine2/zend_compile.c
      ZendEngine2/zend_compile.h
      ZendEngine2/zend_reflection_api.c:
      - Add ReflectionProperty::getDocComment()

2005-04-19  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/openssl/openssl.c:
      - Never use Z_TYPE* macros on non-zvals.

2005-04-19  Andrey Hristov  <php@hristov.com>

    * (PHP_5_0)
      NEWS:
      FN

    * main/main.c:
      add INT_MAX and INT_SIZE constants.

    * ext/mysqli/tests/033.phpt:
      MFB

    * (PHP_5_0)
      ext/mysqli/tests/033.phpt:
      fix test to be able to run not only over Unix socket but also over TCP/IP
      and not only connected to localhost.

    * (PHP_5_0)
      NEWS:
      BFN

    * ext/mysqli/tests/bug32405.phpt
      ext/mysqli/tests/bug32405.phpt:
      
      add a test case for Bug #32405 (the previous commit incorporated a fix
      for it).

    * ext/mysqli/mysqli_api.c:
      - nail down another 64bit problem. this will fix about 14 failing tests
        on amd64 (probably other 64 bit arch).
      - use ulong for this boolean variable, as it was before
      - throw an warning if offset passed to mysqli_stmt_data_seek is negative

    * ext/mysqli/mysqli_api.c
      ext/mysqli/tests/014.phpt:
      - fixing all "long" into "int" fetching problems (cause memory corruption
        on 64 bit)
      - nail down a problem because of the new MYSQL_TYPE_NEWDECIMAL introduced
        in MySQL 5.0+
      - Add more info to the autocommit test

2005-04-19  Jani Taskinen  <jani.taskinen@sci.fi>

    * ZendEngine2/zend_compile.c
      ZendEngine2/zend_exceptions.c
      sapi/apache/sapi_apache.c
      sapi/apache_hooks/mod_php5.c
      sapi/apache_hooks/sapi_apache.c:
      No c++ comments in C code

    * ext/sqlite/pdo_sqlite2.c:
      - This is not C++ code

2005-04-19  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/com_dotnet/com_com.c
      ext/com_dotnet/com_handlers.c
      ext/com_dotnet/com_typeinfo.c
      ext/com_dotnet/php_com_dotnet_internal.h:
      merge from branch: fixes for #32758 and #32759

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/com_dotnet/com_com.c
      ext/com_dotnet/com_handlers.c
      ext/com_dotnet/com_typeinfo.c
      ext/com_dotnet/php_com_dotnet_internal.h:
      - Fix #32758 Cannot access safearray properties
      - Fix #32759 incorrect determination of default value

2005-04-19  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS
      ext/sqlite/sqlite.c:
      MFH: Fixed bug #32753 (Undefined constant SQLITE_NOTADB).

    * ext/sqlite/sqlite.c:
      Fixed bug #32753 (Undefined constant SQLITE_NOTADB).

2005-04-18  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/dom/node.c
      ext/dom/tests/bug32615.phpt:
      MFH: Fix bug #32755 Segfault in replaceChild() when DocumentFragment has no
      children
      update test

    * ext/dom/node.c
      ext/dom/tests/bug32615.phpt:
      Fix bug #32755 Segfault in replaceChild() when DocumentFragment has no
      children
      update test

2005-04-18  Andrey Hristov  <php@hristov.com>

    * ext/ncurses/ncurses_functions.c:
      don't null it - let the engine do its magic ;)

2005-04-18  Wez Furlong  <wez.php@thebrainroom.net>

    * ext/com_dotnet/com_handlers.c:
      merge bug fixes from branch

    * (PHP_5_0)
      NEWS
      ext/com_dotnet/com_handlers.c:
      Fix bugs #29583 and #31636

2005-04-18  Anantha Kesari H Y  <hyanantha@novell.com>

    * configure.in:
      PHP_OS and PHP_UNAME need to be hardcoded for cross builds

2005-04-18  Dmitry Stogov  <dmitry@zend.com>

    * ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_builtin_functions.c
      ZendEngine2/zend_execute.c:
      Fixed memory leak in debug_backtrace()

2005-04-18  Georg Richter  <georg@mysql.com>

    * ext/mysqli/mysqli.c:
      cursor support for 5.0.4 (STMT_ATTR_CURSOR_TYPE changed to enum)

2005-04-18  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/com_dotnet/com_dotnet.c
      ext/com_dotnet/com_persist.c:
      removed unused vars.

2005-04-17  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/property_exists.phpt:
      - Add more tests

    * ZendEngine2/zend_builtin_functions.c:
      - Fix special cases of property_exists()

    * ZendEngine2/zend_object_handlers.c:
      - Fix logic

2005-04-17  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      NEWS
      ext/ldap/config.w32
      ext/ldap/ldap.c:
      MFH: - Fixed bug #30819 (Better support for LDAP SASL bind)

    * ext/ldap/ldap.c:
      - Fixed bug #30819 (Better support for LDAP SASL bind)

    * NEWS:
      - Removed unnecessary NEWS entry

    * main/php.h:
      - Remove relic

    * (PHP_4_3)
      NEWS
      ext/crack/crack.c:
      - Fixed bug #32730 (ext/crack.c fails to compile with cracklib-2.8.3)

2005-04-17  Derick Rethans  <php@derickrethans.nl>

    * NEWS
      ext/gd/gd.c:
      - Fixed bug #32735 (Compile error in GD extension).

2005-04-17  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS
      sapi/isapi/php4isapi.c
      sapi/isapi/php5isapi.c:
      MFH: - Fixed bug #31887 (ISAPI: Custom 5xx error does not return correct
      HTTP response message)

    * sapi/isapi/php5isapi.c:
      - Fixed bug #31887 (Custom 5xx error does not return correct HTTP response
      message)

2005-04-16  Sara Golemon  <php@alphaweb.net>

    * ZendEngine2/tests/method_exists.phpt:
      method_exists() regression test

    * ZendEngine2/zend_builtin_functions.c:
      Fix method_exists(), pce is fetched, but ce is used

2005-04-16  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS
      NEWS
      NEWS:
      retype

2005-04-16  Pierre-Alain Joye  <pierre@dotgeek.org>

    * NEWS:
      - Typo

    * NEWS:
      - Entry for imageconvolution addition

2005-04-16  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      ext/dotnet/.cvsignore:
      typofix

2005-04-16  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/gd.c
      ext/gd/php_gd.h:
      - export imageconvolution to userland, making people happy to do not
        use the predefined ones :)

2005-04-16  Uwe Schindler  <uwe@thetaphi.de>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/standard/md5.c
      ext/standard/md5.c
      ext/standard/sha1.c
      ext/standard/sha1.c:
      MFH: use streams api for md5_file() and sha1_file()

2005-04-16  Rasmus Lerdorf  <rasmus@lerdorf.com>

    * ext/gd/libgd/gd.c:
      I think this is a cleaner emboss filter.  Less fringing.

    * (PHP_5_0)
      ext/gd/libgd/gd.c:
      MFH: The emboss and edge detection filter matrices were swapped

    * ext/gd/libgd/gd.c:
      The emboss and edge detection matrices are swapped

    * ext/sqlite/config.m4:
      Don't do PDO here if PDO is disabled

2005-04-15  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/type.c:
      - Fixed bug #32719 (strval() fails to zero terminate strings)

    * ext/standard/tests/strings/strval.phpt:
      Add some more cases

    * ext/standard/tests/strings/strval.phpt
      ext/standard/tests/strings/strval.phpt
      ext/standard/tests/strings/strval.phpt:
        1.1.4;
      Added test for strval() function

    * ext/snmp/snmp.c:
      - Use correct type (bug #32720)

2005-04-15  Frank M. Kromann  <frank@kromann.info>

    * (PHP_5_0)
      ext/ming/ming.c:
      Backporting prebuilt and videostring functions

2005-04-15  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_builtin_functions.c
      tests/classes/property_exists.phpt:
      - Fix even though we already know that the function will be renamed

2005-04-15  Andrei Zmievski  <andrei@gravitonic.com>

    * ZendEngine2/zend_execute.c
      ZendEngine2/zend_vm_def.h
      ZendEngine2/zend_vm_execute.h
      ZendEngine2/zend_vm_opcodes.h:
      Fix certain operations to stop relying on presence of read_property and
      write_property handlers. They may be NULL'ed out by certain objects
      pretending to be pure arrays, for example. Do checks first.

2005-04-15  Uwe Schindler  <uwe@thetaphi.de>

    * NEWS
      ext/standard/md5.c
      ext/standard/sha1.c:
      Remove include_path support from md5_file/sha1_file again

    * ext/standard/md5.c
      ext/standard/sha1.c:
      use streams api for md5_file and sha1_file. Added parameter
      use_include_path similar to other PHP file functions. Documentation update
      outstanding

    * (PHP_4_3)
      ext/standard/md5.c
      ext/standard/md5.c
      ext/standard/sha1.c:
      correct copy/paste problem

    * (PHP_4_3)
      ext/standard/md5.c
      ext/standard/md5.c
      ext/standard/sha1.c
      ext/standard/sha1.c:
      MFH: fix various solaris problems by replacing stdio with posix io where
      possible

    * ext/standard/md5.c
      ext/standard/sha1.c:
      fix various solaris problems by replacing stdio with posix io where
      possible

2005-04-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.c
      ext/standard/var_unserializer.c:
      - Regenerated with re2c 0.9.6 (fixes severe bugs)

    * ext/odbc/config.m4
      ext/odbc/php_odbc.h:
      - Add support for latest Birdstep

2005-04-14  Andrey Hristov  <php@hristov.com>

    * ext/skeleton/skeleton.php:
      - don't use short tag
      - detect CLI binary and don't print &lt ;br &lt; in this case

2005-04-14  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS:
      BFN

    * (PHP_4_3)
      ext/calendar/calendar.c:
      MFH: Fixes & cleanup + some minor new features

2005-04-14  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/parsedate.y
      ext/standard/php_parsedate.h:
      MFB43: Fixed bug #31583 (php_std_date() uses short day names in
      non-y2k_compliance mode).
      Fixed bug #31689 (PHPAPI missing for php_std_date() and php_parse_date()).

    * (PHP_5_0)
      NEWS
      ext/standard/datetime.c:
      MFB43: Fixed bug #31583 (php_std_date() uses short day names in
      non-y2k_compliance mode).

    * (PHP_4_3)
      NEWS
      ext/standard/datetime.c:
      Fixed bug #31583 (php_std_date() uses short day names in non-y2k_compliance
      mode).
      
      Patch by: mike at php dot net

2005-04-13  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/calendar/calendar.c:
      Removed unused vars.

2005-04-13  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      ext/pgsql/pgsql.c
      ext/pgsql/pgsql.c:
      MFH: disable pg_cmdtuples() too, if there is no pg_affected_rows()

    * ext/pgsql/pgsql.c:
      disable pg_cmdtuples() too, if there is no pg_affected_rows()

2005-04-13  Derick Rethans  <php@derickrethans.nl>

    * ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
      - MFH43: Fixed bug #32699 (pg_affected_rows() was defined when it was not
        available).

    * (PHP_5_0)
      NEWS
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
      - MF43: Fixed bug #32699 (pg_affected_rows() was defined when it was not
        available).

    * (PHP_4_3)
      NEWS
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
      - Fixed bug #32699 (pg_affected_rows() was defined when it was not
      available).

2005-04-13  Stanislav Malyshev  <stas@zend.com>

    * (PHP_4_3)
      Zend/zend_ini.c:
      MF5: fix memory corruption if one on the on_modify handlers errors out

2005-04-13  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * (PHP_5_0)
      NEWS:
      - Commit the pending patch (bug #32311).

2005-04-13  Antony Dovgal  <tony2001@phpclub.net>

    * ext/standard/tests/array/bug30833.phpt
      ext/standard/tests/array/bug30833.phpt
      ext/standard/tests/array/bug30833.phpt:
        1.1.4;
      add testcase for bug #30833

2005-04-13  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * (PHP_4_3)
      NEWS:
      - MFH: commit the pending patch (bug #32311).

2005-04-12  Frank M. Kromann  <frank@kromann.info>

    * (PHP_4_3)
      ext/mssql/php_mssql.c
      ext/mssql/php_mssql.c:
      MFH: Fix for #32682. Error on module shutdown when called from activescript

    * ext/mssql/php_mssql.c:
      Fix for #32682. Error on module shutdown when called from activescript

2005-04-12  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/readline/readline.c:
      Fixed compiler warning.

2005-04-12  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      NEWS
      ext/standard/array.c:
      MFH: fix #30833 (array_count_values modifying input array)

    * ext/standard/array.c:
      fix #30833 (array_count_values modifying input array)

2005-04-12  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_ini.c:
      fix memory corruption if one on the on_modify handlers errors out

    * (PHP_5_0)
      ZendEngine2/zend_ini.c:
      fi memory corruption if one on the on_modify handlers errors out

2005-04-11  Frank M. Kromann  <frank@kromann.info>

    * ext/fbsql/php_fbsql.c:
      Don't truncate the .options file when a database is started without the
      optional options parameter.

2005-04-11  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_5_0)
      sapi/apache2filter/sapi_apache2.c:
      fix typo (bug #32673)

2005-04-11  Antony Dovgal  <tony2001@phpclub.net>

    * main/streams/streams.c:
      revert the patch, the problem seems to be somewhere else

2005-04-11  Harrie Hazewinkel  <harrie@lisanza.net>

    * ext/snmp/snmp.c:
      Converting the usage of the integer based internal commands into
      MACROS to ease future extensions.

    * ext/snmp/snmp.c:
      Adding support for a getbulk oriented walk.
      The getbulk can only be used for SNMPv2c and SNMPv3.

2005-04-11  Dmitry Stogov  <dmitry@zend.com>

    * ext/wddx/wddx.c
      ext/wddx/wddx.c:
      Fixed SIGSEGV on serializing data with circular references

    * (PHP_5_0)
      NEWS:
      Fixed bug #31502 (Wrong deserialization from session when using WDDX
      serializer )

    * ext/wddx/wddx.c
      ext/wddx/wddx.c:
      Support for encoding/decoding of private and protected members

2005-04-10  Andrey Hristov  <php@hristov.com>

    * NEWS:
      news

    * ext/dom/document.c
      ext/gd/gd.c:
      fix memory corruption on 64bit in imagefttext(),
      domdocument::load() and domdocument::loadxml()

    * ext/ncurses/ncurses_functions.c:
      fix proto. return true instead of null

    * ext/calendar/calendar.c:
      simplify code (no need of local variable - return directly)

2005-04-10  Jani Taskinen  <jani.taskinen@sci.fi>

    * sapi/apache2handler/config.m4:
      - Say in the help too this is the handler module..

    * sapi/apache2filter/config.m4:
      Might not be obvious for everyone :)

    * ext/odbc/config.m4:
      - This was supposed to be escaped with \

    * ext/odbc/config.m4:
      Add more detailed failure msg. (bug #32649)

    * ext/bz2/bz2.dsp
      ext/gd/gd.dsp:
      - Make VC6 happy

2005-04-10  Ilia Alshanetsky  <ilia@prohost.org>

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
      Added time_sleep_until() function, which is a high precision mechanism of
      making a script sleep until specified timestamp.

2005-04-09  Sara Golemon  <php@alphaweb.net>

    * main/streams/streams.c:
      Fold validation into an inlined function per Andi's suggestion

2005-04-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * win32/php_modules.dsw:
      - Nuked some PECLed extensions

    * win32/php5ts.dsw:
      Removed non-existing sapi/activescript dsp

    * (PHP_4_3)
      NEWS
      NEWS
      sapi/apache2filter/sapi_apache2.c
      sapi/apache2filter/sapi_apache2.c
      sapi/apache2handler/sapi_apache2.c
      sapi/apache2handler/sapi_apache2.c:
      MFH: - Fixed bug #32587 (Apache2: errors sent to error_log do not include
      timestamps)

    * sapi/apache2filter/sapi_apache2.c
      sapi/apache2handler/sapi_apache2.c:
      - Fixed bug #32587 (Apache2: errors sent to error_log do not include
      timestamps)

    * (PHP_4_3)
      ext/standard/url_scanner_ex.c:
      regenerated with re2c 0.9.4

    * (PHP_4_3)
      ext/standard/url_scanner_ex.re:
      typo

    * (PHP_4_3)
      ext/standard/url_scanner_ex.re:
      Missing $Id: ChangeLog,v 1.2067 2005/08/08 05:39:44 changelog Exp $ tag

    * (PHP_5_0)
      ext/standard/url_scanner_ex.c:
      regenerate with correct re2c version

2005-04-08  Rob Richards  <rrichards@ctindustries.net>

    * (PHP_5_0)
      NEWS:
      BFN

    * (PHP_5_0)
      ext/dom/node.c
      ext/dom/tests/bug32615.phpt:
      - MFH Fixed bug #32615 (Segfault in replaceChild() using fragment when
        previousSibling is NULL)
      - add test

    * ext/dom/tests/bug32615.phpt
      ext/dom/tests/bug32615.phpt:
      
      - Fixed bug #32615 (Segfault in replaceChild() using fragment when
        previousSibling is NULL)
      - add test

    * ext/dom/node.c:
      - Fixed bug #32615 (Segfault in replaceChild() using fragment when
        previousSibling is NULL)
      - add test

2005-04-08  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      ext/imap/php_imap.c
      ext/imap/php_imap.c:
      MFH: Missing part of the patch for bug #32589

    * ext/imap/php_imap.c:
      Missing part of the patch for bug #32589

2005-04-08  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_operators.c:
      - Fix memory corruption found by rob

    * ZendEngine2/tests/bug22836.phpt:
      - Ensure we see all errors. No need for () in return

2005-04-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * configure.in:
      remove duplicate entry

2005-04-08  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * tests/classes/property_exists.phpt:
      - Add new test

    * ZendEngine2/zend_builtin_functions.c:
      - Add property_exits()

    * ZendEngine2/zend_object_handlers.c:
      - No E_ERROR when we just check (where did my 0->1 change go on first
      commit?)

2005-04-08  Rob Richards  <rrichards@ctindustries.net>

    * ext/dom/tests/dom003.phpt
      ext/dom/tests/dom003.phpt:
      fix test

2005-04-08  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_object_handlers.c:
      - No E_ERROR when we just check, here visibility simply means there is none

    * ZendEngine2/zend_object_handlers.c
      ZendEngine2/zend_object_handlers.h:
      - Simplify getting property info and make it an api function

2005-04-08  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      main/snprintf.c
      main/snprintf.h
      main/spprintf.c:
      MFH and Fixes bug #32482 (ap_php_snprintf broken)

2005-04-07  Jon Parise  <jon+php@csh.rit.edu>

    * build/buildcheck.sh:
      Spell "overridden" correctly.

2005-04-07  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS
      ext/standard/proc_open.c:
      MFH: Fixed bug #32533 (proc_get_status() returns the incorrect process
      status).

    * ext/standard/proc_open.c:
      Fixed bug #32533 (proc_get_status() returns the incorrect process status).

2005-04-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      NEWS:
      BFN

    * (PHP_5_0)
      ext/mysql/php_mysql.c:
      MFH: - Fixed bug #32591 (ext/mysql: Unsatisfied symbol: ntohs with HP-UX)

    * ext/mysql/php_mysql.c
      ext/mysql/php_mysql.c:
      - Fixed bug #32591 (ext/mysql: Unsatisfied symbol: ntohs with HP-UX)

    * scripts/phpize.in:
      Fix the echo/backquote issues + aclocal

    * (PHP_5_0)
      build/build2.mk
      build/buildcheck.sh
      scripts/phpize.in:
      MFH: Use PHP_AUTOCONF / PHP_AUTOHEADER environment variables

    * acinclude.m4:
      - Cleanup a bit. And make use of shtool mkdir

    * run-tests.php:
      - Reword the send-report-part a bit. (bug #32624)

    * ZendEngine2/zend_alloc.c
      ZendEngine2/zend_alloc.h:
      - Nuke the code duplication

    * ZendEngine2/zend_alloc.h:
      Fix build when USE_ZEND_ALLOC is 0

2005-04-07  Dmitry Stogov  <dmitry@zend.com>

    * ext/calendar/calendar.c
      ext/calendar/calendar.c:
      Fixed indentation

    * ext/calendar/calendar.c
      ext/calendar/calendar.c:
      Fixed wrong result of cal_days_in_month() with bad dates

2005-04-07  Derick Rethans  <php@derickrethans.nl>

    * (PHP_4_3)
      Zend/zend_alloc.h:
      - Doh, this should not have been in of course :)

    * (PHP_4_3)
      Zend/zend_alloc.c
      Zend/zend_alloc.h:
      - Fixed bug with estrndup when the Zend Allocator was not in use.

2005-04-07  Zeev Suraski  <zeev@zend.com>

    * (PHP_5_0)
      ZendEngine2/zend_alloc.c
      ZendEngine2/zend_alloc.h:
      MFH (Fix strdup() bug when USE_ZEND_ALLOC was disabled)

    * ZendEngine2/zend_alloc.c
      ZendEngine2/zend_alloc.h:
      Fix strdup() bug when USE_ZEND_ALLOC is disabled

2005-04-07  Uwe Schindler  <uwe@thetaphi.de>

    * (PHP_4_3)
      main/streams.c
      main/streams/plain_wrapper.c
      main/streams/plain_wrapper.c:
      Bug #32614 - prevent from crahsing with segfault on solaris if fdopen()
      fails - this fixes NOT the stdio-problem on solaris!

2005-04-07  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/phpize.in:
      - Added the $PHP_AUTOCONF/$PHP_AUTOHEADER usage to phpize

2005-04-06  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php:
      - Not every OS has ldd..

    * ext/standard/url_scanner_ex.c:
      Regenerated with re2c 0.9.4

    * NEWS:
      Keep removed stuff in top..

2005-04-06  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS:
      bug fixing news.

    * (PHP_5_0)
      main/php_streams.h:
      MFH: Fixed bug #32553 (mmap loads only the 1st 2000000 bytes on Win32).

    * (PHP_5_0)
      NEWS
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
      MFH: Removed php_check_syntax() function, it never worked properly. For now
      use shell_exec("php -l script_name") or similar.

    * NEWS
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
      Removed php_check_syntax() function, it never worked properly. For now
      use shell_exec("php -l script_name") or similar.

    * (PHP_5_0)
      NEWS
      ext/standard/file.c
      main/streams/plain_wrapper.c:
      MFH: Fixed bug #31363 (broken non-blocking flock()).

    * ext/standard/file.c
      main/streams/plain_wrapper.c:
      Fixed bug #31363 (broken non-blocking flock()).
      

2005-04-06  Christian Stocker  <chregu@bitflux.ch>

    * NEWS
      ext/xsl/php_xsl.c
      ext/xsl/php_xsl.h
      ext/xsl/xsltprocessor.c:
      - Added optional first parameter to XsltProcessor::registerPHPFunctions to
      only
        allow certain functions to be called from XSLT.

2005-04-06  Antony Dovgal  <tony2001@phpclub.net>

    * main/streams/streams.c:
      do not try to read after EOF

2005-04-06  Georg Richter  <georg@mysql.com>

    * (PHP_5_0)
      NEWS
      ext/mysqli/mysqli.c:
      MFH: fix for #32282 (segfault in mysqli_fetch_array on 64-bit)

    * ext/mysqli/mysqli.c:
      fix for bug #32282 (segfault in mysqli_fetch_array on 64-bit)

2005-04-05  Antony Dovgal  <tony2001@phpclub.net>

    * ext/ldap/ldap.c:
      remove proto, it's internal func

2005-04-05  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/imap/php_imap.c
      ext/imap/php_imap.c:
      MFH: Fixed bug #32589 (Possible crash inside imap_mail_compose, with
      charsets).

    * ext/imap/php_imap.c:
      Fixed bug #32589 (Possible crash inside imap_mail_compose, with charsets).

2005-04-05  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ext/standard/tests/serialize/005.phpt:
      - Add new test

    * ZendEngine2/zend_interfaces.c:
      - Just return FAILURE & allow NULL without emmidiate error

2005-04-05  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      main/streams/streams.c:
      MFH: Fixed bug #30362 (stream_get_line() not reading data correctly).

    * main/streams/streams.c:
      Fixed bug #30362 (stream_get_line() not reading data correctly).

2005-04-04  Sara Golemon  <php@alphaweb.net>

    * (PHP_4_3)
      main/streams.c:
      MFH rev 1.72 (of main/streams/streams.c)

    * main/streams/streams.c:
      BugFix #32563
      
      This could have been done in stream_wrapper_register()
      without introducing the slight performance hit on
      wrapper registration since anyone registering a wrapper
      in an extension should know better.
      
      The important thing is that since locate_wrapper makes
      the assumption that all schemes will be /^[a-z0-9+.-]+$/i
      Anything which registers them should make the same assumption as well.

2005-04-04  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      ext/standard/credits_ext.h:
      update

    * (PHP_5_0)
      NEWS
      ext/standard/credits_ext.h
      ext/standard/credits_sapi.h:
      - Update

    * ext/standard/credits_ext.h:
      Update credits

    * ext/standard/tests/file/bug30362.txt
      ext/standard/tests/file/bug30362.txt:
      
      remove empty lines

    * ext/standard/tests/file/bug30362.phpt
      ext/standard/tests/file/bug30362.phpt
      ext/standard/tests/file/bug30362.txt:
      
      Added testcase for bug #30362

2005-04-04  Stanislav Malyshev  <stas@zend.com>

    * ZendEngine2/zend_builtin_functions.c:
      MF50: fix backtraces - non-Zend classes have names too

    * (PHP_5_0)
      ZendEngine2/zend_builtin_functions.c:
      fix backtraces - non-Zend classes have names too

2005-04-04  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      ext/gmp/gmp.c:
      fix #32567 (ext/gmp fails to compile with thread safety enabled)

2005-04-04  Rui Hirokawa  <rui_hirokawa@ybb.ne.jp>

    * main/SAPI.c
      main/SAPI.h
      main/main.c
      main/php_variables.c
      sapi/apache/mod_php5.c
      sapi/apache_hooks/mod_php5.c:
      added a server variable PHP_AUTH_DIGEST to support HTTP Digest
      Authentication.

2005-04-04  Uwe Schindler  <uwe@thetaphi.de>

    * NEWS
      NEWS
      NEWS
      main/rfc1867.c
      main/rfc1867.c
      main/rfc1867.c:
      Bug #32491 (File upload error - unable to create a temporary file) -
      Changing file upload from stdio to posix

2005-04-04  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      NEWS
      ext/odbc/config.m4:
      MFH: configure looks for incorrect db2 library

    * ext/odbc/config.m4:
      fix #32560 (configure looks for incorrect library - libdb2.so instead of
      libdb2.a,
      which is used actually)

2005-04-04  Jani Taskinen  <jani.taskinen@sci.fi>

    * php.ini-recommended:
      - If this is supposed to be the configuration we recommend,
        we've been recommending to not use short-open-tag for a long time.
        E_STRICT too for 5.1 since it promotes the right ways (tm) to do things.

2005-04-04  Jon Parise  <jon+php@csh.rit.edu>

    * NEWS
      build/build2.mk
      build/buildcheck.sh:
      Adding the ability to override the autotools executables used by the
      buildconf script via the PHP_AUTOCONF and PHP_AUTOHEADER environmental
      variables.

2005-04-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      MBFN2B

    * (PHP_5_0)
      NEWS
      ZendEngine2/zend_execute_API.c:
      MFH: - Fixed bug #28839 (SIGSEGV in interactive mode (php -a)).
      MFH:   (kameshj at fastmail dot fm)

2005-04-03  Uwe Schindler  <uwe@thetaphi.de>

    * sapi/nsapi/nsapi.c:
      Add sapi.get_request_time() to NSAPI

2005-04-03  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      NEWS
      ext/standard/string.c
      ext/standard/string.c
      ext/standard/tests/strings/chunk_split.phpt
      ext/standard/tests/strings/chunk_split.phpt:
      MFH: Fixed bug #32530 (chunk_split() does not append endstr if chunklen is
      longer then the original string).

    * ext/standard/string.c
      ext/standard/tests/strings/chunk_split.phpt:
      Fixed bug #32530 (chunk_split() does not append endstr if chunklen is
      longer then the original string).

2005-04-03  Antony Dovgal  <tony2001@phpclub.net>

    * ext/pgsql/config.m4:
      fix typo

    * (PHP_4_3)
      ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re
      ext/standard/url_scanner_ex.re:
      MFH: fix output_reset_rewrite_vars() returning false

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re:
      fix output_reset_rewrite_vars() returning false everytime

    * (PHP_5_0)
      main/php_variables.c:
      MFH patch previously commited by Ilia
      (memory leak when "S" is not listed in variable_order)

2005-04-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      ext/dbase/dbase.c
      ext/dbase/dbf_rec.c:
      - Sync with HEAD:
        . php_error -> php_error_docref (fixes test)
        . pval -> zval
        . use modern parameter parsing

    * ext/gd/tests/bug19366.phpt:
      Fix another title

    * ext/gd/tests/bug27582_1.phpt:
      fix description

2005-04-03  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * (PHP_5_0)
      NEWS:
      - Reorder.

2005-04-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/xml/tests/bug32001.phpt:
      Partial fix test: It is still possible to use expat libs with ext/xml..

2005-04-02  Greg Beaver  <greg@chiaraquartet.net>

    * (PHP_4_3)
      pear/go-pear.bat:
      allow local install, remove -n switch

    * (PHP_5_0)
      pear/go-pear.bat:
      remove -n switch

    * pear/go-pear.bat:
      update to support local install, remove -n switch

2005-04-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * pear/package-Archive_Tar.xml
      pear/package-Console_Getopt.xml
      pear/package-PEAR.xml:
      Fix the name (and thus make sure PEAR will not install atm)

    * pear/package-Archive_Tar.xml:
      Fixed: [PEAR] Archive_Tar: XML error: not well-formed (invalid token) at
      line 22

    * php.ini-dist
      php.ini-recommended:
      Make sure php_mbstring.dll is first to getting loaded..(bug #32552)

    * (PHP_4_3)
      NEWS
      ext/swf/swf.c:
      - Fixed bug #32538 (ext/swf/swf.c does not compile with gcc-3.4.x or newer)

2005-04-01  Greg Beaver  <greg@chiaraquartet.net>

    * pear/PEAR/RunTest.php
      pear/PEAR/RunTest.php:
      add missing file

2005-04-01  Jani Taskinen  <jani.taskinen@sci.fi>

    * run-tests.php:
      - Fixed bug #32504 (shtool problem on make test)

2005-04-01  Joe Orton  <jorton@redhat.com>

    * ext/mssql/config.m4:
      Use PHP_LIBDIR.

2005-03-31  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/session/tests/007.phpt
      ext/session/tests/008-php4.2.3.phpt
      ext/session/tests/009.phpt:
      These tests require register_long_arrays=1

    * pear/tests/pear_config.phpt
      pear/tests/pear_config_1.1.phpt
      pear/tests/pear_registry.phpt
      pear/tests/pear_registry_1.1.phpt:
      fix some skip conditions..

2005-03-31  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      ZendEngine2/zend_API.c:
      - MFH: internal_function->fn_flags is not initialized at this point

2005-03-31  Jani Taskinen  <jani.taskinen@sci.fi>

    * (PHP_4_3)
      NEWS
      Zend/zend_config.w32.h
      Zend/zend_operators.c
      Zend/zend_operators.h
      ext/standard/array.c:
      MFH: Added SORT_LOCALE_STRING for array sorting

    * main/snprintf.h:
      C++ fix

2005-03-30  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      configure.in
      main/php_version.h:
      - Back to dev so that we have working snapshots again.

2005-03-30  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      configure.in
      main/php_version.h:
      back to dev.

2005-03-30  Zeev Suraski  <zeev@zend.com>

    * (PHP_5_0)
      NEWS
      configure.in
      main/php_version.h:
      Roll 5.0.4

2005-03-30  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      NEWS
      configure.in
      main/php_version.h:
      Tag 4.3.11

2005-03-30  Joe Orton  <jorton@redhat.com>

    * ext/mysqli/mysqli_driver.c
      ext/mysqli/mysqli_prop.c:
      Mark more private functions as static.

2005-03-30  Edin Kadribasic  <edink@emini.dk>

    * INSTALL
      INSTALL
      win32/install.txt
      win32/install.txt:
      Updated install instructions from the documentation project (Philip Olson)

    * (PHP_5_0)
      INSTALL
      win32/install.txt:
      Update instruction from the documentation project (Philip Olson)

2005-03-30  Joe Orton  <jorton@redhat.com>

    * ext/mysqli/mysqli_prop.c:
      Mark private functions as static.

2005-03-29  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      NEWS:
      patch reverted.

    * (PHP_4_3)
      NEWS:
      patch was reverted.

2005-03-29  Sara Golemon  <php@alphaweb.net>

    * ext/standard/streamsfuncs.c
      main/streams/filter.c
      main/streams/php_stream_filter_api.h:
      BugFix #31137 stream_filter_remove() segfaults when stream already closed

2005-03-28  Ilia Alshanetsky  <ilia@prohost.org>

    * main/php_variables.c:
      Proper fix for the memory leak.

    * main/php_variables.c:
      Fixed memory leak when variables_order does not contain 'S'.

2005-03-28  Greg Beaver  <greg@chiaraquartet.net>

    * pear/packages/HTML_Template_IT-1.1.tar
      pear/packages/HTML_Template_IT-1.1.tar
      pear/packages/Net_UserAgent_Detect-2.0.1.tar
      pear/packages/Net_UserAgent_Detect-2.0.1.tar
      pear/packages/XML_RPC-1.1.0.tar
      pear/packages/XML_RPC-1.2.2.tar
      pear/packages/XML_RPC-1.2.2.tar:
      
      update to current bundle ideal

    * (PHP_4_3)
      pear/packages/DB-1.6.2.tar
      pear/packages/HTML_Template_IT-1.1.tar
      pear/packages/HTTP-1.2.2.tar
      pear/packages/Mail-1.1.3.tar
      pear/packages/Net_SMTP-1.2.6.tar
      pear/packages/Net_Socket-1.0.1.tar
      pear/packages/Net_UserAgent_Detect-2.0.1.tar
      pear/packages/XML_Parser-1.0.1.tar
      pear/packages/XML_RPC-1.1.0.tar
      pear/packages/XML_RPC-1.1.0.tar
      pear/packages/XML_RPC-1.2.2.tar:
      update to current bundle ideal

    * pear/packages/HTML_Template_IT-1.1.tar
      pear/packages/HTML_Template_IT-1.1.tar
      pear/packages/Net_UserAgent_Detect-2.0.1.tar
      pear/packages/Net_UserAgent_Detect-2.0.1.tar
      pear/packages/XML_RPC-1.2.2.tar
      pear/packages/XML_RPC-1.2.2.tar:
      
      file HTML_Template_IT-1.1.tar was initially added on branch PHP_4_3.

    * pear/PEAR/RunTest.php
      pear/PEAR/RunTest.php
      pear/PEAR/Command/Auth.php
      pear/PEAR/Command/Build.php
      pear/PEAR/Command/Common.php
      pear/PEAR/Command/Config.php
      pear/PEAR/Command/Install.php
      pear/PEAR/Command/Mirror.php
      pear/PEAR/Command/Package.php
      pear/PEAR/Command/Registry.php
      pear/PEAR/Command/Remote.php:
      
      file RunTest.php was initially added on branch PHP_4_3.

    * pear/PEAR.php
      pear/PEAR.php
      pear/PEAR.php
      pear/System.php
      pear/package-PEAR.xml
      pear/package-PEAR.xml
      pear/package-PEAR.xml
      pear/package.dtd
      pear/package.dtd
      pear/package.dtd
      pear/template.spec
      pear/template.spec
      pear/template.spec
      pear/Archive/Tar.php
      pear/Console/Getopt.php
      pear/OS/Guess.php
      pear/OS/Guess.php
      pear/OS/Guess.php
      pear/PEAR/Autoloader.php
      pear/PEAR/Builder.php
      pear/PEAR/Builder.php
      pear/PEAR/Builder.php
      pear/PEAR/Command.php
      pear/PEAR/Common.php
      pear/PEAR/Common.php
      pear/PEAR/Common.php
      pear/PEAR/Config.php
      pear/PEAR/Dependency.php
      pear/PEAR/Dependency.php
      pear/PEAR/Dependency.php
      pear/PEAR/Downloader.php
      pear/PEAR/Downloader.php
      pear/PEAR/ErrorStack.php
      pear/PEAR/ErrorStack.php
      pear/PEAR/ErrorStack.php
      pear/PEAR/Exception.php
      pear/PEAR/Exception.php
      pear/PEAR/Exception.php
      pear/PEAR/Exception.php
      pear/PEAR/Installer.php
      pear/PEAR/Installer.php
      pear/PEAR/Installer.php
      pear/PEAR/Packager.php
      pear/PEAR/Registry.php
      pear/PEAR/Registry.php
      pear/PEAR/Registry.php
      pear/PEAR/Remote.php
      pear/PEAR/Command/Install.php
      pear/PEAR/Command/Package.php
      pear/PEAR/Command/Package.php
      pear/PEAR/Frontend/CLI.php
      pear/scripts/pear.in
      pear/scripts/pearcmd.php
      pear/scripts/pearcmd.php
      pear/scripts/pearcmd.php
      pear/tests/pear_config.phpt
      pear/tests/pear_config_1.1.phpt
      pear/tests/pear_registry_1.1.phpt:
      merge in PEAR 1.3.5

2005-03-28  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/libgd/gd.c:
      - remove "debug" code

    * ext/gd/libgd/gd.c:
      - MFB, imagerectangle draws 2x each corners (alpha channel uglyness)

2005-03-28  Joey Smith  <joeysmith@gmail.com>

    * php.ini-dist
      php.ini-recommended:
      Adding comments to .ini files at philip@php.net's request.

2005-03-28  Edin Kadribasic  <edink@emini.dk>

    * ext/xmlrpc/libxmlrpc/xml_element.c
      ext/xmlrpc/libxmlrpc/xmlrpc.c:
      Reshufle includes to make it compile on windows

2005-03-27  Pierre-Alain Joye  <pierre@dotgeek.org>

    * ext/gd/gd.c
      ext/gd/libgd/gd.c
      ext/gd/libgd/gd.h:
      - allow to keep or ignore the transparent color in imagerotate (thx
        Ken Coar to report this "bug")
      - be sure to restore alphablending in imagefill
      - use zend_parse_parameter in imagerotate

2005-03-27  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/file.c:
      revert copy patch.

2005-03-26  Edin Kadribasic  <edink@emini.dk>

    * pear/make-pear-bundle.php:
      Script that creates PEAR bundle dir for distribution

2005-03-26  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      configure.in
      main/php_version.h:
      - Back to -dev

2005-03-26  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/xml/compat.c
      ext/xml/expat_compat.h
      ext/xmlrpc/config.m4
      ext/xmlrpc/libxmlrpc/xml_element.c
      ext/xmlrpc/libxmlrpc/xmlrpc.c
      main/php_compat.h:
      - Made it possible to build ext/xmlrpc with libxml2

    * configure.in
      build/libtool.m4:
      - Prevent compiling shared extensions when --enable-versioning is used
      - Fix -export-symbols in Linux in the bundled libtool.m4:
        o http://lists.gnu.org/archive/html/libtool/2002-07/msg00029.html

    * NEWS:
      BFN

    * ZendEngine2/zend_execute_API.c:
      - Fixed bug #28839 (SIGSEGV in interactive mode (php -a))
        (kameshj at fastmail dot fm)

    * ext/ingres_ii/config.m4
      ext/ingres_ii/config.w32
      ext/ingres_ii/ii.c
      ext/ingres_ii/php_ii.h:
      - Fix windows build (using config.w32 and keeping sync with config.m4)

    * main/php.h:
      Fix path

2005-03-25  Jani Taskinen  <jani.taskinen@sci.fi>

    * NEWS:
      These entries do not belong in NEWS file (internal issues)

2005-03-25  Andi Gutmans  <andi@zend.com>

    * LICENSE:
      - Increment year in copyright notice

2005-03-25  Christopher Kings-Lynne  <chriskl@users.sourceforge.net>

    * NEWS
      ext/pgsql/config.m4
      ext/pgsql/config.w32
      ext/pgsql/pgsql.c
      ext/pgsql/tests/08escape.phpt
      ext/pgsql/tests/25async_query_params.phpt:
      (PHP pg_unescape_bytea) Use libpq version of PQunescapeBytea if it exists.
      

2005-03-25  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/pgsql/pgsql.c:
      Slightly safer code.

2005-03-24  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_vm_execute.h:
      - Second part of removing temp solution

    * ZendEngine2/zend_vm_def.h:
      - Remove potential bad solution for now

2005-03-24  Jani Taskinen  <jani.taskinen@sci.fi>

    * scripts/Makefile.frag:
      Remove: Has not existed for ages..

2005-03-24  Zeev Suraski  <zeev@zend.com>

    * (PHP_5_0)
      NEWS
      configure.in
      main/php_version.h:
      Roll RC2

2005-03-24  Andi Gutmans  <andi@zend.com>

    * main/main.c
      main/main.c:
      - Fix typos

2005-03-24  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_5_0)
      ext/session/session.c:
      MFH: fix leak when register_long_arrays is off

    * ext/session/session.c:
      fix leak when register_long_arrays is off

2005-03-23  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * (PHP_4_3)
      NEWS:
      - Temporary reversion as per release masters' requests.

    * (PHP_5_0)
      NEWS:
      - Temporary reversion.

    * (PHP_4_3)
      NEWS:
      - Reorder.

    * (PHP_5_0)
      NEWS:
      - BFN.

    * (PHP_4_3)
      NEWS:
      - MFH: fix bug #32311 (mb_encode_mimeheader() does not properly escape
        characters).

    * (PHP_5_0)
      ext/iconv/iconv.c
      ext/iconv/tests/iconv004.phpt:
      - MFH: Add sanity check in iconv_mime_encode(). Leaving the third parameter
        unspecified would yield bus error.
      - MFH: Add testcase for the bug.

    * ext/iconv/tests/iconv004.phpt
      ext/iconv/tests/iconv004.phpt:
      
      - Add test case for iconv_mime_encode().

    * ext/iconv/iconv.c:
      - Add sanity check in iconv_mime_encode(). Leaving the third parameter
        unspecified would yield bus error.

2005-03-23  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      configure.in
      main/php_version.h:
      Back to dev.

2005-03-23  Andrei Zmievski  <andrei@gravitonic.com>

    * ZendEngine2/zend_execute.c:
      Consolidate: call _get_zval_ptr_var() for IS_VAR case in
      _get_zval_ptr().

2005-03-23  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_4_3)
      configure.in
      main/php_version.h:
      4.3.11RC2

2005-03-23  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (PHP_5_0)
      main/main.c:
      - MFH Notices shouldn't be treatedas errors and thus not being conidered to
        be converted to exceptions.

    * main/main.c:
      - Notices shouldn't be treatedas errors and thus not being conidered to be
        converted to exceptions.

2005-03-23  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS:
      Fixed bug #31695 (Cannot redefine endpoint when using WSDL)

2005-03-23  Christopher Kings-Lynne  <chriskl@users.sourceforge.net>

    * ext/pgsql/tests/02connection.phpt
      ext/pgsql/tests/03sync_query.phpt
      ext/pgsql/tests/23sync_query_params.phpt
      ext/pgsql/tests/24sync_query_prepared.phpt
      ext/pgsql/tests/25async_query_params.phpt
      ext/pgsql/tests/26async_query_prepared.phpt:
      - Ensure that ext/pgsql tests work when linked against 7.2 or lower libpq

2005-03-23  Jani Taskinen  <jani.taskinen@sci.fi>

    * tests/run-test/.cvsignore:
      Missing line

    * NEWS:
      clean

2005-03-22  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * ext/mbstring/config.m4
      ext/mbstring/config.w32
      ext/mbstring/mbstring.c
      ext/mbstring/mbstring.dsp:
      - Add Armenian encoding / NLS (patch by Hayk Chamyan)

2005-03-22  Edin Kadribasic  <edink@emini.dk>

    * (PHP_4_3)
      ext/exif/exif.c
      ext/exif/exif.dsp
      ext/mbstring/mbstring.dsp:
      Fix exif win32 build

2005-03-22  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/standard/tests/array/locale_sort.phpt:
      Added SKIPIF

    * ext/standard/tests/array/locale_sort.phpt
      ext/standard/tests/array/locale_sort.phpt:
      
      Addded test for locale aware sort

2005-03-22  Antony Dovgal  <tony2001@phpclub.net>

    * (PHP_4_3)
      NEWS
      NEWS
      sapi/cli/php_cli.c
      sapi/cli/php_cli.c:
      MFH: fix #28803 (enabled debug causes bailout errors with CLI on AIX
      because of fflush() called on already closed filedescriptor)

    * sapi/cli/php_cli.c:
      fix #28803 (enabled debug causes bailout errors with CLI on AIX
      because of fflush() called on already closed filedescriptor)

2005-03-22  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/microtime.c:
      Fixed compiler warning.

2005-03-22  Dmitry Stogov  <dmitry@zend.com>

    * (PHP_5_0)
      NEWS:
      Fixed bug #30106 (SOAP cannot not parse 'ref' element. Causes Uncaught
      SoapFault exception)

2005-03-22  Derick Rethans  <php@derickrethans.nl>

    * (PHP_5_0)
      README.CVS-RULES
      README.CVS-RULES:
      - MFH: Changed to reflect "current practise"

    * README.CVS-RULES:
      - Changed to reflect "current practise"

2005-03-22  Christopher Kings-Lynne  <chriskl@users.sourceforge.net>

    * NEWS
      ext/pgsql/CREDITS
      ext/pgsql/config.m4
      ext/pgsql/config.w32
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h
      ext/pgsql/tests/06copy.phpt
      ext/pgsql/tests/07optional.phpt:
      Tweak some #if's to be more orthogonal.
      
      (PHP pg_set_error_verbosity) New function to set PostgreSQL error
      verbosity
      
      (PHP pg_copy_from) Use non-deprecated API if it is available
      
      (PHP pg_copy_to) Use non-deprecated API if it is available

2005-03-22  Ilia Alshanetsky  <ilia@prohost.org>

    * ext/standard/array.c:
      Simplify argument checking code for array_combine().

2005-03-21  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * (PHP_5_0)
      NEWS:
      - Fixed bug #32394 offsetUnset() segfaults in a foreach

2005-03-21  Andi Gutmans  <andi@zend.com>

    * (PHP_5_0)
      ZendEngine2/zend_execute.c:
      - Fix memset() bug (Joe Orton)

2005-03-21  Anantha Kesari H Y  <hyanantha@novell.com>

    * (PHP_5_0)
      ext/standard/html.c:
      NetWare can make use of configure generated php_config.h

    * (PHP_5_0)
      ext/standard/dl.c
      ext/standard/file.c
      ext/standard/ftp_fopen_wrapper.c
      ext/standard/http_fopen_wrapper.c
      ext/standard/pack.c:
      NetWare LibC headers have sys/param.h

2005-03-21  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php.h:
      Define PHP_ABSTRACT_ME

    * ZendEngine2/zend_API.c:
      internal_function->fn_flags is not initialized at this point

2005-03-20  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/tests/bug31102.phpt:
      - Added missing description (thanks jani)

    * ZendEngine2/tests/bug31102.phpt:
      - Add new test

2005-03-20  Ilia Alshanetsky  <ilia@prohost.org>

    * (PHP_5_0)
      run-tests.php:
      MFH: Detect shtool properly when build-dir != php source dir.

    * run-tests.php:
      Detect shtool properly when build-dir != php source dir.

2005-03-20  Zeev Suraski  <zeev@zend.com>

    * TSRM/TSRM.c:
      Merge

    * (PHP_5_0)
      TSRM/TSRM.c:
      Fix the lock (the other patch would probably also work, but it's more error
      prone and it's better to be on the safe side)

2005-03-20  Jani Taskinen  <jani.taskinen@kolumbus.fi>

    * ext/pgsql/pgsql.c:
      - Fixed a warning (might also be an error with some exotic compiler)

2005-03-20  Christopher Kings-Lynne  <chriskl@users.sourceforge.net>

    * ext/pgsql/pgsql.c
      ext/pgsql/tests/03sync_query.phpt:
      Two of the diagnostic definitions were added in 8.0.  Add appropriate
      #ifdefs.

2005-03-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ZendEngine2/zend_object_handlers.c:
      - More fixes to gracefully act on exception thrown in overload methods

    * ZendEngine2/zend_object_handlers.c:
      - Fix #31185

2005-03-19  Jani Taskinen  <jani.taskinen@kolumbus.fi>

    * NEWS:
      less wordy

    * (PHP_5_0)
      NEWS:
      reorder

2005-03-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * main/main.c:
      - We don't need to block those here (works as it works with normal error
        overloading)

    * ZendEngine2/zend_execute_API.c:
      - Fix all incarnations of bug #30266

    * ext/standard/array.c
      ext/standard/tests/array/bug30266.phpt:
      - Check another incarnation of bug #30266

2005-03-19  Antony Dovgal  <tony2001@phpclub.net>

    * ext/bz2/bz2.c:
      fix #32373 (segfault in bzopen('/wrong/path'))

2005-03-19  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * ext/pgsql/tests/24sync_query_prepared.phpt
      ext/pgsql/tests/26async_query_prepared.phpt:
      - Add missing skipif part

    * NEWS:
      - ext/pgsql was updated

2005-03-19  Christopher Kings-Lynne  <chriskl@users.sourceforge.net>

    * ext/pgsql/pgsql.c:
      Another oversight - make sure constants related to pg_result_error_field
      are #if'd as well as the function itself

    * ext/pgsql/tests/02connection.phpt
      ext/pgsql/tests/03sync_query.phpt:
      Add regression tests for pg_transaction_status and pg_result_error_field

    * ext/pgsql/pgsql.c:
      Minor oversight in #if for an internal function

2005-03-19  Rui Hirokawa  <rui_hirokawa@ybb.ne.jp>

    * ext/mbstring/php_mbregex.c:
      oniguruma updated to 3.7.1 and changed UChar to OnigUChar.

2005-03-19  Andi Gutmans  <andi@zend.com>

    * ZendEngine2/zend_interfaces.c
      ZendEngine2/zend_interfaces.h:
      - Fix typos

2005-03-18  Jani Taskinen  <jani.taskinen@kolumbus.fi>

    * ext/ingres_ii/config.w32
      ext/ingres_ii/config.w32:
      
      Added config.w32 (modified version, original by: Grant.Croker at ca dot
      com)

2005-03-18  Marcus Boerger  <marcus.boerger@post.rwth-aachen.de>

    * run-tests.php:
      - Readd revised version of Jani's fix:
        'errors with -d having a check for invalid ini entries'
      - Add -v for verbose mode

2005-03-18  Jani Taskinen  <jani.taskinen@kolumbus.fi>

    * sapi/cli/php_cli.c:
      Revert bad idea. (no more error for invalid -d options)

    * run-tests.php:
      revert

    * run-tests.php:
      Fix stupid typos

    * run-tests.php:
      Fix errors with -d having a check for invalid ini entries

2005-03-18  Greg Beaver  <greg@chiaraquartet.net>

    * (PHP_5_0)
      pear/go-pear-list.php:
      update to newest packages

    * pear/go-pear-list.php
      pear/go-pear-list.php:
      update to Archive_Tar 1.3.1

2005-03-18  Moriyoshi Koizumi  <moriyoshi@at.wakwak.com>

    * (PHP_4_3)
      ext/mbstring/mbstring.dsp:
      - Add missing entries.

2005-03-17  Harrie Hazewinkel  <harrie@lisanza.net>

    * (PHP_5_0)
      NEWS:
